!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_2409) = cima*sq2**2d0*(-Nc*coupl(nGC_819)**2d0 + 6d0*coupl(    &
                        nGC_13)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_3135) = coupl(nGC_2352)*dyc1_QED1_QCD2 + coupl(nGC_2353)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3426) = -coupl(nGC_3079) - coupl(nGC_350)*dZdL_QCD2/2d0 - coupl&
                        (nGC_350)*dZdR_QCD2/2d0
      coupl(nGC_2794) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2818) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_206) - coupl(nGC_1)*coupl(nGC_209) - coupl(nGC_2)* &
                        coupl(nGC_207) - coupl(nGC_2)*coupl(nGC_210))/(32d0*pi &
                        **2d0*Nc)
      coupl(nGC_2582) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_197)**2d0 - 4d0*coupl(nGC_209)**2d0 - coupl(nGC_339&
                        )**2d0 - coupl(nGC_341)*coupl(nGC_855) - coupl(nGC_342 &
                        )**2d0 - coupl(nGC_344)*coupl(nGC_921) - coupl(nGC_370 &
                        )**2d0 - coupl(nGC_373)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3389) = coupl(nGC_46)*dZGMinus/2d0
      coupl(nGC_2817) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_206) + coupl(nGC_1)*coupl(nGC_209) + coupl(nGC_2)* &
                        coupl(nGC_207) + coupl(nGC_2)*coupl(nGC_210))/(32d0*pi &
                        **2d0)
      coupl(nGC_3056) = coupl(nGC_1225)*db_QED2 + coupl(nGC_1226)*dydo1_QED3 + &
                        coupl(nGC_1227)*dydo2_QED3
      coupl(nGC_3040) = coupl(nGC_1188)*dsw_QED2 + coupl(nGC_1189)*da_QED2 +   &
                        coupl(nGC_1190)*dvev1_QED1 + coupl(nGC_1191)*dvev2_QED1&
                         + coupl(nGC_1192)*dZee_QED2
      coupl(nGC_3502) = coupl(nGC_100)*dZGMinus
      coupl(nGC_2708) = coupl(nGC_13)**2d0*coupl(nGC_343)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_52_Hh) = -coupl(nGC_52)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3380) = coupl(nGC_207)*dZcR_QCD2
      coupl(nGC_TS_GC_52_Hl) = -coupl(nGC_52)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3728) = coupl(nGC_200)*dZZ_QED2/4d0 + coupl(nGC_3050)/2d0 +    &
                        coupl(nGC_6)*dZAZ_QED2/4d0
      coupl(nGC_3729) = coupl(nGC_3126) + coupl(nGC_381)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_384)*dZHh_QED2/2d0 + coupl(nGC_384)*dZuL_QED2&
                        /2d0 + coupl(nGC_384)*dZuR_QED2/2d0
      coupl(nGC_4024) = -coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0 + coupl(             &
                        nGC_TS_GC_214_Hh) + coupl(nGC_TS_GC_215_Hl)
      coupl(nGC_3727) = coupl(nGC_2984) + coupl(nGC_52)*dZG0Ha_QED2/2d0 + coupl&
                        (nGC_52)*dZHlHh_QED2/2d0 + coupl(nGC_62)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_62)*dZHa_QED2/2d0 + coupl(nGC_62)*     &
                        dZHh_QED2/2d0
      coupl(nGC_3724) = coupl(nGC_3113) + coupl(nGC_375)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_378)*dZHh_QED2/2d0 + coupl(nGC_378)*         &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_378)*dZtauMinusR_QED2/&
                        2d0
      coupl(nGC_3725) = coupl(nGC_3047)/2d0 + coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_3723) = coupl(nGC_3106) + coupl(nGC_358)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_358)*dZmuMinusR_QED2/2d0 + coupl(nGC_358)*   &
                        dZnu_muL_QED2/2d0 + coupl(nGC_361)*dZGMinusHMinus_QED2/&
                        2d0
      coupl(nGC_3720) = coupl(nGC_329)*dZZA_QED2/2d0
      coupl(nGC_3721) = coupl(nGC_173)*dZHMinus_QED2/2d0 + coupl(nGC_173)*     &
                        dZHh_QED2/2d0 + coupl(nGC_173)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_178)*dZHlHh_QED2/2d0 - coupl(nGC_179)*       &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_3151)
      coupl(nGC_2927) = cima*(5d0*Nc*coupl(nGC_334)**4d0 + 5d0*Nc*coupl(nGC_343&
                        )**4d0 + 5d0*Nc*coupl(nGC_346)**4d0 + 5d0*Nc*coupl(    &
                        nGC_364)**4d0 + 5d0*Nc*coupl(nGC_370)**4d0 + 5d0*Nc*   &
                        coupl(nGC_382)**4d0 + 6d0*coupl(nGC_100)**2d0 + 6d0*   &
                        coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 + 3d0*   &
                        coupl(nGC_29)**2d0 + 5d0*coupl(nGC_352)**4d0 + 5d0*    &
                        coupl(nGC_358)**4d0 + 5d0*coupl(nGC_376)**4d0)/(24d0*pi&
                        **2d0)
      coupl(nGC_3117) = coupl(nGC_1185)*dye2_QED3 + coupl(nGC_1186)*db_QED2 +  &
                        coupl(nGC_1187)*dye1_QED3
      coupl(nGC_2702) = coupl(nGC_13)**2d0*coupl(nGC_373)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2701) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_373) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_373) - coupl(  &
                        nGC_339)*coupl(nGC_340)*coupl(nGC_372) - coupl(nGC_340 &
                        )*coupl(nGC_341)*coupl(nGC_374) - coupl(nGC_340)*coupl(&
                        nGC_342)*coupl(nGC_369) - coupl(nGC_340)*coupl(nGC_344 &
                        )*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_261_Hl) = -coupl(nGC_261)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3610) = coupl(nGC_3102) + coupl(nGC_352)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_355)*dZeMinusR_QED2/2d0 + coupl(nGC_355&
                        )*dZnu_eL_QED2/2d0
      coupl(nGC_2700) = -coupl(nGC_13)**2d0*coupl(nGC_343)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2531) = (Nc*coupl(nGC_206)*coupl(nGC_343)**2d0 + Nc*coupl(     &
                        nGC_206)*coupl(nGC_346)**2d0 + Nc*coupl(nGC_206)*coupl(&
                        nGC_364)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_334)**2d0  &
                         - Nc*coupl(nGC_207)*coupl(nGC_370)**2d0 - Nc*coupl(   &
                        nGC_207)*coupl(nGC_382)**2d0 + Nc*coupl(nGC_209)*coupl(&
                        nGC_334)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_370)**2d0  &
                         + Nc*coupl(nGC_209)*coupl(nGC_382)**2d0 - Nc*coupl(   &
                        nGC_210)*coupl(nGC_343)**2d0 - Nc*coupl(nGC_210)*coupl(&
                        nGC_346)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_364)**2d0  &
                         + coupl(nGC_208)*coupl(nGC_352)**2d0 + coupl(nGC_208)*&
                        coupl(nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_376)**  &
                        2d0 - coupl(nGC_212)*coupl(nGC_352)**2d0 - coupl(      &
                        nGC_212)*coupl(nGC_358)**2d0 - coupl(nGC_212)*coupl(   &
                        nGC_376)**2d0)/(24d0*pi**2d0)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2536) = coupl(nGC_197)*(-coupl(nGC_199)*coupl(nGC_211) + 2d0*  &
                        coupl(nGC_211)*coupl(nGC_212) - coupl(nGC_212)*coupl(  &
                        nGC_805) - coupl(nGC_3)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2538) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_337) + Nc*&
                        coupl(nGC_340)*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl&
                        (nGC_349) + Nc*coupl(nGC_363)*coupl(nGC_367) - Nc*coupl&
                        (nGC_369)*coupl(nGC_373) - Nc*coupl(nGC_381)*coupl(    &
                        nGC_385) + coupl(nGC_351)*coupl(nGC_355) + coupl(      &
                        nGC_357)*coupl(nGC_361) + coupl(nGC_375)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2539) = coupl(nGC_197)*(-Nc*coupl(nGC_336)*coupl(nGC_337) + Nc*&
                        coupl(nGC_339)*coupl(nGC_340) + Nc*coupl(nGC_348)*coupl&
                        (nGC_349) + Nc*coupl(nGC_366)*coupl(nGC_367) - Nc*coupl&
                        (nGC_372)*coupl(nGC_373) - Nc*coupl(nGC_384)*coupl(    &
                        nGC_385) + coupl(nGC_354)*coupl(nGC_355) + coupl(      &
                        nGC_360)*coupl(nGC_361) + coupl(nGC_378)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2771) = cima*(-4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_334)*coupl(  &
                        nGC_337) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_340)*    &
                        coupl(nGC_343) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_346&
                        )*coupl(nGC_349) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(     &
                        nGC_364)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_1)**2d0*    &
                        coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_1)**  &
                        2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1 &
                        )*coupl(nGC_2)*coupl(nGC_334)*coupl(nGC_337) + 5d0*Nc* &
                        coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_343 &
                        ) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346)*   &
                        coupl(nGC_349) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl&
                        (nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(   &
                        nGC_1)*coupl(nGC_2)*coupl(nGC_382)*coupl(nGC_385) - 4d0&
                        *Nc*coupl(nGC_2)**2d0*coupl(nGC_334)*coupl(nGC_337) -  &
                        4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_340)*coupl(nGC_343  &
                        ) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_346)*coupl(     &
                        nGC_349) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_364)*    &
                        coupl(nGC_367) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_370&
                        )*coupl(nGC_373) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(     &
                        nGC_382)*coupl(nGC_385) - 4d0*coupl(nGC_352)*coupl(    &
                        nGC_355)*coupl(nGC_4)**2d0 - 4d0*coupl(nGC_358)*coupl( &
                        nGC_361)*coupl(nGC_4)**2d0 - 4d0*coupl(nGC_376)*coupl( &
                        nGC_379)*coupl(nGC_4)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3602) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_2957) + coupl(&
                        nGC_30)*dZWMinus_QED2/2d0 + coupl(nGC_30)*dZZ_QED2/2d0
      coupl(nGC_4018) = coupl(nGC_3314) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_3674) = coupl(nGC_52)*dZGMinus/2d0
      coupl(nGC_3057) = coupl(nGC_1226)*dydo1_QED1_QCD2 + coupl(nGC_1227)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3988) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_2743) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_342) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_342) + coupl(nGC_339 &
                        )**2d0*coupl(nGC_342) + coupl(nGC_340)*coupl(nGC_369)* &
                        coupl(nGC_373) + coupl(nGC_341)**2d0*coupl(nGC_342) +  &
                        coupl(nGC_342)**3d0 + coupl(nGC_342)*coupl(nGC_344)**  &
                        2d0 + coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_370))/(  &
                        32d0*pi**2d0)
      coupl(nGC_2742) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_342) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_342) + coupl(nGC_339 &
                        )**2d0*coupl(nGC_342) + coupl(nGC_340)*coupl(nGC_369)* &
                        coupl(nGC_373) + coupl(nGC_342)**3d0 + coupl(nGC_342)* &
                        coupl(nGC_855)**2d0 + coupl(nGC_342)*coupl(nGC_921)**  &
                        2d0 + coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_370))/(  &
                        32d0*pi**2d0)
      coupl(nGC_2741) = -coupl(nGC_13)**2d0*coupl(nGC_342)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2740) = -coupl(nGC_13)**2d0*coupl(nGC_341)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3349) = coupl(nGC_21)*dZHMinus_QED2/2d0 + coupl(nGC_21)*       &
                        dZHh_QED2/2d0 + coupl(nGC_24)*dZGMinusHMinus_QED2/2d0  &
                         + coupl(nGC_24)*dZHlHh_QED2/2d0 + coupl(nGC_2989)
      coupl(nGC_2745) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_339) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_339) + coupl(nGC_339 &
                        )**3d0 + coupl(nGC_339)*coupl(nGC_342)**2d0 + coupl(   &
                        nGC_339)*coupl(nGC_855)**2d0 + coupl(nGC_339)*coupl(   &
                        nGC_921)**2d0 + coupl(nGC_340)*coupl(nGC_372)*coupl(   &
                        nGC_373) + coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_2744) = -coupl(nGC_13)**2d0*coupl(nGC_339)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3612) = coupl(nGC_223)*dZHh_QED2 + coupl(nGC_2961)
      coupl(nGC_3345) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_3182) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusR_QED2
      coupl(nGC_3346) = coupl(nGC_30)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3340) = coupl(nGC_62)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3341) = coupl(nGC_2984) + coupl(nGC_53)*dZHaG0_QED2/2d0 + coupl&
                        (nGC_53)*dZHhHl_QED2/2d0 + coupl(nGC_62)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_62)*dZHl_QED2/2d0
      coupl(nGC_2585) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_206)**2d0 + coupl(nGC_339)**2d0 + coupl(nGC_340)** &
                        2d0 + coupl(nGC_341)*coupl(nGC_855) + coupl(nGC_342)** &
                        2d0 + coupl(nGC_343)**2d0 + coupl(nGC_344)*coupl(      &
                        nGC_921))/(64d0*pi**2d0)
      coupl(nGC_2584) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_197)**2d0 + 4d0*coupl(nGC_209)**2d0 + coupl(nGC_339&
                        )**2d0 + coupl(nGC_341)*coupl(nGC_855) + coupl(nGC_342 &
                        )**2d0 + coupl(nGC_344)*coupl(nGC_921) + coupl(nGC_370 &
                        )**2d0 + coupl(nGC_373)**2d0)/(64d0*pi**2d0)
      coupl(nGC_2629) = -coupl(nGC_13)**2d0*coupl(nGC_383)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2583) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_206)**2d0 - coupl(nGC_339)**2d0 - coupl(nGC_340)** &
                        2d0 - coupl(nGC_341)*coupl(nGC_855) - coupl(nGC_342)** &
                        2d0 - coupl(nGC_343)**2d0 - coupl(nGC_344)*coupl(      &
                        nGC_921))/(64d0*pi**2d0*Nc)
      coupl(nGC_2625) = -(-8d0*coupl(nGC_2)**2d0*coupl(nGC_384) - 8d0*coupl(   &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_384) + coupl(nGC_346 &
                        )*coupl(nGC_348)*coupl(nGC_382) + coupl(nGC_348)*coupl(&
                        nGC_349)*coupl(nGC_385) + coupl(nGC_381)**2d0*coupl(   &
                        nGC_384) + coupl(nGC_383)**2d0*coupl(nGC_384) + coupl( &
                        nGC_384)**3d0 + coupl(nGC_384)*coupl(nGC_386)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2620) = -coupl(nGC_13)**2d0*coupl(nGC_381)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2622) = -(-8d0*coupl(nGC_2)**2d0*coupl(nGC_381) - 8d0*coupl(   &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_381) + coupl(nGC_345 &
                        )*coupl(nGC_346)*coupl(nGC_382) + coupl(nGC_345)*coupl(&
                        nGC_349)*coupl(nGC_385) + coupl(nGC_381)**3d0 + coupl( &
                        nGC_381)*coupl(nGC_383)**2d0 + coupl(nGC_381)*coupl(   &
                        nGC_384)**2d0 + coupl(nGC_381)*coupl(nGC_386)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2623) = -coupl(nGC_13)**2d0*coupl(nGC_384)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3750) = coupl(nGC_13)*dZdL_QED2
      coupl(nGC_3764) = -coupl(nGC_3108) - coupl(nGC_353)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_356)*dZeMinusL_QED2/2d0 - coupl(nGC_356)*    &
                        dZeMinusR_QED2/2d0
      coupl(nGC_2767) = (12d0*Nc*cMB*coupl(nGC_339)**2d0*coupl(nGC_342) + 12d0*&
                        Nc*cMC*coupl(nGC_333)*coupl(nGC_336)**2d0 + 12d0*Nc*cMD&
                        *coupl(nGC_345)*coupl(nGC_348)**2d0 + 12d0*Nc*cMS*coupl&
                        (nGC_363)*coupl(nGC_366)**2d0 + 12d0*Nc*cMT*coupl(     &
                        nGC_369)*coupl(nGC_372)**2d0 + 12d0*Nc*cMU*coupl(      &
                        nGC_381)*coupl(nGC_384)**2d0 + 12d0*cME*coupl(nGC_351)*&
                        coupl(nGC_354)**2d0 + 12d0*cMM*coupl(nGC_357)*coupl(   &
                        nGC_360)**2d0 + 12d0*cMTA*coupl(nGC_375)*coupl(nGC_378 &
                        )**2d0 + cima*coupl(nGC_224)*coupl(nGC_329) + 2d0*cima*&
                        coupl(nGC_261)*coupl(nGC_77))/(16d0*pi**2d0)
      coupl(nGC_2996) = coupl(nGC_1487)*db_QED2 + coupl(nGC_1488)*dl5_QED4 +   &
                        coupl(nGC_1489)*dl4_QED4 + coupl(nGC_1490)*da_QED2
      coupl(nGC_2997) = coupl(nGC_1305)*db_QED2 + coupl(nGC_1306)*dl3_QED4 +   &
                        coupl(nGC_1307)*dl2_QED4 + coupl(nGC_1308)*dl1_QED4 +  &
                        coupl(nGC_1309)*dl4_QED4 + coupl(nGC_1310)*dl5_QED4 +  &
                        coupl(nGC_1311)*da_QED2
      coupl(nGC_2994) = coupl(nGC_2364)*dl3_QED4 + coupl(nGC_2365)*dl2_QED4 +  &
                        coupl(nGC_2366)*dl1_QED4 + coupl(nGC_2367)*dl4_QED4 +  &
                        coupl(nGC_2368)*dl5_QED4 + coupl(nGC_2369)*da_QED2
      coupl(nGC_2995) = coupl(nGC_1234)*db_QED2 + coupl(nGC_1235)*dl3_QED4 +   &
                        coupl(nGC_1236)*dl2_QED4 + coupl(nGC_1237)*dl1_QED4 +  &
                        coupl(nGC_1238)*dl4_QED4 + coupl(nGC_1239)*dl5_QED4 +  &
                        coupl(nGC_1240)*da_QED2
      coupl(nGC_2992) = coupl(nGC_2380)*dl3_QED4 + coupl(nGC_2381)*dl2_QED4 +  &
                        coupl(nGC_2382)*dl1_QED4 + coupl(nGC_2383)*dl4_QED4 +  &
                        coupl(nGC_2384)*dl5_QED4 + coupl(nGC_2385)*da_QED2
      coupl(nGC_3468) = coupl(nGC_338)*dZG0/2d0
      coupl(nGC_2990) = coupl(nGC_1273)*db_QED2 + coupl(nGC_1274)*dl3_QED4 +   &
                        coupl(nGC_1275)*dl2_QED4 + coupl(nGC_1276)*dl1_QED4 +  &
                        coupl(nGC_1277)*dl4_QED4 + coupl(nGC_1278)*dl5_QED4 +  &
                        coupl(nGC_1279)*da_QED2
      coupl(nGC_2991) = coupl(nGC_2052)*db_QED2 + coupl(nGC_2053)*dl3_QED4 +   &
                        coupl(nGC_2054)*dl2_QED4 + coupl(nGC_2055)*dl1_QED4 +  &
                        coupl(nGC_2056)*dl4_QED4 + coupl(nGC_2057)*dl5_QED4 +  &
                        coupl(nGC_2058)*da_QED2
      coupl(nGC_3465) = coupl(nGC_218)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3464) = coupl(nGC_227)*dZG0
      coupl(nGC_3467) = coupl(nGC_3123) + coupl(nGC_338)*dZcL_QCD2/2d0 + coupl(&
                        nGC_338)*dZcR_QCD2/2d0
      coupl(nGC_3466) = coupl(nGC_3122) + coupl(nGC_335)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_338)*dZcL_QED2/2d0 + coupl(nGC_338)*dZcR_QED2&
                        /2d0
      coupl(nGC_3461) = coupl(nGC_362)*dZG0/2d0
      coupl(nGC_3460) = coupl(nGC_3109) + coupl(nGC_359)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_362)*dZmuMinusL_QED2/2d0 + coupl(nGC_362)*   &
                        dZmuMinusR_QED2/2d0
      coupl(nGC_2998) = coupl(nGC_2090)*db_QED2 + coupl(nGC_2091)*dl3_QED4 +   &
                        coupl(nGC_2092)*dl2_QED4 + coupl(nGC_2093)*dl1_QED4 +  &
                        coupl(nGC_2094)*dl4_QED4 + coupl(nGC_2095)*dl5_QED4 +  &
                        coupl(nGC_2096)*da_QED2
      coupl(nGC_2999) = coupl(nGC_1477)*db_QED2 + coupl(nGC_1478)*dl5_QED4 +   &
                        coupl(nGC_1479)*dl4_QED4 + coupl(nGC_1480)*da_QED2
      coupl(nGC_2448) = cima*(Nc*coupl(nGC_334)**2d0 + Nc*coupl(nGC_343)**2d0  &
                         + Nc*coupl(nGC_346)**2d0 + Nc*coupl(nGC_364)**2d0 + Nc&
                        *coupl(nGC_370)**2d0 + Nc*coupl(nGC_382)**2d0 + coupl( &
                        nGC_352)**2d0 + coupl(nGC_358)**2d0 + coupl(nGC_376)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_2449) = (-Nc*cMB**2d0*cima*coupl(nGC_343)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_370)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_334)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_364)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_346)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_382)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_334  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_364)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_343)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_370)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_346)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_382)**2d0 - cME**2d0*cima&
                        *coupl(nGC_352)**2d0 - cMM**2d0*cima*coupl(nGC_358)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_376)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_100) - cMZ**2d0*coupl(nGC_229) + 2d0*cima*  &
                        coupl(nGC_231)**2d0 + 2d0*cima*coupl(nGC_321)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_3948) = coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0 + coupl(     &
                        nGC_TS_GC_173_Hh) + coupl(nGC_TS_GC_178_Hl)
      coupl(nGC_3915) = coupl(nGC_247)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2763) = (2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_343)**2d0 + 2d0*Nc&
                        *cMB*coupl(nGC_342)*coupl(nGC_370)**2d0 + 2d0*Nc*cMB*  &
                        coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_370) + 2d0*Nc* &
                        cMC*coupl(nGC_333)*coupl(nGC_334)**2d0 + 2d0*Nc*cMC*   &
                        coupl(nGC_333)*coupl(nGC_364)**2d0 + 2d0*Nc*cMC*coupl( &
                        nGC_334)*coupl(nGC_363)*coupl(nGC_364) + 2d0*Nc*cMD*   &
                        coupl(nGC_345)*coupl(nGC_346)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_345)*coupl(nGC_382)**2d0 + 2d0*Nc*cMD*coupl(nGC_346&
                        )*coupl(nGC_381)*coupl(nGC_382) + 2d0*Nc*cMS*coupl(    &
                        nGC_333)*coupl(nGC_334)*coupl(nGC_364) + 2d0*Nc*cMS*   &
                        coupl(nGC_334)**2d0*coupl(nGC_363) + 2d0*Nc*cMS*coupl( &
                        nGC_363)*coupl(nGC_364)**2d0 + 2d0*Nc*cMT*coupl(nGC_342&
                        )*coupl(nGC_343)*coupl(nGC_370) + 2d0*Nc*cMT*coupl(    &
                        nGC_343)**2d0*coupl(nGC_369) + 2d0*Nc*cMT*coupl(nGC_369&
                        )*coupl(nGC_370)**2d0 + 2d0*Nc*cMU*coupl(nGC_345)*coupl&
                        (nGC_346)*coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_346)** &
                        2d0*coupl(nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(  &
                        nGC_382)**2d0 + 2d0*cME*coupl(nGC_351)*coupl(nGC_352)**&
                        2d0 + 2d0*cMM*coupl(nGC_357)*coupl(nGC_358)**2d0 + 2d0*&
                        cMTA*coupl(nGC_375)*coupl(nGC_376)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_261) + 4d0*cima*coupl(nGC_180 &
                        )*coupl(nGC_321) + cima*coupl(nGC_229)*coupl(nGC_329   &
                        ) + 4d0*cima*coupl(nGC_23)*coupl(nGC_231))/(16d0*pi**  &
                        2d0)
      coupl(nGC_3669) = coupl(nGC_3063) + coupl(nGC_373)*dZbL_QCD2/2d0 + coupl(&
                        nGC_373)*dZtR_QCD2/2d0
      coupl(nGC_3668) = coupl(nGC_3062) + coupl(nGC_370)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_373)*dZbL_QED2/2d0 + coupl(nGC_373)*   &
                        dZtR_QED2/2d0
      coupl(nGC_2440) = cima*(Nc*coupl(nGC_337)**2d0 + Nc*coupl(nGC_340)**2d0  &
                         + Nc*coupl(nGC_349)**2d0 + Nc*coupl(nGC_367)**2d0 + Nc&
                        *coupl(nGC_373)**2d0 + Nc*coupl(nGC_385)**2d0 + coupl( &
                        nGC_355)**2d0 + coupl(nGC_361)**2d0 + coupl(nGC_379)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_2441) = (-Nc*cMB**2d0*cima*coupl(nGC_340)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_373)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_337)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_367)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_349)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_385)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_337  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_367)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_340)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_373)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_349)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_385)**2d0 - cME**2d0*cima&
                        *coupl(nGC_355)**2d0 - cMM**2d0*cima*coupl(nGC_361)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_379)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_100) - cMZ**2d0*coupl(nGC_229) + 2d0*cima*  &
                        coupl(nGC_237)**2d0 + 2d0*cima*coupl(nGC_324)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_3665) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_3182) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZmuMinusL_QED2
      coupl(nGC_2443) = cima*(-Nc*cMB**2d0*coupl(nGC_340)*coupl(nGC_343) - Nc* &
                        cMB**2d0*coupl(nGC_370)*coupl(nGC_373) - Nc*cMC**2d0*  &
                        coupl(nGC_334)*coupl(nGC_337) - Nc*cMC**2d0*coupl(     &
                        nGC_364)*coupl(nGC_367) - Nc*cMD**2d0*coupl(nGC_346)*  &
                        coupl(nGC_349) - Nc*cMD**2d0*coupl(nGC_382)*coupl(     &
                        nGC_385) - Nc*cMS**2d0*coupl(nGC_334)*coupl(nGC_337) - &
                        Nc*cMS**2d0*coupl(nGC_364)*coupl(nGC_367) - Nc*cMT**2d0&
                        *coupl(nGC_340)*coupl(nGC_343) - Nc*cMT**2d0*coupl(    &
                        nGC_370)*coupl(nGC_373) - Nc*cMU**2d0*coupl(nGC_346)*  &
                        coupl(nGC_349) - Nc*cMU**2d0*coupl(nGC_382)*coupl(     &
                        nGC_385) - cME**2d0*coupl(nGC_352)*coupl(nGC_355) - cMM&
                        **2d0*coupl(nGC_358)*coupl(nGC_361) - cMTA**2d0*coupl( &
                        nGC_376)*coupl(nGC_379) + 2d0*coupl(nGC_231)*coupl(    &
                        nGC_237) + 2d0*coupl(nGC_321)*coupl(nGC_324))/(16d0*pi &
                        **2d0)
      coupl(nGC_3660) = coupl(nGC_207)*dZuR_QCD2
      coupl(nGC_2692) = -coupl(nGC_13)**2d0*coupl(nGC_371)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2695) = -(-8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340) - 8d0* &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_340) + coupl(  &
                        nGC_339)*coupl(nGC_372)*coupl(nGC_373) + coupl(nGC_341 &
                        )*coupl(nGC_373)*coupl(nGC_374) + coupl(nGC_342)*coupl(&
                        nGC_369)*coupl(nGC_373) + coupl(nGC_344)*coupl(nGC_371 &
                        )*coupl(nGC_373))/(32d0*pi**2d0)
      coupl(nGC_2694) = -coupl(nGC_13)**2d0*coupl(nGC_373)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2696) = -coupl(nGC_13)**2d0*coupl(nGC_340)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2699) = -(-8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) - 8d0* &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_343) + coupl(  &
                        nGC_339)*coupl(nGC_370)*coupl(nGC_372) + coupl(nGC_341 &
                        )*coupl(nGC_370)*coupl(nGC_374) + coupl(nGC_342)*coupl(&
                        nGC_369)*coupl(nGC_370) + coupl(nGC_344)*coupl(nGC_370 &
                        )*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_2698) = -coupl(nGC_13)**2d0*coupl(nGC_370)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3166) = coupl(nGC_2308)*dZee_QED2 + coupl(nGC_2309)*dcw_QED2 + &
                        coupl(nGC_2310)*dsw_QED2
      coupl(nGC_3189) = coupl(nGC_1789)*dZee_QED2 + coupl(nGC_1790)*dcw_QED2 + &
                        coupl(nGC_1791)*dsw_QED2
      coupl(nGC_2558) = coupl(nGC_13)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                        nGC_819) + 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_3183) = coupl(nGC_1346)*dZee_QED2
      coupl(nGC_3180) = coupl(nGC_601)*dZee_QED2 + coupl(nGC_603)*dvev1_QED1 + &
                        coupl(nGC_605)*da_QED2 + coupl(nGC_607)*dcw_QED2 +     &
                        coupl(nGC_609)*dvev2_QED1 + coupl(nGC_611)*dsw_QED2
      coupl(nGC_3181) = coupl(nGC_1834)*dZee_QED2 + coupl(nGC_1835)*dcw_QED2 + &
                        coupl(nGC_1836)*dsw_QED2
      coupl(nGC_TS_GC_254_Hh) = -coupl(nGC_254)*dtHh_QED1/cMHH**2d0
      coupl(nGC_4062) = -coupl(nGC_2493)
      coupl(nGC_4064) = -coupl(nGC_2490)
      coupl(nGC_3030) = coupl(nGC_1937)*db_QED2 + coupl(nGC_1938)*dvev2_QED1 + &
                        coupl(nGC_1939)*dvev1_QED1 + coupl(nGC_1940)*dl2_QED4  &
                         + coupl(nGC_1941)*dl1_QED4 + coupl(nGC_1942)*dl4_QED4 &
                         + coupl(nGC_1943)*dl3_QED4 + coupl(nGC_1944)*da_QED2  &
                         + coupl(nGC_1945)*dl5_QED4
      coupl(nGC_3164) = coupl(nGC_2049)*dZee_QED2 + coupl(nGC_2050)*dcw_QED2 + &
                        coupl(nGC_2051)*dsw_QED2
      coupl(nGC_3165) = coupl(nGC_2201)*dZee_QED2 + coupl(nGC_2202)*dsw_QED2
      coupl(nGC_3009) = coupl(nGC_1743)*dZee_QED2 + coupl(nGC_1744)*dsw_QED2
      coupl(nGC_3008) = coupl(nGC_1962)*dZee_QED2 + coupl(nGC_1963)*dsw_QED2
      coupl(nGC_3160) = coupl(nGC_2278)*dZee_QED2 + coupl(nGC_2279)*dcw_QED2 + &
                        coupl(nGC_2280)*dsw_QED2
      coupl(nGC_3162) = coupl(nGC_2020)*dsw_QED2 + coupl(nGC_2021)*da_QED2 +   &
                        coupl(nGC_2022)*dvev1_QED1 + coupl(nGC_2023)*dvev2_QED1&
                         + coupl(nGC_2024)*dZee_QED2
      coupl(nGC_3163) = coupl(nGC_1555)*dZee_QED2
      coupl(nGC_3003) = coupl(nGC_1509)*db_QED2 + coupl(nGC_1510)*dl3_QED4 +   &
                        coupl(nGC_1511)*dl2_QED4 + coupl(nGC_1512)*dl1_QED4 +  &
                        coupl(nGC_1513)*dl4_QED4 + coupl(nGC_1514)*dl5_QED4
      coupl(nGC_3002) = coupl(nGC_1549)*db_QED2 + coupl(nGC_1550)*dl3_QED4 +   &
                        coupl(nGC_1551)*dl2_QED4 + coupl(nGC_1552)*dl1_QED4 +  &
                        coupl(nGC_1553)*dl4_QED4 + coupl(nGC_1554)*dl5_QED4
      coupl(nGC_3001) = coupl(nGC_1312)*db_QED2 + coupl(nGC_1313)*dl3_QED4 +   &
                        coupl(nGC_1314)*dl2_QED4 + coupl(nGC_1315)*dl1_QED4 +  &
                        coupl(nGC_1316)*dl4_QED4 + coupl(nGC_1317)*dl5_QED4 +  &
                        coupl(nGC_1318)*da_QED2
      coupl(nGC_3000) = coupl(nGC_2392)*db_QED2 + coupl(nGC_2393)*dl3_QED4 +   &
                        coupl(nGC_2394)*dl2_QED4 + coupl(nGC_2395)*dl1_QED4 +  &
                        coupl(nGC_2396)*dl4_QED4 + coupl(nGC_2397)*dl5_QED4 +  &
                        coupl(nGC_2398)*da_QED2
      coupl(nGC_3007) = coupl(nGC_1523)*db_QED2 + coupl(nGC_1524)*dl3_QED4 +   &
                        coupl(nGC_1525)*dl2_QED4 + coupl(nGC_1526)*dl1_QED4 +  &
                        coupl(nGC_1527)*dl4_QED4 + coupl(nGC_1528)*dl5_QED4
      coupl(nGC_3006) = coupl(nGC_1503)*db_QED2 + coupl(nGC_1504)*dl3_QED4 +   &
                        coupl(nGC_1505)*dl2_QED4 + coupl(nGC_1506)*dl1_QED4 +  &
                        coupl(nGC_1507)*dl4_QED4 + coupl(nGC_1508)*dl5_QED4
      coupl(nGC_3005) = coupl(nGC_1543)*db_QED2 + coupl(nGC_1544)*dl3_QED4 +   &
                        coupl(nGC_1545)*dl2_QED4 + coupl(nGC_1546)*dl1_QED4 +  &
                        coupl(nGC_1547)*dl4_QED4 + coupl(nGC_1548)*dl5_QED4
      coupl(nGC_3004) = coupl(nGC_1537)*db_QED2 + coupl(nGC_1538)*dl3_QED4 +   &
                        coupl(nGC_1539)*dl2_QED4 + coupl(nGC_1540)*dl1_QED4 +  &
                        coupl(nGC_1541)*dl4_QED4 + coupl(nGC_1542)*dl5_QED4
      coupl(nGC_2969) = coupl(nGC_1371)*db_QED2 + coupl(nGC_1372)*dl3_QED4 +   &
                        coupl(nGC_1373)*dl2_QED4 + coupl(nGC_1374)*dl1_QED4 +  &
                        coupl(nGC_1375)*dl4_QED4 + coupl(nGC_1376)*dl5_QED4 +  &
                        coupl(nGC_1377)*da_QED2
      coupl(nGC_2840) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_343)*coupl(nGC_921) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_821) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*coupl&
                        (nGC_879) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_334)*coupl(nGC_335) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_371   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_382)*coupl(nGC_383) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_335) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343)*coupl&
                        (nGC_921) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_346)*coupl(nGC_821) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_879   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_370)*coupl(nGC_371) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_383) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334)*coupl&
                        (nGC_335) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_343)*coupl(nGC_921) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_821   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_364)*coupl(nGC_879) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_370)*coupl(nGC_371) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382)*coupl&
                        (nGC_383) + 6d0*cima*coupl(nGC_187)*coupl(nGC_799) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_31) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_843   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_358)*coupl(nGC_865) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_376)*coupl(nGC_853) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352)*coupl(    &
                        nGC_843) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_358)*coupl(nGC_865) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_376)*coupl(nGC_853) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(   &
                        nGC_843) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_358)*coupl(nGC_865) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_853) + 6d0*    &
                        coupl(nGC_187)*coupl(nGC_199)*coupl(nGC_893) + 6d0*    &
                        coupl(nGC_199)*coupl(nGC_31)*coupl(nGC_805))/(48d0*pi**&
                        2d0)
      coupl(nGC_3034) = coupl(nGC_531)*db_QED2 + coupl(nGC_533)*dvev2_QED1 +   &
                        coupl(nGC_535)*da_QED2 + coupl(nGC_537)*dl2_QED4 +     &
                        coupl(nGC_539)*dl1_QED4 + coupl(nGC_541)*dl4_QED4 +    &
                        coupl(nGC_543)*dl3_QED4 + coupl(nGC_545)*dvev1_QED1 +  &
                        coupl(nGC_547)*dl5_QED4
      coupl(nGC_2842) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_206)**2d0 &
                         - coupl(nGC_207)**2d0 - coupl(nGC_209)**2d0 - coupl(  &
                        nGC_210)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2962) = coupl(nGC_1663)*db_QED2 + coupl(nGC_1664)*dl3_QED4 +   &
                        coupl(nGC_1665)*dl2_QED4 + coupl(nGC_1666)*dl1_QED4 +  &
                        coupl(nGC_1667)*dl4_QED4 + coupl(nGC_1668)*dl5_QED4
      coupl(nGC_2960) = coupl(nGC_1173)*db_QED2 + coupl(nGC_1174)*dZee_QED2 +  &
                        coupl(nGC_1175)*dcw_QED2 + coupl(nGC_1176)*da_QED2
      coupl(nGC_2965) = coupl(nGC_1378)*db_QED2 + coupl(nGC_1379)*dl3_QED4 +   &
                        coupl(nGC_1380)*dl2_QED4 + coupl(nGC_1381)*dl1_QED4 +  &
                        coupl(nGC_1382)*dl4_QED4 + coupl(nGC_1383)*dl5_QED4 +  &
                        coupl(nGC_1384)*da_QED2
      coupl(nGC_2964) = coupl(nGC_1657)*db_QED2 + coupl(nGC_1658)*dl3_QED4 +   &
                        coupl(nGC_1659)*dl2_QED4 + coupl(nGC_1660)*dl1_QED4 +  &
                        coupl(nGC_1661)*dl4_QED4 + coupl(nGC_1662)*dl5_QED4
      coupl(nGC_2406) = cima*sq2**2d0*(Nc*coupl(nGC_819)**2d0 - 6d0*coupl(     &
                        nGC_13)**2d0)/(96d0*pi**2d0)
      coupl(nGC_TS_GC_253_Hl) = -coupl(nGC_253)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2654) = -(-8d0*coupl(nGC_2)**2d0*coupl(nGC_333) - 8d0*coupl(   &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_333) + coupl(nGC_333 &
                        )**3d0 + coupl(nGC_333)*coupl(nGC_336)**2d0 + coupl(   &
                        nGC_333)*coupl(nGC_847)**2d0 + coupl(nGC_333)*coupl(   &
                        nGC_873)**2d0 + coupl(nGC_334)*coupl(nGC_363)*coupl(   &
                        nGC_364) + coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_2577) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_206)**2d0 + coupl(nGC_345)**2d0 + coupl(nGC_346)** &
                        2d0 + coupl(nGC_347)*coupl(nGC_821) + coupl(nGC_348)** &
                        2d0 + coupl(nGC_349)**2d0 + coupl(nGC_350)*coupl(      &
                        nGC_897))/(64d0*pi**2d0)
      coupl(nGC_2951) = (3d0*Nc*cima*coupl(nGC_14)**2d0 + 3d0*Nc*cima*coupl(   &
                        nGC_795)**2d0 - Nc*cima*coupl(nGC_819)**4d0*sq2**4d0 - &
                        6d0*Nc*coupl(nGC_14)*coupl(nGC_819)**2d0*sq2**2d0 + 9d0&
                        *cima*coupl(nGC_13)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_3717) = coupl(nGC_2975) + coupl(nGC_54)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_55)*dZG0Ha_QED2 + coupl(nGC_70)*dZHa_QED2
      coupl(nGC_3716) = coupl(nGC_70)*dZGMinus
      coupl(nGC_3712) = coupl(nGC_199)*dZWMinus_QED2 + coupl(nGC_199)*dZZ_QED2/&
                        2d0 + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_3164)
      coupl(nGC_3711) = -coupl(nGC_341)*dZG0/2d0
      coupl(nGC_3710) = -coupl(nGC_3083) - coupl(nGC_341)*dZbL_QCD2/2d0 - coupl&
                        (nGC_341)*dZbR_QCD2/2d0
      coupl(nGC_2652) = -coupl(nGC_13)**2d0*coupl(nGC_338)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2402) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 2d0*Nc*cMC** &
                        2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl&
                        (nGC_1)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0  &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMU &
                        **2d0*cima*coupl(nGC_2)**2d0 + 2d0*cME**2d0*cima*coupl(&
                        nGC_4)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 2d0&
                        *cMTA**2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*cima*coupl&
                        (nGC_3)**2d0 + cMW**2d0*cima*coupl(nGC_893)**2d0 - cMW &
                        **2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_3718) = coupl(nGC_3136) + coupl(nGC_369)*dZHl_QED2/2d0 + coupl(&
                        nGC_369)*dZtL_QED2/2d0 + coupl(nGC_369)*dZtR_QED2/2d0  &
                         + coupl(nGC_372)*dZHhHl_QED2/2d0
      coupl(nGC_3486) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*          &
                        dZnu_tauL_QED2 + coupl(nGC_3191)
      coupl(nGC_3485) = coupl(nGC_224)*dZZA_QED2/2d0
      coupl(nGC_3484) = coupl(nGC_3089) + coupl(nGC_339)*dZbL_QCD2/2d0 + coupl(&
                        nGC_339)*dZbR_QCD2/2d0
      coupl(nGC_3483) = coupl(nGC_3088) + coupl(nGC_339)*dZHh_QED2/2d0 + coupl(&
                        nGC_339)*dZbL_QED2/2d0 + coupl(nGC_339)*dZbR_QED2/2d0  &
                         + coupl(nGC_342)*dZHlHh_QED2/2d0
      coupl(nGC_3482) = coupl(nGC_221)*dZA_QED2/2d0 + coupl(nGC_221)*dZZ_QED2/ &
                        2d0 + coupl(nGC_229)*dZZA_QED2/2d0 + coupl(nGC_29)*    &
                        dZAZ_QED2/2d0 + coupl(nGC_3166)
      coupl(nGC_3481) = coupl(nGC_221)*dZGMinus
      coupl(nGC_3480) = coupl(nGC_3105) + coupl(nGC_352)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_352)*dZeMinusR_QED2/2d0 + coupl(nGC_352)*    &
                        dZnu_eL_QED2/2d0 + coupl(nGC_355)*dZGMinusHMinus_QED2/ &
                        2d0
      coupl(nGC_3326) = coupl(nGC_22)*dZHl_QED2/2d0 + coupl(nGC_24)*           &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_24)*dZHhHl_QED2/2d0&
                         + coupl(nGC_2988)
      coupl(nGC_TS_GC_369_Hl) = -coupl(nGC_369)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3663) = coupl(nGC_184)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2950) = (6d0*Nc*cima*coupl(nGC_14)*coupl(nGC_795) - Nc*cima*   &
                        coupl(nGC_819)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_14)*   &
                        coupl(nGC_819)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_795)*  &
                        coupl(nGC_819)**2d0*sq2**2d0 + 9d0*cima*coupl(nGC_13)**&
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_3488) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*          &
                        dZnu_eL_QED2 + coupl(nGC_3191)
      coupl(nGC_3138) = coupl(nGC_1219)*db_QED2 + coupl(nGC_1220)*dyup1_QED3 + &
                        coupl(nGC_1221)*dyup2_QED3
      coupl(nGC_2400) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2)**&
                        2d0 - coupl(nGC_3)**2d0 - 6d0*coupl(nGC_4)**2d0 - coupl&
                        (nGC_893)**2d0)/(48d0*pi**2d0)
      coupl(nGC_2401) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_893)**2d0)/(48d0*pi&
                        **2d0)
      coupl(nGC_2660) = -coupl(nGC_13)**2d0*coupl(nGC_873)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2661) = -(-8d0*coupl(nGC_2)**2d0*coupl(nGC_335) - 8d0*coupl(   &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_335) + coupl(nGC_333 &
                        )**2d0*coupl(nGC_873) + coupl(nGC_334)*coupl(nGC_364)* &
                        coupl(nGC_879) + coupl(nGC_335)**2d0*coupl(nGC_873) +  &
                        coupl(nGC_336)**2d0*coupl(nGC_873) + coupl(nGC_337)*   &
                        coupl(nGC_367)*coupl(nGC_879) + coupl(nGC_338)**2d0*   &
                        coupl(nGC_873))/(32d0*pi**2d0)
      coupl(nGC_2662) = -coupl(nGC_13)**2d0*coupl(nGC_335)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2664) = -coupl(nGC_13)**2d0*coupl(nGC_337)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2665) = -(-8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_367) - 8d0* &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_367) + coupl(  &
                        nGC_333)*coupl(nGC_337)*coupl(nGC_363) + coupl(nGC_335 &
                        )*coupl(nGC_337)*coupl(nGC_365) + coupl(nGC_336)*coupl(&
                        nGC_337)*coupl(nGC_366) + coupl(nGC_337)*coupl(nGC_338 &
                        )*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_2666) = -coupl(nGC_13)**2d0*coupl(nGC_367)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2668) = -coupl(nGC_13)**2d0*coupl(nGC_334)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2967) = coupl(nGC_1147)*dl3_QED4 + coupl(nGC_1148)*dl2_QED4 +  &
                        coupl(nGC_1149)*dl1_QED4 + coupl(nGC_1150)*dl4_QED4 +  &
                        coupl(nGC_1151)*dl5_QED4 + coupl(nGC_1152)*da_QED2
      coupl(nGC_2966) = coupl(nGC_1364)*db_QED2 + coupl(nGC_1365)*dl3_QED4 +   &
                        coupl(nGC_1366)*dl2_QED4 + coupl(nGC_1367)*dl1_QED4 +  &
                        coupl(nGC_1368)*dl4_QED4 + coupl(nGC_1369)*dl5_QED4 +  &
                        coupl(nGC_1370)*da_QED2
      coupl(nGC_3133) = coupl(nGC_1959)*dyup1_QED1_QCD2 + coupl(nGC_1961)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3908) = -coupl(nGC_205)*dZZA_QED2/2d0 + coupl(nGC_3163) + coupl&
                        (nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_3909) = -coupl(nGC_214)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3903) = coupl(nGC_3111) + coupl(nGC_351)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_354)*dZHh_QED2/2d0 + coupl(nGC_354)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_354)*dZeMinusR_QED2/2d0
      coupl(nGC_3906) = -coupl(nGC_215)*dZG0/2d0
      coupl(nGC_3907) = coupl(nGC_205)*dZZA_QED2 - 2d0*coupl(nGC_3163) - 2d0*  &
                        coupl(nGC_8)*dZA_QED2 - 2d0*coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_3904) = -coupl(nGC_3047)/2d0 - coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_TS_GC_381_Hl) = -coupl(nGC_381)*dtHl_QED1/cMHL**2d0
      coupl(nGC_4028) = coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0 - coupl(              &
                        nGC_TS_GC_214_Hh) - coupl(nGC_TS_GC_215_Hl)
      coupl(nGC_3422) = coupl(nGC_3078) + coupl(nGC_347)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_350)*dZdL_QED2/2d0 + coupl(nGC_350)*dZdR_QED2&
                        /2d0
      coupl(nGC_2746) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_339) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_339) + coupl(nGC_339 &
                        )**3d0 + coupl(nGC_339)*coupl(nGC_341)**2d0 + coupl(   &
                        nGC_339)*coupl(nGC_342)**2d0 + coupl(nGC_339)*coupl(   &
                        nGC_344)**2d0 + coupl(nGC_340)*coupl(nGC_372)*coupl(   &
                        nGC_373) + coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_3137) = coupl(nGC_2146)*dyt1_QED1_QCD2 + coupl(nGC_2147)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_3097) = coupl(nGC_1983)*dydo1_QED1_QCD2 + coupl(nGC_1984)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3134) = coupl(nGC_2352)*dyc1_QED3 + coupl(nGC_2353)*dyc2_QED3  &
                         + coupl(nGC_2354)*da_QED2
      coupl(nGC_3622) = coupl(nGC_3006) + coupl(nGC_54)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_54)*dZHa_QED2 + coupl(nGC_64)*               &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_70)*               &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_72)*dZG0Ha_QED2
      coupl(nGC_2891) = cima*(10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_337)**2d0  &
                         + 10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_367)**2d0 +   &
                        20d0*Nc*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_366)*  &
                        coupl(nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(    &
                        nGC_366)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_340)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_373)**2d0 + 20d0*Nc*coupl(nGC_339)*coupl(nGC_340)* &
                        coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_340  &
                        )**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(nGC_348)**  &
                        2d0*coupl(nGC_349)**2d0 + 10d0*Nc*coupl(nGC_348)**2d0* &
                        coupl(nGC_385)**2d0 + 20d0*Nc*coupl(nGC_348)*coupl(    &
                        nGC_349)*coupl(nGC_384)*coupl(nGC_385) + 10d0*Nc*coupl(&
                        nGC_349)**2d0*coupl(nGC_384)**2d0 + 10d0*Nc*coupl(     &
                        nGC_366)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(     &
                        nGC_372)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(     &
                        nGC_384)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*coupl(  &
                        nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 +    &
                        10d0*coupl(nGC_354)**2d0*coupl(nGC_355)**2d0 + 10d0*   &
                        coupl(nGC_360)**2d0*coupl(nGC_361)**2d0 + 10d0*coupl(  &
                        nGC_378)**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3620) = coupl(nGC_325)*dZGMinus/2d0
      coupl(nGC_3626) = coupl(nGC_2966) + coupl(nGC_33)*dZHlHh_QED2 + coupl(   &
                        nGC_37)*dZHMinusGMinus_QED2 + coupl(nGC_42)*dZHh_QED2
      coupl(nGC_3625) = coupl(nGC_42)*dZGMinus
      coupl(nGC_3624) = coupl(nGC_249)*dZGMinus
      coupl(nGC_2484) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_206&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_345)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_347)*coupl(nGC_821) + coupl(nGC_1)*coupl(  &
                        nGC_348)**2d0 + coupl(nGC_1)*coupl(nGC_350)*coupl(     &
                        nGC_897) + coupl(nGC_2)*coupl(nGC_346)**2d0 + coupl(   &
                        nGC_2)*coupl(nGC_349)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2485) = coupl(nGC_1)*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_3629) = coupl(nGC_2975) + coupl(nGC_54)*dZHaG0_QED2 + coupl(   &
                        nGC_55)*dZGMinusHMinus_QED2 + coupl(nGC_70)*           &
                        dZHMinus_QED2
      coupl(nGC_2480) = (coupl(nGC_1)*coupl(nGC_334)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_337)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2&
                        )*coupl(nGC_207)**2d0 + coupl(nGC_2)*coupl(nGC_333)**  &
                        2d0 + coupl(nGC_2)*coupl(nGC_335)*coupl(nGC_873) +     &
                        coupl(nGC_2)*coupl(nGC_336)**2d0 + coupl(nGC_2)*coupl( &
                        nGC_338)*coupl(nGC_847))/(32d0*pi**2d0)
      coupl(nGC_2483) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_209&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_345)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_347)*coupl(nGC_821) + coupl(nGC_1)*coupl(  &
                        nGC_348)**2d0 + coupl(nGC_1)*coupl(nGC_350)*coupl(     &
                        nGC_897) + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2) + 2d0* &
                        coupl(nGC_197)**2d0*coupl(nGC_893) + coupl(nGC_2)*coupl&
                        (nGC_382)**2d0 + coupl(nGC_2)*coupl(nGC_385)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_3876) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_3877) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +   &
                        coupl(nGC_206)*dZZA_QED2/2d0 + coupl(nGC_3184)
      coupl(nGC_3875) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_209)*dZZA_QED2/2d0 + coupl(nGC_3184)
      coupl(nGC_3872) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZtR_QCD2 + &
                        coupl(nGC_3185)
      coupl(nGC_3873) = coupl(nGC_13)*dZtR_QED2
      coupl(nGC_3870) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZtL_QCD2 + &
                        coupl(nGC_3185)
      coupl(nGC_3871) = coupl(nGC_13)*dZtL_QED2
      coupl(nGC_2714) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_345) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_345) + coupl(nGC_345 &
                        )**3d0 + coupl(nGC_345)*coupl(nGC_348)**2d0 + coupl(   &
                        nGC_345)*coupl(nGC_821)**2d0 + coupl(nGC_345)*coupl(   &
                        nGC_897)**2d0 + coupl(nGC_346)*coupl(nGC_381)*coupl(   &
                        nGC_382) + coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_2715) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_345) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_345) + coupl(nGC_345 &
                        )**3d0 + coupl(nGC_345)*coupl(nGC_347)**2d0 + coupl(   &
                        nGC_345)*coupl(nGC_348)**2d0 + coupl(nGC_345)*coupl(   &
                        nGC_350)**2d0 + coupl(nGC_346)*coupl(nGC_381)*coupl(   &
                        nGC_382) + coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_2716) = -coupl(nGC_13)**2d0*coupl(nGC_348)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2717) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_348) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_348) + coupl(nGC_345 &
                        )**2d0*coupl(nGC_348) + coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_384) + coupl(nGC_348)**3d0 + coupl(nGC_348)* &
                        coupl(nGC_821)**2d0 + coupl(nGC_348)*coupl(nGC_897)**  &
                        2d0 + coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385))/(  &
                        32d0*pi**2d0)
      coupl(nGC_2710) = -coupl(nGC_13)**2d0*coupl(nGC_897)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3878) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_3879) = coupl(nGC_3115) + coupl(nGC_357)*dZHl_QED2/2d0 + coupl(&
                        nGC_357)*dZmuMinusL_QED2/2d0 + coupl(nGC_357)*         &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_360)*dZHhHl_QED2/2d0
      coupl(nGC_3519) = coupl(nGC_252)*dZGMinus/2d0
      coupl(nGC_3518) = coupl(nGC_241)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_243 &
                        )*dZHMinusGMinus_QED2/2d0 + coupl(nGC_244)*dZHhHl_QED2/&
                        2d0 + coupl(nGC_252)*dZHMinus_QED2/2d0 + coupl(nGC_252 &
                        )*dZHl_QED2/2d0 + coupl(nGC_3025) + coupl(             &
                        nGC_TS_GC_34_Hl) + coupl(nGC_TS_GC_46_Hh)
      coupl(nGC_3974) = coupl(nGC_3316) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_3973) = coupl(nGC_3315) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl( &
                        nGC_MS)*dZsR_QED2/2d0 + coupl(nGC_TS_GC_363_Hl) + coupl&
                        (nGC_TS_GC_366_Hh)
      coupl(nGC_2820) = (-4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_340)**2d0  &
                         - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_349)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_367)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_206)*coupl(nGC_210)*coupl(    &
                        nGC_340)**2d0 + 5d0*Nc*cima*coupl(nGC_206)*coupl(      &
                        nGC_210)*coupl(nGC_349)**2d0 + 5d0*Nc*cima*coupl(      &
                        nGC_206)*coupl(nGC_210)*coupl(nGC_367)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_337)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_385)**2d0 + 5d0*Nc* &
                        cima*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_337)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_207)*coupl(nGC_209)*coupl(    &
                        nGC_373)**2d0 + 5d0*Nc*cima*coupl(nGC_207)*coupl(      &
                        nGC_209)*coupl(nGC_385)**2d0 - 4d0*Nc*cima*coupl(      &
                        nGC_209)**2d0*coupl(nGC_337)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_385)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_340)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_349)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_367)**2d0 + 3d0*cima*coupl(    &
                        nGC_100)*coupl(nGC_195) - 4d0*cima*coupl(nGC_208)**2d0*&
                        coupl(nGC_355)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_361)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_379)**2d0 + 5d0*cima*coupl(nGC_208)*coupl(   &
                        nGC_212)*coupl(nGC_355)**2d0 + 5d0*cima*coupl(nGC_208)*&
                        coupl(nGC_212)*coupl(nGC_361)**2d0 + 5d0*cima*coupl(   &
                        nGC_208)*coupl(nGC_212)*coupl(nGC_379)**2d0 - 4d0*cima*&
                        coupl(nGC_212)**2d0*coupl(nGC_355)**2d0 - 4d0*cima*    &
                        coupl(nGC_212)**2d0*coupl(nGC_361)**2d0 - 4d0*cima*    &
                        coupl(nGC_212)**2d0*coupl(nGC_379)**2d0 + 3d0*coupl(   &
                        nGC_100)*coupl(nGC_199)**2d0 + 3d0*coupl(nGC_100)*coupl&
                        (nGC_805)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3970) = 2d0*coupl(nGC_17)*dZHlHh_QED2 + 2d0*coupl(nGC_19)*     &
                        dZHh_QED2 + coupl(nGC_2967)
      coupl(nGC_2399) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_212)**2d0)/(16d0&
                        *pi**2d0)
      coupl(nGC_3590) = -coupl(nGC_199)*dZWMinus_QED2 - coupl(nGC_199)*dZZ_QED2&
                        /2d0 - coupl(nGC_3)*dZAZ_QED2/2d0 - coupl(nGC_3164)
      coupl(nGC_2778) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(    &
                        nGC_2)**4d0 - 2d0*cima*coupl(nGC_3)**4d0 + 2d0*cima*   &
                        coupl(nGC_4)**4d0 - 2d0*cima*coupl(nGC_893)**4d0 + cima&
                        *coupl(nGC_9)**2d0 + 2d0*coupl(nGC_3)**2d0*coupl(nGC_9 &
                        ) + 2d0*coupl(nGC_893)**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_3179) = coupl(nGC_587)*dZee_QED2 + coupl(nGC_589)*dvev1_QED1 + &
                        coupl(nGC_591)*da_QED2 + coupl(nGC_593)*dcw_QED2 +     &
                        coupl(nGC_595)*dvev2_QED1 + coupl(nGC_597)*dsw_QED2
      coupl(nGC_3430) = coupl(nGC_21)*dZHhHl_QED2/2d0 + coupl(nGC_22)*         &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_24)*dZHMinus_QED2/ &
                        2d0 + coupl(nGC_24)*dZHl_QED2/2d0 + coupl(nGC_2960)
      coupl(nGC_3552) = -coupl(nGC_184)*dZWMinus_QED2/2d0 - coupl(nGC_3149)
      coupl(nGC_3793) = coupl(nGC_173)*dZHl_QED2/2d0 + coupl(nGC_173)*         &
                        dZWMinus_QED2/2d0 - coupl(nGC_178)*dZHMinusGMinus_QED2/&
                        2d0 + coupl(nGC_179)*dZHhHl_QED2/2d0 + coupl(nGC_3151)
      coupl(nGC_2431) = cMT*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2430) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(   &
                        nGC_210))/(8d0*pi**2d0)
      coupl(nGC_3563) = coupl(nGC_3131) + coupl(nGC_372)*dZtL_QCD2/2d0 + coupl(&
                        nGC_372)*dZtR_QCD2/2d0
      coupl(nGC_3539) = coupl(nGC_3008) + coupl(nGC_99)*dZHa_QED2
      coupl(nGC_3538) = -2d0*coupl(nGC_194)*dZWMinus_QED2 - 2d0*coupl(nGC_194)*&
                        dZZ_QED2 + coupl(nGC_205)*dZAZ_QED2 - 2d0*coupl(       &
                        nGC_3181)
      coupl(nGC_3537) = coupl(nGC_194)*dZWMinus_QED2 + coupl(nGC_194)*dZZ_QED2 &
                         - coupl(nGC_205)*dZAZ_QED2/2d0 + coupl(nGC_3181)
      coupl(nGC_3532) = coupl(nGC_2983) + coupl(nGC_53)*dZG0Ha_QED2/2d0 + coupl&
                        (nGC_53)*dZHlHh_QED2/2d0 + coupl(nGC_63)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_63)*dZHa_QED2/2d0 + coupl(nGC_63)*     &
                        dZHh_QED2/2d0
      coupl(nGC_TS_GC_213_Hl) = -coupl(nGC_213)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2809) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334&
                        )*coupl(nGC_335) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_343)*coupl(nGC_921) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_346)*coupl(nGC_821) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_364)*coupl(      &
                        nGC_879) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_370)*coupl(nGC_371) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_382)*coupl(nGC_383) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_334)*coupl( &
                        nGC_335) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_343)*coupl(nGC_921) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_821) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364)*&
                        coupl(nGC_879) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_370)*coupl(nGC_371) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_382)*coupl(nGC_383) + 6d0*cima* &
                        coupl(nGC_187)*coupl(nGC_839) + cima*coupl(nGC_197)*   &
                        coupl(nGC_352)*coupl(nGC_4)*coupl(nGC_843) + cima*coupl&
                        (nGC_197)*coupl(nGC_358)*coupl(nGC_4)*coupl(nGC_865) + &
                        cima*coupl(nGC_197)*coupl(nGC_376)*coupl(nGC_4)*coupl( &
                        nGC_853) + 6d0*cima*coupl(nGC_202)*coupl(nGC_31) + 6d0*&
                        coupl(nGC_187)*coupl(nGC_3)*coupl(nGC_893) + 6d0*coupl(&
                        nGC_3)*coupl(nGC_31)*coupl(nGC_805))/(48d0*pi**2d0)
      coupl(nGC_3147) = coupl(nGC_1819)*dvev1_QED1 + coupl(nGC_1820)*dvev2_QED1&
                         + coupl(nGC_1821)*dZee_QED2 + coupl(nGC_1822)*dsw_QED2&
                         + coupl(nGC_1823)*db_QED2
      coupl(nGC_3566) = coupl(nGC_242)*dZG0
      coupl(nGC_2800) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_342)** &
                        2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_345&
                        )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(    &
                        nGC_363)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*   &
                        coupl(nGC_342)**2d0 - Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_209)*coupl(nGC_345)**2d0 - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_209)*coupl(nGC_363)**2d0 - Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_207)*coupl(nGC_333)**2d0 - Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369)**2d0 - Nc*  &
                        cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381)**2d0 - &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_333)**2d0&
                         - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369)**&
                        2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381&
                        )**2d0 + cima*coupl(nGC_205)*coupl(nGC_77) - cima*coupl&
                        (nGC_208)*coupl(nGC_351)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_357)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_375)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_351)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_357)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_375)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_199)*coupl(nGC_3)*coupl(nGC_77) + coupl(nGC_77)*   &
                        coupl(nGC_805)*coupl(nGC_893))/(8d0*pi**2d0)
      coupl(nGC_2801) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)*  &
                        coupl(nGC_342) - Nc*coupl(nGC_1)*coupl(nGC_206)*coupl( &
                        nGC_345)*coupl(nGC_348) - Nc*coupl(nGC_1)*coupl(nGC_206&
                        )*coupl(nGC_363)*coupl(nGC_366) - Nc*coupl(nGC_1)*coupl&
                        (nGC_209)*coupl(nGC_339)*coupl(nGC_342) - Nc*coupl(    &
                        nGC_1)*coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_348) -  &
                        Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_363)*coupl(   &
                        nGC_366) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_333&
                        )*coupl(nGC_336) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl&
                        (nGC_369)*coupl(nGC_372) - Nc*coupl(nGC_2)*coupl(      &
                        nGC_207)*coupl(nGC_381)*coupl(nGC_384) - Nc*coupl(nGC_2&
                        )*coupl(nGC_210)*coupl(nGC_333)*coupl(nGC_336) - Nc*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369)*coupl(      &
                        nGC_372) - Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381&
                        )*coupl(nGC_384) - coupl(nGC_208)*coupl(nGC_351)*coupl(&
                        nGC_354)*coupl(nGC_4) - coupl(nGC_208)*coupl(nGC_357)* &
                        coupl(nGC_360)*coupl(nGC_4) - coupl(nGC_208)*coupl(    &
                        nGC_375)*coupl(nGC_378)*coupl(nGC_4) - coupl(nGC_211)* &
                        coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_4) - coupl(    &
                        nGC_211)*coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_4) -  &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_378)*coupl(    &
                        nGC_4))/(8d0*pi**2d0)
      coupl(nGC_2802) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_336&
                        )*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_339)*coupl(nGC_340) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_348)*coupl(nGC_349) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_366)*coupl(      &
                        nGC_367) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_384)*coupl(nGC_385) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_336)*coupl( &
                        nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_348)*coupl(nGC_349) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_366)*&
                        coupl(nGC_367) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_372)*coupl(nGC_373) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_384)*coupl(nGC_385) + 6d0*cima* &
                        coupl(nGC_180)*coupl(nGC_839) + cima*coupl(nGC_197)*   &
                        coupl(nGC_354)*coupl(nGC_355)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_360)*coupl(nGC_361)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_378)*coupl(nGC_379)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_23) + 6d0* &
                        coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_893) + 6d0*coupl(&
                        nGC_23)*coupl(nGC_3)*coupl(nGC_805))/(48d0*pi**2d0)
      coupl(nGC_2803) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)** &
                        2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_348&
                        )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(    &
                        nGC_366)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*   &
                        coupl(nGC_339)**2d0 - Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_209)*coupl(nGC_348)**2d0 - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_209)*coupl(nGC_366)**2d0 - Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_207)*coupl(nGC_336)**2d0 - Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_372)**2d0 - Nc*  &
                        cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_384)**2d0 - &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_336)**2d0&
                         - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_372)**&
                        2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_384&
                        )**2d0 + cima*coupl(nGC_205)*coupl(nGC_77) - cima*coupl&
                        (nGC_208)*coupl(nGC_354)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_360)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_378)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_354)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_360)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_378)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_199)*coupl(nGC_3)*coupl(nGC_77) + coupl(nGC_77)*   &
                        coupl(nGC_805)*coupl(nGC_893))/(8d0*pi**2d0)
      coupl(nGC_2804) = cima*coupl(nGC_197)*(-4d0*Nc*coupl(nGC_1)*coupl(nGC_335&
                        )*coupl(nGC_337) + Nc*coupl(nGC_1)*coupl(nGC_340)*coupl&
                        (nGC_921) + Nc*coupl(nGC_1)*coupl(nGC_349)*coupl(      &
                        nGC_821) + Nc*coupl(nGC_1)*coupl(nGC_367)*coupl(nGC_879&
                        ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_371)*coupl(nGC_373   &
                        ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_383)*coupl(nGC_385   &
                        ) + Nc*coupl(nGC_2)*coupl(nGC_335)*coupl(nGC_337) - 4d0&
                        *Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_921) - 4d0*Nc&
                        *coupl(nGC_2)*coupl(nGC_349)*coupl(nGC_821) - 4d0*Nc*  &
                        coupl(nGC_2)*coupl(nGC_367)*coupl(nGC_879) + Nc*coupl( &
                        nGC_2)*coupl(nGC_371)*coupl(nGC_373) + Nc*coupl(nGC_2)*&
                        coupl(nGC_383)*coupl(nGC_385) + coupl(nGC_355)*coupl(  &
                        nGC_4)*coupl(nGC_843) + coupl(nGC_361)*coupl(nGC_4)*   &
                        coupl(nGC_865) + coupl(nGC_379)*coupl(nGC_4)*coupl(    &
                        nGC_853))/(48d0*pi**2d0)
      coupl(nGC_2807) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_333&
                        )*coupl(nGC_334) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_342)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_346) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363)*coupl(      &
                        nGC_364) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_381)*coupl(nGC_382) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_333)*coupl( &
                        nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(nGC_346) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_363)*&
                        coupl(nGC_364) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_369)*coupl(nGC_370) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_381)*coupl(nGC_382) + 6d0*cima* &
                        coupl(nGC_180)*coupl(nGC_839) + cima*coupl(nGC_197)*   &
                        coupl(nGC_351)*coupl(nGC_352)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_357)*coupl(nGC_358)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_375)*coupl(nGC_376)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_23) + 6d0* &
                        coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_893) + 6d0*coupl(&
                        nGC_23)*coupl(nGC_3)*coupl(nGC_805))/(48d0*pi**2d0)
      coupl(nGC_3889) = -coupl(nGC_3124) - coupl(nGC_371)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_374)*dZtL_QED2/2d0 - coupl(nGC_374)*dZtR_QED2&
                        /2d0
      coupl(nGC_2987) = coupl(nGC_1730)*db_QED2 + coupl(nGC_1731)*dl3_QED4 +   &
                        coupl(nGC_1732)*dl2_QED4 + coupl(nGC_1733)*dl1_QED4 +  &
                        coupl(nGC_1734)*dl4_QED4 + coupl(nGC_1735)*dl5_QED4
      coupl(nGC_3076) = coupl(nGC_1433)*db_QED2 + coupl(nGC_1434)*dyd13x3_QED3 &
                         + coupl(nGC_1435)*dyb2_QED3
      coupl(nGC_TS_GC_179_Hl) = -coupl(nGC_179)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2986) = coupl(nGC_1426)*db_QED2 + coupl(nGC_1427)*dl3_QED4 +   &
                        coupl(nGC_1428)*dl2_QED4 + coupl(nGC_1429)*dl1_QED4 +  &
                        coupl(nGC_1430)*dl4_QED4 + coupl(nGC_1431)*dl5_QED4 +  &
                        coupl(nGC_1432)*da_QED2
      coupl(nGC_3887) = coupl(nGC_3125) + coupl(nGC_374)*dZtL_QCD2/2d0 + coupl(&
                        nGC_374)*dZtR_QCD2/2d0
      coupl(nGC_TS_GC_179_Hh) = -coupl(nGC_179)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3885) = coupl(nGC_3321) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0 - &
                        coupl(nGC_TS_GC_172_Hl) - coupl(nGC_TS_GC_178_Hh)
      coupl(nGC_3884) = coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_3377) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_210)*dZZ_QED2/  &
                        2d0 + coupl(nGC_210)*dZcL_QED2 + coupl(nGC_3188)
      coupl(nGC_2707) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_343) - coupl(  &
                        nGC_339)*coupl(nGC_370)*coupl(nGC_372) - coupl(nGC_342 &
                        )*coupl(nGC_369)*coupl(nGC_370) - coupl(nGC_370)*coupl(&
                        nGC_817)*coupl(nGC_855) - coupl(nGC_370)*coupl(nGC_831 &
                        )*coupl(nGC_921))/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
