!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_4019) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_TS_GC_224_Hh) = -coupl(nGC_224)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3751) = coupl(nGC_13)*dZdR_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3185)
      coupl(nGC_4015) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_4014) = 3d0*coupl(nGC_12)*dZg_QCD2/2d0 + coupl(nGC_3051)
      coupl(nGC_3755) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZbL_QED2/2d0 + coupl(nGC_197)*dZtL_QED2/2d0 + coupl(  &
                        nGC_3186)
      coupl(nGC_2934) = cima*(20d0*Nc*coupl(nGC_333)**4d0 + 20d0*Nc*coupl(     &
                        nGC_342)**4d0 + 20d0*Nc*coupl(nGC_345)**4d0 + 20d0*Nc* &
                        coupl(nGC_363)**4d0 + 20d0*Nc*coupl(nGC_369)**4d0 +    &
                        20d0*Nc*coupl(nGC_381)**4d0 + 3d0*coupl(nGC_224)**2d0  &
                         + 20d0*coupl(nGC_351)**4d0 + 20d0*coupl(nGC_357)**4d0 &
                         + 20d0*coupl(nGC_375)**4d0 + 6d0*coupl(nGC_77)**2d0)/(&
                        16d0*pi**2d0)
      coupl(nGC_2935) = 5d0*cima*(Nc*coupl(nGC_333)**3d0*coupl(nGC_336) + Nc*  &
                        coupl(nGC_339)*coupl(nGC_342)**3d0 + Nc*coupl(nGC_345  &
                        )**3d0*coupl(nGC_348) + Nc*coupl(nGC_363)**3d0*coupl(  &
                        nGC_366) + Nc*coupl(nGC_369)**3d0*coupl(nGC_372) + Nc* &
                        coupl(nGC_381)**3d0*coupl(nGC_384) + coupl(nGC_351)**  &
                        3d0*coupl(nGC_354) + coupl(nGC_357)**3d0*coupl(nGC_360 &
                        ) + coupl(nGC_375)**3d0*coupl(nGC_378))/(4d0*pi**2d0)
      coupl(nGC_2937) = cima*(20d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_336)**2d0  &
                         + 20d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_342)**2d0 +   &
                        20d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_348)**2d0 + 20d0*&
                        Nc*coupl(nGC_363)**2d0*coupl(nGC_366)**2d0 + 20d0*Nc*  &
                        coupl(nGC_369)**2d0*coupl(nGC_372)**2d0 + 20d0*Nc*coupl&
                        (nGC_381)**2d0*coupl(nGC_384)**2d0 + coupl(nGC_224)**  &
                        2d0 + 20d0*coupl(nGC_351)**2d0*coupl(nGC_354)**2d0 +   &
                        20d0*coupl(nGC_357)**2d0*coupl(nGC_360)**2d0 + 20d0*   &
                        coupl(nGC_375)**2d0*coupl(nGC_378)**2d0 + 2d0*coupl(   &
                        nGC_77)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2930) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_334)**2d0  &
                         + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_364)**2d0 +   &
                        20d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_363)*  &
                        coupl(nGC_364) + 10d0*Nc*coupl(nGC_334)**2d0*coupl(    &
                        nGC_363)**2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(     &
                        nGC_343)**2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(     &
                        nGC_370)**2d0 + 20d0*Nc*coupl(nGC_342)*coupl(nGC_343)* &
                        coupl(nGC_369)*coupl(nGC_370) + 10d0*Nc*coupl(nGC_343  &
                        )**2d0*coupl(nGC_369)**2d0 + 10d0*Nc*coupl(nGC_345)**  &
                        2d0*coupl(nGC_346)**2d0 + 10d0*Nc*coupl(nGC_345)**2d0* &
                        coupl(nGC_382)**2d0 + 20d0*Nc*coupl(nGC_345)*coupl(    &
                        nGC_346)*coupl(nGC_381)*coupl(nGC_382) + 10d0*Nc*coupl(&
                        nGC_346)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*coupl(     &
                        nGC_363)**2d0*coupl(nGC_364)**2d0 + 10d0*Nc*coupl(     &
                        nGC_369)**2d0*coupl(nGC_370)**2d0 + 10d0*Nc*coupl(     &
                        nGC_381)**2d0*coupl(nGC_382)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*coupl(  &
                        nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 +    &
                        10d0*coupl(nGC_351)**2d0*coupl(nGC_352)**2d0 + 10d0*   &
                        coupl(nGC_357)**2d0*coupl(nGC_358)**2d0 + 10d0*coupl(  &
                        nGC_375)**2d0*coupl(nGC_376)**2d0)/(48d0*pi**2d0)
      coupl(nGC_2931) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_334)**2d0*coupl( &
                        nGC_336) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl( &
                        nGC_364)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_333)*coupl( &
                        nGC_336)*coupl(nGC_364)**2d0 + 5d0*Nc*coupl(nGC_334)** &
                        2d0*coupl(nGC_363)*coupl(nGC_366) + 5d0*Nc*coupl(      &
                        nGC_334)*coupl(nGC_336)*coupl(nGC_363)*coupl(nGC_364   &
                        ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(nGC_343 &
                        )**2d0 + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(   &
                        nGC_370)**2d0 + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*  &
                        coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_342)* &
                        coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc* &
                        coupl(nGC_343)**2d0*coupl(nGC_369)*coupl(nGC_372) + 5d0&
                        *Nc*coupl(nGC_345)*coupl(nGC_346)**2d0*coupl(nGC_348   &
                        ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_382 &
                        )*coupl(nGC_384) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348 &
                        )*coupl(nGC_382)**2d0 + 5d0*Nc*coupl(nGC_346)**2d0*    &
                        coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_346)* &
                        coupl(nGC_348)*coupl(nGC_381)*coupl(nGC_382) + 5d0*Nc* &
                        coupl(nGC_363)*coupl(nGC_364)**2d0*coupl(nGC_366) + 5d0&
                        *Nc*coupl(nGC_369)*coupl(nGC_370)**2d0*coupl(nGC_372   &
                        ) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382)**2d0*coupl(   &
                        nGC_384) + 6d0*coupl(nGC_175)*coupl(nGC_180) + 6d0*    &
                        coupl(nGC_22)*coupl(nGC_23) + 5d0*coupl(nGC_351)*coupl(&
                        nGC_352)**2d0*coupl(nGC_354) + 5d0*coupl(nGC_357)*coupl&
                        (nGC_358)**2d0*coupl(nGC_360) + 5d0*coupl(nGC_375)*    &
                        coupl(nGC_376)**2d0*coupl(nGC_378))/(24d0*pi**2d0)
      coupl(nGC_2932) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_336)**2d0  &
                         + 10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_366)**2d0 +   &
                        20d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_364)*  &
                        coupl(nGC_366) + 10d0*Nc*coupl(nGC_336)**2d0*coupl(    &
                        nGC_364)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_343)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_370)**2d0 + 20d0*Nc*coupl(nGC_339)*coupl(nGC_343)* &
                        coupl(nGC_370)*coupl(nGC_372) + 10d0*Nc*coupl(nGC_343  &
                        )**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(nGC_346)**  &
                        2d0*coupl(nGC_348)**2d0 + 10d0*Nc*coupl(nGC_346)**2d0* &
                        coupl(nGC_384)**2d0 + 20d0*Nc*coupl(nGC_346)*coupl(    &
                        nGC_348)*coupl(nGC_382)*coupl(nGC_384) + 10d0*Nc*coupl(&
                        nGC_348)**2d0*coupl(nGC_382)**2d0 + 10d0*Nc*coupl(     &
                        nGC_364)**2d0*coupl(nGC_366)**2d0 + 10d0*Nc*coupl(     &
                        nGC_370)**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(     &
                        nGC_382)**2d0*coupl(nGC_384)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_175)**2d0 + 12d0*coupl( &
                        nGC_22)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229) + 10d0&
                        *coupl(nGC_352)**2d0*coupl(nGC_354)**2d0 + 10d0*coupl( &
                        nGC_358)**2d0*coupl(nGC_360)**2d0 + 10d0*coupl(nGC_376 &
                        )**2d0*coupl(nGC_378)**2d0)/(48d0*pi**2d0)
      coupl(nGC_2939) = 5d0*cima*(Nc*coupl(nGC_333)*coupl(nGC_336)**3d0 + Nc*  &
                        coupl(nGC_339)**3d0*coupl(nGC_342) + Nc*coupl(nGC_345)*&
                        coupl(nGC_348)**3d0 + Nc*coupl(nGC_363)*coupl(nGC_366  &
                        )**3d0 + Nc*coupl(nGC_369)*coupl(nGC_372)**3d0 + Nc*   &
                        coupl(nGC_381)*coupl(nGC_384)**3d0 + coupl(nGC_351)*   &
                        coupl(nGC_354)**3d0 + coupl(nGC_357)*coupl(nGC_360)**  &
                        3d0 + coupl(nGC_375)*coupl(nGC_378)**3d0)/(4d0*pi**2d0)
      coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1127) = coupl(nGC_I)*dZG0
      coupl(nGC_2505) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_351)**2d0 +     &
                        coupl(nGC_211)*coupl(nGC_353)*coupl(nGC_843) + coupl(  &
                        nGC_211)*coupl(nGC_354)**2d0 + coupl(nGC_211)*coupl(   &
                        nGC_356)*coupl(nGC_837) + coupl(nGC_212)*coupl(nGC_352 &
                        )**2d0 + coupl(nGC_212)*coupl(nGC_355)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2504) = (4d0*coupl(nGC_197)**2d0*coupl(nGC_212) + 2d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_805) + coupl(nGC_208)*coupl(   &
                        nGC_351)**2d0 + coupl(nGC_208)*coupl(nGC_353)*coupl(   &
                        nGC_843) + coupl(nGC_208)*coupl(nGC_354)**2d0 + coupl( &
                        nGC_208)*coupl(nGC_356)*coupl(nGC_837) + 4d0*coupl(    &
                        nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_2507) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_357)**2d0 +     &
                        coupl(nGC_211)*coupl(nGC_359)*coupl(nGC_865) + coupl(  &
                        nGC_211)*coupl(nGC_360)**2d0 + coupl(nGC_211)*coupl(   &
                        nGC_362)*coupl(nGC_793) + coupl(nGC_212)*coupl(nGC_358 &
                        )**2d0 + coupl(nGC_212)*coupl(nGC_361)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2506) = (4d0*coupl(nGC_197)**2d0*coupl(nGC_212) + 2d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_805) + coupl(nGC_208)*coupl(   &
                        nGC_357)**2d0 + coupl(nGC_208)*coupl(nGC_359)*coupl(   &
                        nGC_865) + coupl(nGC_208)*coupl(nGC_360)**2d0 + coupl( &
                        nGC_208)*coupl(nGC_362)*coupl(nGC_793) + 4d0*coupl(    &
                        nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_2501) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(   &
                        nGC_352)**2d0 + coupl(nGC_208)*coupl(nGC_355)**2d0 +   &
                        4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2503) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(   &
                        nGC_376)**2d0 + coupl(nGC_208)*coupl(nGC_379)**2d0 +   &
                        4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2502) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(   &
                        nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_361)**2d0 +   &
                        4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3641) = coupl(nGC_3095) + coupl(nGC_342)*dZbL_QCD2/2d0 + coupl(&
                        nGC_342)*dZbR_QCD2/2d0
      coupl(nGC_3392) = coupl(nGC_184)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3391) = coupl(nGC_223)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3390) = coupl(nGC_2985) + coupl(nGC_32)*dZHMinusGMinus_QED2/2d0&
                         + coupl(nGC_33)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_34&
                        )*dZHlHh_QED2/2d0 + coupl(nGC_37)*dZHhHl_QED2/2d0 +    &
                        coupl(nGC_46)*dZHMinus_QED2/2d0 + coupl(nGC_46)*       &
                        dZHh_QED2/2d0 + coupl(nGC_46)*dZHl_QED2/2d0
      coupl(nGC_3429) = coupl(nGC_2987) + coupl(nGC_56)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_57)*dZGMinusHMinus_QED2 + coupl(nGC_74)*     &
                        dZHMinus_QED2
      coupl(nGC_2598) = -(-8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_843) +  &
                        coupl(nGC_351)**2d0*coupl(nGC_353) + coupl(nGC_353)*   &
                        coupl(nGC_354)**2d0 + coupl(nGC_353)*coupl(nGC_837)**  &
                        2d0 + coupl(nGC_353)*coupl(nGC_843)**2d0 - 8d0*coupl(  &
                        nGC_4)**2d0*coupl(nGC_843))/(32d0*pi**2d0)
      coupl(nGC_4021) = coupl(nGC_3117) + coupl(nGC_353)*dZHa_QED2/2d0 + coupl(&
                        nGC_353)*dZeMinusL_QED2/2d0 + coupl(nGC_353)*          &
                        dZeMinusR_QED2/2d0 + coupl(nGC_356)*dZG0Ha_QED2/2d0
      coupl(nGC_3647) = dZHMinusGMinus_QED2*(coupl(nGC_257) + coupl(nGC_258))/ &
                        2d0
      coupl(nGC_3167) = coupl(nGC_1691)*db_QED2 + coupl(nGC_1692)*da_QED2 +    &
                        coupl(nGC_1693)*dcw_QED2 + coupl(nGC_1694)*dZee_QED2 + &
                        coupl(nGC_1695)*dsw_QED2
      coupl(nGC_2540) = coupl(nGC_197)*(-Nc*coupl(nGC_335)*coupl(nGC_337) + Nc*&
                        coupl(nGC_340)*coupl(nGC_921) + Nc*coupl(nGC_349)*coupl&
                        (nGC_821) + Nc*coupl(nGC_367)*coupl(nGC_879) - Nc*coupl&
                        (nGC_371)*coupl(nGC_373) - Nc*coupl(nGC_383)*coupl(    &
                        nGC_385) + coupl(nGC_355)*coupl(nGC_843) + coupl(      &
                        nGC_361)*coupl(nGC_865) + coupl(nGC_379)*coupl(nGC_853 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3379) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_207)*dZZ_QED2/  &
                        2d0 + coupl(nGC_207)*dZcR_QED2 + coupl(nGC_3187)
      coupl(nGC_2751) = (2d0*Nc*cMB*coupl(nGC_340)**2d0*coupl(nGC_342) + 2d0*Nc&
                        *cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_373) + 2d0&
                        *Nc*cMB*coupl(nGC_342)*coupl(nGC_373)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_333)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC*coupl(&
                        nGC_333)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl(nGC_337&
                        )*coupl(nGC_363)*coupl(nGC_367) + 2d0*Nc*cMD*coupl(    &
                        nGC_345)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl(nGC_345&
                        )*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(nGC_349)*coupl&
                        (nGC_381)*coupl(nGC_385) + 2d0*Nc*cMS*coupl(nGC_333)*  &
                        coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*cMS*coupl(      &
                        nGC_337)**2d0*coupl(nGC_363) + 2d0*Nc*cMS*coupl(nGC_363&
                        )*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(nGC_340)**2d0*&
                        coupl(nGC_369) + 2d0*Nc*cMT*coupl(nGC_340)*coupl(      &
                        nGC_342)*coupl(nGC_373) + 2d0*Nc*cMT*coupl(nGC_369)*   &
                        coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(nGC_345)*coupl( &
                        nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_349)**  &
                        2d0*coupl(nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(  &
                        nGC_385)**2d0 + 2d0*cME*coupl(nGC_351)*coupl(nGC_355)**&
                        2d0 + 2d0*cMM*coupl(nGC_357)*coupl(nGC_361)**2d0 + 2d0*&
                        cMTA*coupl(nGC_375)*coupl(nGC_379)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_261) + 4d0*cima*coupl(nGC_174 &
                        )*coupl(nGC_324) + 4d0*cima*coupl(nGC_21)*coupl(nGC_237&
                        ) + cima*coupl(nGC_229)*coupl(nGC_329))/(16d0*pi**2d0)
      coupl(nGC_2752) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)**2d0 + 2d0*Nc&
                        *cMB*coupl(nGC_339)*coupl(nGC_373)**2d0 + 2d0*Nc*cMB*  &
                        coupl(nGC_340)*coupl(nGC_372)*coupl(nGC_373) + 2d0*Nc* &
                        cMC*coupl(nGC_336)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC*   &
                        coupl(nGC_336)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl( &
                        nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 2d0*Nc*cMD*   &
                        coupl(nGC_348)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_348)*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(nGC_349&
                        )*coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMS*coupl(    &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*cMS*   &
                        coupl(nGC_337)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl( &
                        nGC_366)*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(nGC_339&
                        )*coupl(nGC_340)*coupl(nGC_373) + 2d0*Nc*cMT*coupl(    &
                        nGC_340)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_372&
                        )*coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(nGC_348)*coupl&
                        (nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_349)** &
                        2d0*coupl(nGC_384) + 2d0*Nc*cMU*coupl(nGC_384)*coupl(  &
                        nGC_385)**2d0 + 2d0*cME*coupl(nGC_354)*coupl(nGC_355)**&
                        2d0 + 2d0*cMM*coupl(nGC_360)*coupl(nGC_361)**2d0 + 2d0*&
                        cMTA*coupl(nGC_378)*coupl(nGC_379)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_272) + 4d0*cima*coupl(nGC_180 &
                        )*coupl(nGC_324) + cima*coupl(nGC_229)*coupl(nGC_332   &
                        ) + 4d0*cima*coupl(nGC_23)*coupl(nGC_237))/(16d0*pi**  &
                        2d0)
      coupl(nGC_2754) = (2d0*Nc*cMB*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_343&
                        ) + Nc*cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_370 &
                        ) + 2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_370)*coupl(    &
                        nGC_373) + Nc*cMB*coupl(nGC_343)*coupl(nGC_369)*coupl( &
                        nGC_373) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(nGC_334)*   &
                        coupl(nGC_337) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(      &
                        nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_334)*coupl( &
                        nGC_363)*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*coupl( &
                        nGC_363)*coupl(nGC_364) + 2d0*Nc*cMD*coupl(nGC_345)*   &
                        coupl(nGC_346)*coupl(nGC_349) + 2d0*Nc*cMD*coupl(      &
                        nGC_345)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl( &
                        nGC_346)*coupl(nGC_381)*coupl(nGC_385) + Nc*cMD*coupl( &
                        nGC_349)*coupl(nGC_381)*coupl(nGC_382) + Nc*cMS*coupl( &
                        nGC_333)*coupl(nGC_334)*coupl(nGC_367) + Nc*cMS*coupl( &
                        nGC_333)*coupl(nGC_337)*coupl(nGC_364) + 2d0*Nc*cMS*   &
                        coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363) + 2d0*Nc* &
                        cMS*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_367) + Nc* &
                        cMT*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_370) + 2d0*&
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_369) +  &
                        Nc*cMT*coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_373) +  &
                        2d0*Nc*cMT*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373 &
                        ) + Nc*cMU*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_385 &
                        ) + Nc*cMU*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_382 &
                        ) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(    &
                        nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_382)*   &
                        coupl(nGC_385) + 2d0*cME*coupl(nGC_351)*coupl(nGC_352)*&
                        coupl(nGC_355) + 2d0*cMM*coupl(nGC_357)*coupl(nGC_358)*&
                        coupl(nGC_361) + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_376 &
                        )*coupl(nGC_379) + 2d0*cima*coupl(nGC_174)*coupl(      &
                        nGC_321) + 2d0*cima*coupl(nGC_180)*coupl(nGC_324) + 2d0&
                        *cima*coupl(nGC_21)*coupl(nGC_231) + 2d0*cima*coupl(   &
                        nGC_23)*coupl(nGC_237))/(16d0*pi**2d0)
      coupl(nGC_2755) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_343&
                        ) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_370)*coupl(    &
                        nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*coupl( &
                        nGC_372) + Nc*cMB*coupl(nGC_343)*coupl(nGC_372)*coupl( &
                        nGC_373) + 2d0*Nc*cMC*coupl(nGC_334)*coupl(nGC_336)*   &
                        coupl(nGC_337) + Nc*cMC*coupl(nGC_334)*coupl(nGC_366)* &
                        coupl(nGC_367) + 2d0*Nc*cMC*coupl(nGC_336)*coupl(      &
                        nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*coupl( &
                        nGC_364)*coupl(nGC_366) + 2d0*Nc*cMD*coupl(nGC_346)*   &
                        coupl(nGC_348)*coupl(nGC_349) + Nc*cMD*coupl(nGC_346)* &
                        coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMD*coupl(      &
                        nGC_348)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl( &
                        nGC_349)*coupl(nGC_382)*coupl(nGC_384) + Nc*cMS*coupl( &
                        nGC_334)*coupl(nGC_336)*coupl(nGC_367) + 2d0*Nc*cMS*   &
                        coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_366) + Nc*cMS* &
                        coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_364) + 2d0*Nc* &
                        cMS*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_367) + Nc* &
                        cMT*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_370) + Nc* &
                        cMT*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_373) + 2d0*&
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_372) +  &
                        2d0*Nc*cMT*coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373 &
                        ) + Nc*cMU*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_385 &
                        ) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(    &
                        nGC_384) + Nc*cMU*coupl(nGC_348)*coupl(nGC_349)*coupl( &
                        nGC_382) + 2d0*Nc*cMU*coupl(nGC_382)*coupl(nGC_384)*   &
                        coupl(nGC_385) + 2d0*cME*coupl(nGC_352)*coupl(nGC_354)*&
                        coupl(nGC_355) + 2d0*cMM*coupl(nGC_358)*coupl(nGC_360)*&
                        coupl(nGC_361) + 2d0*cMTA*coupl(nGC_376)*coupl(nGC_378 &
                        )*coupl(nGC_379) + 2d0*cima*coupl(nGC_175)*coupl(      &
                        nGC_324) + 2d0*cima*coupl(nGC_180)*coupl(nGC_321) + 2d0&
                        *cima*coupl(nGC_22)*coupl(nGC_237) + 2d0*cima*coupl(   &
                        nGC_23)*coupl(nGC_231))/(16d0*pi**2d0)
      coupl(nGC_3374) = coupl(nGC_100)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2719) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_821) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_821) + coupl(nGC_345 &
                        )**2d0*coupl(nGC_347) + coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_383) + coupl(nGC_347)*coupl(nGC_348)**2d0 +  &
                        coupl(nGC_347)*coupl(nGC_821)**2d0 + coupl(nGC_347)*   &
                        coupl(nGC_897)**2d0 + coupl(nGC_349)*coupl(nGC_383)*   &
                        coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_2619) = -coupl(nGC_13)**2d0*coupl(nGC_386)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3838) = coupl(nGC_241)*dZHl_QED2/2d0 + coupl(nGC_249)*         &
                        dZHhHl_QED2/2d0 + coupl(nGC_252)*dZHMinusGMinus_QED2 + &
                        coupl(nGC_3030) + coupl(nGC_TS_GC_33_Hh) + coupl(      &
                        nGC_TS_GC_45_Hl)
      coupl(nGC_3032) = coupl(nGC_2216)*db_QED2 + coupl(nGC_2217)*dvev2_QED1 + &
                        coupl(nGC_2218)*dvev1_QED1 + coupl(nGC_2219)*dl2_QED4  &
                         + coupl(nGC_2220)*dl1_QED4 + coupl(nGC_2221)*dl4_QED4 &
                         + coupl(nGC_2222)*dl3_QED4 + coupl(nGC_2223)*da_QED2  &
                         + coupl(nGC_2224)*dl5_QED4
      coupl(nGC_2596) = -coupl(nGC_354)*(-8d0*coupl(nGC_208)*coupl(nGC_211) +  &
                        coupl(nGC_351)**2d0 + coupl(nGC_354)**2d0 - 8d0*coupl( &
                        nGC_4)**2d0 + coupl(nGC_837)**2d0 + coupl(nGC_843)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2597) = -coupl(nGC_354)*(-8d0*coupl(nGC_208)*coupl(nGC_211) +  &
                        coupl(nGC_351)**2d0 + coupl(nGC_353)**2d0 + coupl(     &
                        nGC_354)**2d0 + coupl(nGC_356)**2d0 - 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2594) = -(-8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_837) +  &
                        coupl(nGC_351)**2d0*coupl(nGC_356) + coupl(nGC_354)**  &
                        2d0*coupl(nGC_356) + coupl(nGC_356)*coupl(nGC_837)**2d0&
                         + coupl(nGC_356)*coupl(nGC_843)**2d0 - 8d0*coupl(nGC_4&
                        )**2d0*coupl(nGC_837))/(32d0*pi**2d0)
      coupl(nGC_2595) = -(-8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_356) +  &
                        coupl(nGC_351)**2d0*coupl(nGC_837) + coupl(nGC_353)**  &
                        2d0*coupl(nGC_837) + coupl(nGC_354)**2d0*coupl(nGC_837 &
                        ) + coupl(nGC_356)**2d0*coupl(nGC_837) - 8d0*coupl(    &
                        nGC_356)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2611) = -coupl(nGC_375)*(-8d0*coupl(nGC_208)*coupl(nGC_211) +  &
                        coupl(nGC_375)**2d0 + coupl(nGC_377)**2d0 + coupl(     &
                        nGC_378)**2d0 + coupl(nGC_380)**2d0 - 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2613) = -coupl(nGC_378)*(-8d0*coupl(nGC_208)*coupl(nGC_211) +  &
                        coupl(nGC_375)**2d0 + coupl(nGC_377)**2d0 + coupl(     &
                        nGC_378)**2d0 + coupl(nGC_380)**2d0 - 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2615) = -(-8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_377) +  &
                        coupl(nGC_375)**2d0*coupl(nGC_853) + coupl(nGC_377)**  &
                        2d0*coupl(nGC_853) - 8d0*coupl(nGC_377)*coupl(nGC_4)** &
                        2d0 + coupl(nGC_378)**2d0*coupl(nGC_853) + coupl(      &
                        nGC_380)**2d0*coupl(nGC_853))/(32d0*pi**2d0)
      coupl(nGC_2729) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_363) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_363) + coupl(nGC_333 &
                        )*coupl(nGC_334)*coupl(nGC_364) + coupl(nGC_333)*coupl(&
                        nGC_337)*coupl(nGC_367) + coupl(nGC_363)**3d0 + coupl( &
                        nGC_363)*coupl(nGC_365)**2d0 + coupl(nGC_363)*coupl(   &
                        nGC_366)**2d0 + coupl(nGC_363)*coupl(nGC_368)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_TS_GC_246_Hl) = -coupl(nGC_246)*dtHl_QED1/cMHL**2d0
      coupl(nGC_4007) = coupl(nGC_3322) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0  &
                         - coupl(nGC_TS_GC_173_Hl) - coupl(nGC_TS_GC_179_Hh)
      coupl(nGC_2488) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_209&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_341)*coupl(nGC_855) + coupl(nGC_1)*coupl(  &
                        nGC_342)**2d0 + coupl(nGC_1)*coupl(nGC_344)*coupl(     &
                        nGC_921) + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2) + 2d0* &
                        coupl(nGC_197)**2d0*coupl(nGC_893) + coupl(nGC_2)*coupl&
                        (nGC_370)**2d0 + coupl(nGC_2)*coupl(nGC_373)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_4023) = -coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0 - coupl(     &
                        nGC_TS_GC_172_Hh) - coupl(nGC_TS_GC_179_Hl)
      coupl(nGC_TS_GC_241_Hl) = -coupl(nGC_241)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3562) = coupl(nGC_3130) + coupl(nGC_369)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_372)*dZHh_QED2/2d0 + coupl(nGC_372)*dZtL_QED2&
                        /2d0 + coupl(nGC_372)*dZtR_QED2/2d0
      coupl(nGC_3091) = coupl(nGC_1563)*dydo2_QED1_QCD2 + coupl(nGC_1564)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_3043) = coupl(nGC_1702)*dvev1_QED1 + coupl(nGC_1703)*dvev2_QED1&
                         + coupl(nGC_1704)*dZee_QED2 + coupl(nGC_1705)*dsw_QED2&
                         + coupl(nGC_1706)*db_QED2
      coupl(nGC_3478) = coupl(nGC_3008) + coupl(nGC_99)*dZHMinus_QED2
      coupl(nGC_3479) = coupl(nGC_175)*dZAZ_QED2/2d0 + coupl(nGC_22)*          &
                        dZHMinus_QED2/2d0 + coupl(nGC_22)*dZHh_QED2/2d0 + coupl&
                        (nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_22)*dZZ_QED2/2d0&
                         + coupl(nGC_23)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_23&
                        )*dZHlHh_QED2/2d0 + coupl(nGC_2988)
      coupl(nGC_2471) = coupl(nGC_4)*(4d0*coupl(nGC_208)**2d0 + coupl(nGC_351  &
                        )**2d0 + coupl(nGC_353)*coupl(nGC_843) + coupl(nGC_354 &
                        )**2d0 + coupl(nGC_356)*coupl(nGC_837) + 4d0*coupl(    &
                        nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2470) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_893) + 4d0*coupl(   &
                        nGC_211)**2d0*coupl(nGC_4) + coupl(nGC_351)**2d0*coupl(&
                        nGC_4) + coupl(nGC_353)*coupl(nGC_4)*coupl(nGC_843) +  &
                        coupl(nGC_354)**2d0*coupl(nGC_4) + coupl(nGC_356)*coupl&
                        (nGC_4)*coupl(nGC_837) + 4d0*coupl(nGC_4)**3d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_2473) = coupl(nGC_4)*(4d0*coupl(nGC_208)**2d0 + coupl(nGC_357  &
                        )**2d0 + coupl(nGC_359)*coupl(nGC_865) + coupl(nGC_360 &
                        )**2d0 + coupl(nGC_362)*coupl(nGC_793) + 4d0*coupl(    &
                        nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2472) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_893) + 4d0*coupl(   &
                        nGC_211)**2d0*coupl(nGC_4) + coupl(nGC_357)**2d0*coupl(&
                        nGC_4) + coupl(nGC_359)*coupl(nGC_4)*coupl(nGC_865) +  &
                        coupl(nGC_360)**2d0*coupl(nGC_4) + coupl(nGC_362)*coupl&
                        (nGC_4)*coupl(nGC_793) + 4d0*coupl(nGC_4)**3d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_3472) = coupl(nGC_77)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3473) = coupl(nGC_3076) + coupl(nGC_340)*dZGMinusHMinus_QED2/  &
                        2d0 + coupl(nGC_343)*dZHMinus_QED2/2d0 + coupl(nGC_343 &
                        )*dZbR_QED2/2d0 + coupl(nGC_343)*dZtL_QED2/2d0
      coupl(nGC_3470) = -coupl(nGC_3123) - coupl(nGC_338)*dZcL_QCD2/2d0 - coupl&
                        (nGC_338)*dZcR_QCD2/2d0
      coupl(nGC_3471) = -coupl(nGC_338)*dZG0/2d0
      coupl(nGC_3476) = coupl(nGC_3075) + coupl(nGC_370)*dZbL_QCD2/2d0 + coupl(&
                        nGC_370)*dZtR_QCD2/2d0
      coupl(nGC_3477) = dZGMinusHMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
      coupl(nGC_3474) = coupl(nGC_3077) + coupl(nGC_343)*dZbR_QCD2/2d0 + coupl(&
                        nGC_343)*dZtL_QCD2/2d0
      coupl(nGC_3475) = coupl(nGC_3074) + coupl(nGC_370)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_370)*dZbL_QED2/2d0 + coupl(nGC_370)*dZtR_QED2&
                        /2d0 + coupl(nGC_373)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3762) = coupl(nGC_3108) + coupl(nGC_353)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_356)*dZeMinusL_QED2/2d0 + coupl(nGC_356)*    &
                        dZeMinusR_QED2/2d0
      coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3678) = coupl(nGC_379)*dZGMinus/2d0
      coupl(nGC_3679) = coupl(nGC_37)*dZGMinus/2d0
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3675) = coupl(nGC_2999) + coupl(nGC_52)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_52)*dZHa_QED2/2d0 + coupl(nGC_52)*dZHl_QED2/ &
                        2d0 + coupl(nGC_62)*dZHhHl_QED2/2d0 + coupl(nGC_63)*   &
                        dZG0Ha_QED2/2d0
      coupl(nGC_3677) = coupl(nGC_3104) + coupl(nGC_376)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_379)*dZnu_tauL_QED2/2d0 + coupl(nGC_379&
                        )*dZtauMinusR_QED2/2d0
      coupl(nGC_TS_GC_23_Hh) = -coupl(nGC_23)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3671) = coupl(nGC_3064) + coupl(nGC_340)*dZbR_QED2/2d0 + coupl(&
                        nGC_340)*dZtL_QED2/2d0 + coupl(nGC_343)*               &
                        dZHMinusGMinus_QED2/2d0
      coupl(nGC_3672) = coupl(nGC_3065) + coupl(nGC_340)*dZbR_QCD2/2d0 + coupl(&
                        nGC_340)*dZtL_QCD2/2d0
      coupl(nGC_4027) = coupl(nGC_I)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3068) = coupl(nGC_2239)*db_QED2 + coupl(nGC_2240)*dyup1_QED3 + &
                        coupl(nGC_2241)*dyup2_QED3
      coupl(nGC_2688) = -(-8d0*coupl(nGC_2)**2d0*coupl(nGC_372) - 8d0*coupl(   &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_372) + coupl(nGC_339 &
                        )*coupl(nGC_340)*coupl(nGC_373) + coupl(nGC_339)*coupl(&
                        nGC_343)*coupl(nGC_370) + coupl(nGC_369)**2d0*coupl(   &
                        nGC_372) + coupl(nGC_371)**2d0*coupl(nGC_372) + coupl( &
                        nGC_372)**3d0 + coupl(nGC_372)*coupl(nGC_374)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2689) = -(-8d0*coupl(nGC_2)**2d0*coupl(nGC_831) - 8d0*coupl(   &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_831) + coupl(nGC_340 &
                        )*coupl(nGC_344)*coupl(nGC_373) + coupl(nGC_343)*coupl(&
                        nGC_344)*coupl(nGC_370) + coupl(nGC_369)**2d0*coupl(   &
                        nGC_371) + coupl(nGC_371)*coupl(nGC_372)**2d0 + coupl( &
                        nGC_371)*coupl(nGC_817)**2d0 + coupl(nGC_371)*coupl(   &
                        nGC_831)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3846) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_209)*dZZ_QED2/  &
                        2d0 + coupl(nGC_209)*dZsL_QED2 + coupl(nGC_3189)
      coupl(nGC_3845) = coupl(nGC_3073) + coupl(nGC_364)*dZcL_QCD2/2d0 + coupl(&
                        nGC_364)*dZsR_QCD2/2d0
      coupl(nGC_3844) = coupl(nGC_3072) + coupl(nGC_364)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_364)*dZcL_QED2/2d0 + coupl(nGC_364)*dZsR_QED2&
                        /2d0 + coupl(nGC_367)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3843) = coupl(nGC_3071) + coupl(nGC_334)*dZcR_QCD2/2d0 + coupl(&
                        nGC_334)*dZsL_QCD2/2d0
      coupl(nGC_3842) = coupl(nGC_3070) + coupl(nGC_334)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_334)*dZcR_QED2/2d0 + coupl(nGC_334)*dZsL_QED2&
                        /2d0 + coupl(nGC_337)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2680) = -coupl(nGC_13)**2d0*coupl(nGC_817)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2681) = -(-8d0*coupl(nGC_2)**2d0*coupl(nGC_374) - 8d0*coupl(   &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_374) + coupl(nGC_340 &
                        )*coupl(nGC_373)*coupl(nGC_855) + coupl(nGC_343)*coupl(&
                        nGC_370)*coupl(nGC_855) + coupl(nGC_369)**2d0*coupl(   &
                        nGC_817) + coupl(nGC_371)**2d0*coupl(nGC_817) + coupl( &
                        nGC_372)**2d0*coupl(nGC_817) + coupl(nGC_374)**2d0*    &
                        coupl(nGC_817))/(32d0*pi**2d0)
      coupl(nGC_3049) = coupl(nGC_2340)*dZee_QED2 + coupl(nGC_2341)*dcw_QED2 + &
                        coupl(nGC_2342)*dsw_QED2
      coupl(nGC_3048) = coupl(nGC_1177)*dZee_QED2
      coupl(nGC_TS_GC_46_Hl) = -coupl(nGC_46)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3069) = coupl(nGC_2240)*dyup1_QED1_QCD2 + coupl(nGC_2241)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_TS_GC_38_Hl) = -coupl(nGC_38)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2981) = coupl(nGC_1393)*db_QED2 + coupl(nGC_1394)*dl3_QED4 +   &
                        coupl(nGC_1395)*dl2_QED4 + coupl(nGC_1396)*dl1_QED4 +  &
                        coupl(nGC_1397)*dl4_QED4 + coupl(nGC_1398)*dl5_QED4 +  &
                        coupl(nGC_1399)*da_QED2
      coupl(nGC_4059) = -coupl(nGC_2492)
      coupl(nGC_4058) = -coupl(nGC_2491)
      coupl(nGC_3799) = coupl(nGC_380)*dZG0/2d0
      coupl(nGC_3798) = coupl(nGC_3110) + coupl(nGC_377)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_380)*dZtauMinusL_QED2/2d0 + coupl(nGC_380)*  &
                        dZtauMinusR_QED2/2d0
      coupl(nGC_4055) = -coupl(nGC_2547)
      coupl(nGC_4054) = -coupl(nGC_2542)
      coupl(nGC_4057) = -coupl(nGC_2553)
      coupl(nGC_4056) = -coupl(nGC_2531)
      coupl(nGC_4053) = -coupl(nGC_2527)
      coupl(nGC_3018) = coupl(nGC_1207)*db_QED2 + coupl(nGC_1208)*dvev2_QED1 + &
                        coupl(nGC_1209)*dvev1_QED1 + coupl(nGC_1210)*dl2_QED4  &
                         + coupl(nGC_1211)*dl1_QED4 + coupl(nGC_1212)*dl4_QED4 &
                         + coupl(nGC_1213)*dl3_QED4 + coupl(nGC_1214)*da_QED2  &
                         + coupl(nGC_1215)*dl5_QED4
      coupl(nGC_3019) = coupl(nGC_2284)*db_QED2 + coupl(nGC_2285)*dvev2_QED1 + &
                        coupl(nGC_2286)*dvev1_QED1 + coupl(nGC_2287)*dl2_QED4  &
                         + coupl(nGC_2288)*dl1_QED4 + coupl(nGC_2289)*dl4_QED4 &
                         + coupl(nGC_2290)*dl3_QED4 + coupl(nGC_2291)*da_QED2  &
                         + coupl(nGC_2292)*dl5_QED4
      coupl(nGC_2415) = cima*(-3d0*Nc*coupl(nGC_206)**2d0 - 3d0*Nc*coupl(      &
                        nGC_207)**2d0 - 3d0*Nc*coupl(nGC_209)**2d0 - 3d0*Nc*   &
                        coupl(nGC_210)**2d0 - coupl(nGC_199)**2d0 - 3d0*coupl( &
                        nGC_208)**2d0 - 3d0*coupl(nGC_211)**2d0 - 3d0*coupl(   &
                        nGC_212)**2d0 - coupl(nGC_805)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3152) = coupl(nGC_2139)*dZee_QED2 + coupl(nGC_2140)*da_QED2 +  &
                        coupl(nGC_2141)*dsw_QED2 + coupl(nGC_2142)*db_QED2
      coupl(nGC_TS_GC_77_Hh) = -coupl(nGC_77)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3010) = coupl(nGC_2160)*dZee_QED2 + coupl(nGC_2161)*dsw_QED2
      coupl(nGC_3011) = coupl(nGC_2376)*dZee_QED2 + coupl(nGC_2377)*dsw_QED2
      coupl(nGC_3012) = coupl(nGC_1216)*dZee_QED2 + coupl(nGC_1217)*dcw_QED2 + &
                        coupl(nGC_1218)*dsw_QED2
      coupl(nGC_3013) = coupl(nGC_2126)*dZee_QED2 + coupl(nGC_2127)*da_QED2 +  &
                        coupl(nGC_2128)*dsw_QED2 + coupl(nGC_2129)*db_QED2
      coupl(nGC_3014) = coupl(nGC_2074)*dZee_QED2 + coupl(nGC_2075)*da_QED2 +  &
                        coupl(nGC_2076)*dsw_QED2 + coupl(nGC_2077)*db_QED2
      coupl(nGC_3015) = coupl(nGC_2033)*dZee_QED2 + coupl(nGC_2034)*da_QED2 +  &
                        coupl(nGC_2035)*dsw_QED2 + coupl(nGC_2036)*db_QED2
      coupl(nGC_3016) = coupl(nGC_1748)*db_QED2 + coupl(nGC_1749)*dvev1_QED1 + &
                        coupl(nGC_1750)*dcw_QED2 + coupl(nGC_1751)*dZee_QED2 + &
                        coupl(nGC_1752)*dvev2_QED1
      coupl(nGC_3017) = coupl(nGC_2242)*dZee_QED2 + coupl(nGC_2243)*dsw_QED2 + &
                        coupl(nGC_2244)*dcw_QED2 + coupl(nGC_2245)*dvev1_QED1  &
                         + coupl(nGC_2246)*dvev2_QED1 + coupl(nGC_2247)*da_QED2
      coupl(nGC_2978) = coupl(nGC_1403)*db_QED2 + coupl(nGC_1404)*dl3_QED4 +   &
                        coupl(nGC_1405)*dl2_QED4 + coupl(nGC_1406)*dl1_QED4 +  &
                        coupl(nGC_1407)*dl4_QED4 + coupl(nGC_1408)*dl5_QED4 +  &
                        coupl(nGC_1409)*da_QED2
      coupl(nGC_2592) = -coupl(nGC_351)*(-8d0*coupl(nGC_208)*coupl(nGC_211) +  &
                        coupl(nGC_351)**2d0 + coupl(nGC_354)**2d0 - 8d0*coupl( &
                        nGC_4)**2d0 + coupl(nGC_837)**2d0 + coupl(nGC_843)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2872) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_334)**2d0  &
                         + coupl(nGC_343)**2d0 + coupl(nGC_346)**2d0 + coupl(  &
                        nGC_364)**2d0 + coupl(nGC_370)**2d0 + coupl(nGC_382)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3752) = coupl(nGC_13)*dZdR_QED2
      coupl(nGC_2877) = cima*(5d0*Nc*coupl(nGC_337)**4d0 + 5d0*Nc*coupl(nGC_340&
                        )**4d0 + 5d0*Nc*coupl(nGC_349)**4d0 + 5d0*Nc*coupl(    &
                        nGC_367)**4d0 + 5d0*Nc*coupl(nGC_373)**4d0 + 5d0*Nc*   &
                        coupl(nGC_385)**4d0 + 6d0*coupl(nGC_100)**2d0 + 6d0*   &
                        coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 + 3d0*   &
                        coupl(nGC_29)**2d0 + 5d0*coupl(nGC_355)**4d0 + 5d0*    &
                        coupl(nGC_361)**4d0 + 5d0*coupl(nGC_379)**4d0)/(24d0*pi&
                        **2d0)
      coupl(nGC_2879) = 5d0*cima*(Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0 + &
                        Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 + Nc*coupl( &
                        nGC_346)**2d0*coupl(nGC_349)**2d0 + Nc*coupl(nGC_364)**&
                        2d0*coupl(nGC_367)**2d0 + Nc*coupl(nGC_370)**2d0*coupl(&
                        nGC_373)**2d0 + Nc*coupl(nGC_382)**2d0*coupl(nGC_385)**&
                        2d0 + coupl(nGC_352)**2d0*coupl(nGC_355)**2d0 + coupl( &
                        nGC_358)**2d0*coupl(nGC_361)**2d0 + coupl(nGC_376)**2d0&
                        *coupl(nGC_379)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2878) = 5d0*cima*(Nc*coupl(nGC_334)*coupl(nGC_337)**3d0 + Nc*  &
                        coupl(nGC_340)**3d0*coupl(nGC_343) + Nc*coupl(nGC_346)*&
                        coupl(nGC_349)**3d0 + Nc*coupl(nGC_364)*coupl(nGC_367  &
                        )**3d0 + Nc*coupl(nGC_370)*coupl(nGC_373)**3d0 + Nc*   &
                        coupl(nGC_382)*coupl(nGC_385)**3d0 + coupl(nGC_352)*   &
                        coupl(nGC_355)**3d0 + coupl(nGC_358)*coupl(nGC_361)**  &
                        3d0 + coupl(nGC_376)*coupl(nGC_379)**3d0)/(24d0*pi**2d0&
                        )
      coupl(nGC_2972) = coupl(nGC_1347)*db_QED2 + coupl(nGC_1348)*dl3_QED4 +   &
                        coupl(nGC_1349)*dl2_QED4 + coupl(nGC_1350)*dl1_QED4 +  &
                        coupl(nGC_1351)*dl4_QED4 + coupl(nGC_1352)*dl5_QED4 +  &
                        coupl(nGC_1353)*da_QED2
      coupl(nGC_2974) = coupl(nGC_1713)*db_QED2 + coupl(nGC_1714)*dl3_QED4 +   &
                        coupl(nGC_1715)*dl2_QED4 + coupl(nGC_1716)*dl1_QED4 +  &
                        coupl(nGC_1717)*dl4_QED4 + coupl(nGC_1718)*dl5_QED4
      coupl(nGC_2976) = coupl(nGC_1436)*db_QED2 + coupl(nGC_1437)*dl3_QED4 +   &
                        coupl(nGC_1438)*dl2_QED4 + coupl(nGC_1439)*dl1_QED4 +  &
                        coupl(nGC_1440)*dl4_QED4 + coupl(nGC_1441)*dl5_QED4 +  &
                        coupl(nGC_1442)*da_QED2
      coupl(nGC_2791) = cima*(-8d0*Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_340&
                        )*coupl(nGC_343) - 8d0*Nc*coupl(nGC_1)*coupl(nGC_206)* &
                        coupl(nGC_346)*coupl(nGC_349) - 8d0*Nc*coupl(nGC_1)*   &
                        coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc* &
                        coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_334)*coupl(      &
                        nGC_337) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_207)*coupl(   &
                        nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_1)*coupl(   &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) - 8d0*Nc*coupl( &
                        nGC_1)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) -  &
                        8d0*Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_370)*coupl&
                        (nGC_373) - 8d0*Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(  &
                        nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1)*coupl(   &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl( &
                        nGC_1)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) +  &
                        5d0*Nc*coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_364)*coupl&
                        (nGC_367) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_206)*coupl(  &
                        nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_2)*coupl(   &
                        nGC_206)*coupl(nGC_346)*coupl(nGC_349) + 5d0*Nc*coupl( &
                        nGC_2)*coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) -  &
                        8d0*Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_334)*coupl&
                        (nGC_337) - 8d0*Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(  &
                        nGC_370)*coupl(nGC_373) - 8d0*Nc*coupl(nGC_2)*coupl(   &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl( &
                        nGC_2)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) +  &
                        5d0*Nc*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_370)*coupl&
                        (nGC_373) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_209)*coupl(  &
                        nGC_382)*coupl(nGC_385) - 8d0*Nc*coupl(nGC_2)*coupl(   &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) - 8d0*Nc*coupl( &
                        nGC_2)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) -  &
                        8d0*Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_364)*coupl&
                        (nGC_367) - 8d0*coupl(nGC_208)*coupl(nGC_352)*coupl(   &
                        nGC_355)*coupl(nGC_4) - 8d0*coupl(nGC_208)*coupl(      &
                        nGC_358)*coupl(nGC_361)*coupl(nGC_4) - 8d0*coupl(      &
                        nGC_208)*coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_4) +  &
                        5d0*coupl(nGC_212)*coupl(nGC_352)*coupl(nGC_355)*coupl(&
                        nGC_4) + 5d0*coupl(nGC_212)*coupl(nGC_358)*coupl(      &
                        nGC_361)*coupl(nGC_4) + 5d0*coupl(nGC_212)*coupl(      &
                        nGC_376)*coupl(nGC_379)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_3081) = coupl(nGC_1864)*dyd12x2_QED1_QCD2 + coupl(nGC_1865)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3839) = coupl(nGC_241)*dZGMinus
      coupl(nGC_3087) = coupl(nGC_1222)*dyd12x2_QED1_QCD2 + coupl(nGC_1224)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2705) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_370) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370) - coupl(  &
                        nGC_339)*coupl(nGC_343)*coupl(nGC_372) - coupl(nGC_341 &
                        )*coupl(nGC_343)*coupl(nGC_374) - coupl(nGC_342)*coupl(&
                        nGC_343)*coupl(nGC_369) - coupl(nGC_343)*coupl(nGC_344 &
                        )*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_3662) = coupl(nGC_2969) + coupl(nGC_36)*dZHhHl_QED2 + coupl(   &
                        nGC_38)*dZG0Ha_QED2 + coupl(nGC_41)*dZHa_QED2 + coupl( &
                        nGC_41)*dZHl_QED2
      coupl(nGC_3084) = coupl(nGC_1200)*dydo2_QED3 + coupl(nGC_1201)*dydo1_QED3&
                         + coupl(nGC_1202)*da_QED2
      coupl(nGC_3780) = -coupl(nGC_3099) - coupl(nGC_365)*dZsL_QCD2/2d0 - coupl&
                        (nGC_365)*dZsR_QCD2/2d0
      coupl(nGC_2979) = coupl(nGC_1179)*dl3_QED4 + coupl(nGC_1180)*dl2_QED4 +  &
                        coupl(nGC_1181)*dl1_QED4 + coupl(nGC_1182)*dl4_QED4 +  &
                        coupl(nGC_1183)*dl5_QED4 + coupl(nGC_1184)*da_QED2
      coupl(nGC_3027) = coupl(nGC_1325)*db_QED2 + coupl(nGC_1326)*dvev2_QED1 + &
                        coupl(nGC_1327)*dvev1_QED1 + coupl(nGC_1328)*dl2_QED4  &
                         + coupl(nGC_1329)*dl1_QED4 + coupl(nGC_1330)*dl4_QED4 &
                         + coupl(nGC_1331)*dl3_QED4 + coupl(nGC_1332)*da_QED2  &
                         + coupl(nGC_1333)*dl5_QED4
      coupl(nGC_3705) = coupl(nGC_3087) + coupl(nGC_366)*dZsL_QCD2/2d0 + coupl(&
                        nGC_366)*dZsR_QCD2/2d0
      coupl(nGC_3706) = coupl(nGC_3082) + coupl(nGC_341)*dZbL_QED2/2d0 + coupl(&
                        nGC_341)*dZbR_QED2/2d0 + coupl(nGC_344)*dZHaG0_QED2/2d0
      coupl(nGC_3707) = coupl(nGC_3083) + coupl(nGC_341)*dZbL_QCD2/2d0 + coupl(&
                        nGC_341)*dZbR_QCD2/2d0
      coupl(nGC_3700) = coupl(nGC_100)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3701) = coupl(nGC_63)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3702) = coupl(nGC_2983) + coupl(nGC_52)*dZHaG0_QED2/2d0 + coupl&
                        (nGC_52)*dZHhHl_QED2/2d0 + coupl(nGC_63)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_63)*dZHl_QED2/2d0
      coupl(nGC_3703) = coupl(nGC_3107) + coupl(nGC_376)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_376)*dZnu_tauL_QED2/2d0 + coupl(nGC_376)*    &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_379)*                 &
                        dZGMinusHMinus_QED2/2d0
      coupl(nGC_3788) = -coupl(nGC_201)*dZWMinus_QED2/4d0 - coupl(nGC_3049)/2d0
      coupl(nGC_3419) = coupl(nGC_232)*dZHMinus_QED2/2d0 + coupl(nGC_238)*     &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_3037)
      coupl(nGC_3709) = -coupl(nGC_3082) - coupl(nGC_341)*dZbL_QED2/2d0 - coupl&
                        (nGC_341)*dZbR_QED2/2d0 - coupl(nGC_344)*dZHaG0_QED2/  &
                        2d0
      coupl(nGC_2545) = coupl(nGC_197)*(coupl(nGC_198)*coupl(nGC_211) + 2d0*   &
                        coupl(nGC_211)*coupl(nGC_212) + coupl(nGC_212)*coupl(  &
                        nGC_869) + coupl(nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3789) = -coupl(nGC_199)*dZZA_QED2/2d0 - coupl(nGC_3)*dZA_QED2/ &
                        2d0 - coupl(nGC_3)*dZWMinus_QED2 - coupl(nGC_3153)
      coupl(nGC_3494) = coupl(nGC_3135) + coupl(nGC_333)*dZcL_QCD2/2d0 + coupl(&
                        nGC_333)*dZcR_QCD2/2d0
      coupl(nGC_3495) = coupl(nGC_33)*dZGMinus
      coupl(nGC_3496) = coupl(nGC_2991) + coupl(nGC_33)*dZHh_QED2/2d0 + coupl( &
                        nGC_33)*dZHl_QED2/2d0 + coupl(nGC_42)*dZHhHl_QED2/2d0  &
                         + coupl(nGC_45)*dZHlHh_QED2/2d0 + coupl(nGC_46)*      &
                        dZHMinusGMinus_QED2
      coupl(nGC_3497) = coupl(nGC_31)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3491) = coupl(nGC_53)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3492) = coupl(nGC_2996) + coupl(nGC_53)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_53)*dZHh_QED2/2d0 + coupl(nGC_62)*dZHlHh_QED2&
                        /2d0 + coupl(nGC_63)*dZHaG0_QED2/2d0
      coupl(nGC_3493) = coupl(nGC_3134) + coupl(nGC_333)*dZHl_QED2/2d0 + coupl(&
                        nGC_333)*dZcL_QED2/2d0 + coupl(nGC_333)*dZcR_QED2/2d0  &
                         + coupl(nGC_336)*dZHhHl_QED2/2d0
      coupl(nGC_3767) = coupl(nGC_2977) + coupl(nGC_35)*dZHhHl_QED2 + coupl(   &
                        nGC_38)*dZHaG0_QED2 + coupl(nGC_49)*dZHl_QED2
      coupl(nGC_3836) = coupl(nGC_184)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3834) = coupl(nGC_258)*dZGMinus/2d0
      coupl(nGC_3785) = -coupl(nGC_201)*dZZ_QED2/4d0 - coupl(nGC_3049)/2d0 -   &
                        coupl(nGC_5)*dZAZ_QED2/4d0
      coupl(nGC_2788) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_340&
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(&
                        nGC_349)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206 &
                        )*coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_207)*coupl(nGC_337)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_207)*coupl(nGC_373)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_385)**2d0 - 8d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_337)**2d0&
                         - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(      &
                        nGC_373)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209 &
                        )*coupl(nGC_385)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_210)*coupl(nGC_340)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_210)*coupl(nGC_349)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_367)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_340)**2d0&
                         + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_206)*coupl(      &
                        nGC_349)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_206 &
                        )*coupl(nGC_367)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_207)*coupl(nGC_337)**2d0 - 8d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_207)*coupl(nGC_373)**2d0 - 8d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_385)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_337)**2d0&
                         + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(      &
                        nGC_373)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209 &
                        )*coupl(nGC_385)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_210)*coupl(nGC_340)**2d0 - 8d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_210)*coupl(nGC_349)**2d0 - 8d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_367)**2d0 + 6d0* &
                        cima*coupl(nGC_100)*coupl(nGC_205) - 8d0*cima*coupl(   &
                        nGC_208)*coupl(nGC_355)**2d0*coupl(nGC_4) - 8d0*cima*  &
                        coupl(nGC_208)*coupl(nGC_361)**2d0*coupl(nGC_4) - 8d0* &
                        cima*coupl(nGC_208)*coupl(nGC_379)**2d0*coupl(nGC_4) + &
                        5d0*cima*coupl(nGC_212)*coupl(nGC_355)**2d0*coupl(nGC_4&
                        ) + 5d0*cima*coupl(nGC_212)*coupl(nGC_361)**2d0*coupl( &
                        nGC_4) + 5d0*cima*coupl(nGC_212)*coupl(nGC_379)**2d0*  &
                        coupl(nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_199)*coupl(&
                        nGC_3) + 6d0*coupl(nGC_100)*coupl(nGC_805)*coupl(      &
                        nGC_893))/(48d0*pi**2d0)
      coupl(nGC_3835) = coupl(nGC_184)*dZWMinus_QED2/2d0 + coupl(nGC_3149)
      coupl(nGC_2544) = coupl(nGC_197)*(-Nc*coupl(nGC_334)*coupl(nGC_335) + Nc*&
                        coupl(nGC_343)*coupl(nGC_921) + Nc*coupl(nGC_346)*coupl&
                        (nGC_821) + Nc*coupl(nGC_364)*coupl(nGC_879) - Nc*coupl&
                        (nGC_370)*coupl(nGC_371) - Nc*coupl(nGC_382)*coupl(    &
                        nGC_383) + coupl(nGC_352)*coupl(nGC_843) + coupl(      &
                        nGC_358)*coupl(nGC_865) + coupl(nGC_376)*coupl(nGC_853 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3787) = coupl(nGC_3114) + coupl(nGC_351)*dZHl_QED2/2d0 + coupl(&
                        nGC_351)*dZeMinusL_QED2/2d0 + coupl(nGC_351)*          &
                        dZeMinusR_QED2/2d0 + coupl(nGC_354)*dZHhHl_QED2/2d0
      coupl(nGC_2659) = -(-8d0*coupl(nGC_2)**2d0*coupl(nGC_873) - 8d0*coupl(   &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_873) + coupl(nGC_333 &
                        )**2d0*coupl(nGC_335) + coupl(nGC_334)*coupl(nGC_364)* &
                        coupl(nGC_365) + coupl(nGC_335)*coupl(nGC_336)**2d0 +  &
                        coupl(nGC_335)*coupl(nGC_847)**2d0 + coupl(nGC_335)*   &
                        coupl(nGC_873)**2d0 + coupl(nGC_337)*coupl(nGC_365)*   &
                        coupl(nGC_367))/(32d0*pi**2d0)
      coupl(nGC_2658) = -(-8d0*coupl(nGC_2)**2d0*coupl(nGC_336) - 8d0*coupl(   &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_336) + coupl(nGC_333 &
                        )**2d0*coupl(nGC_336) + coupl(nGC_334)*coupl(nGC_364)* &
                        coupl(nGC_366) + coupl(nGC_335)**2d0*coupl(nGC_336) +  &
                        coupl(nGC_336)**3d0 + coupl(nGC_336)*coupl(nGC_338)**  &
                        2d0 + coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_367))/(  &
                        32d0*pi**2d0)
      coupl(nGC_2655) = -(-8d0*coupl(nGC_2)**2d0*coupl(nGC_333) - 8d0*coupl(   &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_333) + coupl(nGC_333 &
                        )**3d0 + coupl(nGC_333)*coupl(nGC_335)**2d0 + coupl(   &
                        nGC_333)*coupl(nGC_336)**2d0 + coupl(nGC_333)*coupl(   &
                        nGC_338)**2d0 + coupl(nGC_334)*coupl(nGC_363)*coupl(   &
                        nGC_364) + coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_3029) = coupl(nGC_1985)*db_QED2 + coupl(nGC_1986)*dvev2_QED1 + &
                        coupl(nGC_1987)*dvev1_QED1 + coupl(nGC_1988)*dl2_QED4  &
                         + coupl(nGC_1989)*dl1_QED4 + coupl(nGC_1990)*dl4_QED4 &
                         + coupl(nGC_1991)*dl3_QED4 + coupl(nGC_1992)*da_QED2  &
                         + coupl(nGC_1993)*dl5_QED4
      coupl(nGC_2657) = -(-8d0*coupl(nGC_2)**2d0*coupl(nGC_336) - 8d0*coupl(   &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_336) + coupl(nGC_333 &
                        )**2d0*coupl(nGC_336) + coupl(nGC_334)*coupl(nGC_364)* &
                        coupl(nGC_366) + coupl(nGC_336)**3d0 + coupl(nGC_336)* &
                        coupl(nGC_847)**2d0 + coupl(nGC_336)*coupl(nGC_873)**  &
                        2d0 + coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_367))/(  &
                        32d0*pi**2d0)
      coupl(nGC_2656) = -coupl(nGC_13)**2d0*coupl(nGC_336)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2650) = -coupl(nGC_13)**2d0*coupl(nGC_847)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2653) = -coupl(nGC_13)**2d0*coupl(nGC_333)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3028) = coupl(nGC_2059)*dZee_QED2 + coupl(nGC_2060)*dsw_QED2 + &
                        coupl(nGC_2061)*dcw_QED2 + coupl(nGC_2062)*dvev1_QED1  &
                         + coupl(nGC_2063)*dvev2_QED1 + coupl(nGC_2064)*da_QED2
      coupl(nGC_3148) = coupl(nGC_1359)*dvev1_QED1 + coupl(nGC_1360)*dvev2_QED1&
                         + coupl(nGC_1361)*dZee_QED2 + coupl(nGC_1362)*dsw_QED2&
                         + coupl(nGC_1363)*db_QED2
      coupl(nGC_3782) = dZGMinusHMinus_QED2*(coupl(nGC_257) + coupl(nGC_258))/ &
                        2d0
      coupl(nGC_3783) = coupl(nGC_184)*dZHMinus_QED2/2d0 + coupl(nGC_184)*     &
                        dZHa_QED2/2d0 + coupl(nGC_184)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_3149)
      coupl(nGC_2417) = (Nc*cMB**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMB**2d0*   &
                        cima*coupl(nGC_209)**2d0 + Nc*cMC**2d0*cima*coupl(     &
                        nGC_207)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_210)**2d0 + &
                        Nc*cMD**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMD**2d0*cima&
                        *coupl(nGC_209)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_206  &
                        )**2d0 + Nc*cMS**2d0*cima*coupl(nGC_209)**2d0 + Nc*cMT &
                        **2d0*cima*coupl(nGC_207)**2d0 + Nc*cMT**2d0*cima*coupl&
                        (nGC_210)**2d0 + Nc*cMU**2d0*cima*coupl(nGC_207)**2d0  &
                         + Nc*cMU**2d0*cima*coupl(nGC_210)**2d0 + cME**2d0*cima&
                        *coupl(nGC_208)**2d0 + cME**2d0*cima*coupl(nGC_211)**  &
                        2d0 + cMM**2d0*cima*coupl(nGC_208)**2d0 + cMM**2d0*cima&
                        *coupl(nGC_211)**2d0 + cMTA**2d0*cima*coupl(nGC_208)** &
                        2d0 + cMTA**2d0*cima*coupl(nGC_211)**2d0 + cMW**2d0*   &
                        cima*coupl(nGC_199)**2d0 + cMW**2d0*cima*coupl(nGC_805 &
                        )**2d0 - cMW**2d0*coupl(nGC_195))/(8d0*pi**2d0)
      coupl(nGC_3588) = coupl(nGC_2957) + coupl(nGC_30)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_30)*dZHa_QED2/2d0
      coupl(nGC_2416) = cima*(coupl(nGC_199)**2d0 + coupl(nGC_805)**2d0)/(48d0*&
                        pi**2d0)
      coupl(nGC_TS_GC_20_Hl) = -coupl(nGC_20)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3589) = -coupl(nGC_3046)/2d0 - coupl(nGC_5)*dZWMinus_QED2/4d0
      coupl(nGC_TS_GC_20_Hh) = -coupl(nGC_20)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2489) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_206&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_341)*coupl(nGC_855) + coupl(nGC_1)*coupl(  &
                        nGC_342)**2d0 + coupl(nGC_1)*coupl(nGC_344)*coupl(     &
                        nGC_921) + coupl(nGC_2)*coupl(nGC_340)**2d0 + coupl(   &
                        nGC_2)*coupl(nGC_343)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2414) = (Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_206) + Nc*cMB &
                        **2d0*cima*coupl(nGC_1)*coupl(nGC_209) + Nc*cMC**2d0*  &
                        cima*coupl(nGC_2)*coupl(nGC_207) + Nc*cMC**2d0*cima*   &
                        coupl(nGC_2)*coupl(nGC_210) + Nc*cMD**2d0*cima*coupl(  &
                        nGC_1)*coupl(nGC_206) + Nc*cMD**2d0*cima*coupl(nGC_1)* &
                        coupl(nGC_209) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(  &
                        nGC_206) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_209 &
                        ) + Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_207) + Nc* &
                        cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_210) + Nc*cMU**2d0&
                        *cima*coupl(nGC_2)*coupl(nGC_207) + Nc*cMU**2d0*cima*  &
                        coupl(nGC_2)*coupl(nGC_210) + cME**2d0*cima*coupl(     &
                        nGC_208)*coupl(nGC_4) + cME**2d0*cima*coupl(nGC_211)*  &
                        coupl(nGC_4) + cMM**2d0*cima*coupl(nGC_208)*coupl(nGC_4&
                        ) + cMM**2d0*cima*coupl(nGC_211)*coupl(nGC_4) + cMTA** &
                        2d0*cima*coupl(nGC_208)*coupl(nGC_4) + cMTA**2d0*cima* &
                        coupl(nGC_211)*coupl(nGC_4) + cMW**2d0*cima*coupl(     &
                        nGC_199)*coupl(nGC_3) + cMW**2d0*cima*coupl(nGC_805)*  &
                        coupl(nGC_893) - cMW**2d0*coupl(nGC_205))/(8d0*pi**2d0)
      coupl(nGC_2732) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_366) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_366) + coupl(nGC_334 &
                        )*coupl(nGC_336)*coupl(nGC_364) + coupl(nGC_336)*coupl(&
                        nGC_337)*coupl(nGC_367) + coupl(nGC_363)**2d0*coupl(   &
                        nGC_366) + coupl(nGC_365)**2d0*coupl(nGC_366) + coupl( &
                        nGC_366)**3d0 + coupl(nGC_366)*coupl(nGC_368)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2941) = cima*(20d0*Nc*coupl(nGC_336)**4d0 + 20d0*Nc*coupl(     &
                        nGC_339)**4d0 + 20d0*Nc*coupl(nGC_348)**4d0 + 20d0*Nc* &
                        coupl(nGC_366)**4d0 + 20d0*Nc*coupl(nGC_372)**4d0 +    &
                        20d0*Nc*coupl(nGC_384)**4d0 + 3d0*coupl(nGC_224)**2d0  &
                         + 20d0*coupl(nGC_354)**4d0 + 20d0*coupl(nGC_360)**4d0 &
                         + 20d0*coupl(nGC_378)**4d0 + 6d0*coupl(nGC_77)**2d0)/(&
                        16d0*pi**2d0)
      coupl(nGC_3332) = coupl(nGC_2996) + coupl(nGC_53)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_53)*dZHa_QED2/2d0 + coupl(nGC_53)*dZHl_QED2/ &
                        2d0 + coupl(nGC_62)*dZG0Ha_QED2/2d0 + coupl(nGC_63)*   &
                        dZHhHl_QED2/2d0
      coupl(nGC_3344) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_3182) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusL_QED2
      coupl(nGC_3630) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZeMinusL_QED2/2d0 + coupl(nGC_197)*dZnu_eL_QED2/2d0 + &
                        coupl(nGC_3186)
      coupl(nGC_3631) = coupl(nGC_231)*dZZA_QED2/2d0 + coupl(nGC_3148) + coupl(&
                        nGC_321)*dZA_QED2/2d0 + coupl(nGC_321)*dZHMinus_QED2/  &
                        2d0 + coupl(nGC_321)*dZWMinus_QED2/2d0 + coupl(nGC_324 &
                        )*dZGMinusHMinus_QED2/2d0 + coupl(nGC_TS_GC_175_Hh) +  &
                        coupl(nGC_TS_GC_180_Hl)
      coupl(nGC_3632) = dZGMinusHMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/ &
                        2d0
      coupl(nGC_3633) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*          &
                        dZnu_muL_QED2 + coupl(nGC_3191)
      coupl(nGC_2884) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0  &
                         + 10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 +   &
                        10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_349)**2d0 + 10d0*&
                        Nc*coupl(nGC_364)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*  &
                        coupl(nGC_370)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl&
                        (nGC_382)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100 &
                        )**2d0 + 6d0*coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**&
                        2d0 + 3d0*coupl(nGC_29)**2d0 + 10d0*coupl(nGC_352)**2d0&
                        *coupl(nGC_355)**2d0 + 10d0*coupl(nGC_358)**2d0*coupl( &
                        nGC_361)**2d0 + 10d0*coupl(nGC_376)**2d0*coupl(nGC_379 &
                        )**2d0)/(48d0*pi**2d0)
      coupl(nGC_2885) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_336)**2d0 &
                         - coupl(nGC_339)**2d0 - coupl(nGC_348)**2d0 - coupl(  &
                        nGC_366)**2d0 - coupl(nGC_372)**2d0 - coupl(nGC_384)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_2887) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)*coupl&
                        (nGC_336) - coupl(nGC_339)*coupl(nGC_342) - coupl(     &
                        nGC_345)*coupl(nGC_348) - coupl(nGC_363)*coupl(nGC_366 &
                        ) - coupl(nGC_369)*coupl(nGC_372) - coupl(nGC_381)*    &
                        coupl(nGC_384))/(16d0*pi**2d0)
      coupl(nGC_3638) = coupl(nGC_3103) + coupl(nGC_358)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_361)*dZmuMinusR_QED2/2d0 + coupl(      &
                        nGC_361)*dZnu_muL_QED2/2d0
      coupl(nGC_2889) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_337)**2d0  &
                         + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_367)**2d0 +   &
                        20d0*Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_363)*  &
                        coupl(nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(    &
                        nGC_363)**2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(     &
                        nGC_342)**2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(     &
                        nGC_369)**2d0 + 20d0*Nc*coupl(nGC_340)*coupl(nGC_342)* &
                        coupl(nGC_369)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_342  &
                        )**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(nGC_345)**  &
                        2d0*coupl(nGC_349)**2d0 + 10d0*Nc*coupl(nGC_345)**2d0* &
                        coupl(nGC_385)**2d0 + 20d0*Nc*coupl(nGC_345)*coupl(    &
                        nGC_349)*coupl(nGC_381)*coupl(nGC_385) + 10d0*Nc*coupl(&
                        nGC_349)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*coupl(     &
                        nGC_363)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(     &
                        nGC_369)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(     &
                        nGC_381)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_174)**2d0 + 12d0*coupl( &
                        nGC_21)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229) + 10d0&
                        *coupl(nGC_351)**2d0*coupl(nGC_355)**2d0 + 10d0*coupl( &
                        nGC_357)**2d0*coupl(nGC_361)**2d0 + 10d0*coupl(nGC_375 &
                        )**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0)
      coupl(nGC_2479) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)*  &
                        coupl(nGC_364)**2d0 + coupl(nGC_1)*coupl(nGC_367)**2d0 &
                         + 2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(   &
                        nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_210)**2d0 +   &
                        coupl(nGC_2)*coupl(nGC_333)**2d0 + coupl(nGC_2)*coupl( &
                        nGC_335)*coupl(nGC_873) + coupl(nGC_2)*coupl(nGC_336)**&
                        2d0 + coupl(nGC_2)*coupl(nGC_338)*coupl(nGC_847))/(32d0&
                        *pi**2d0)
      coupl(nGC_2593) = -coupl(nGC_351)*(-8d0*coupl(nGC_208)*coupl(nGC_211) +  &
                        coupl(nGC_351)**2d0 + coupl(nGC_353)**2d0 + coupl(     &
                        nGC_354)**2d0 + coupl(nGC_356)**2d0 - 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_3441) = coupl(nGC_3004) + coupl(nGC_57)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_68)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_71)* &
                        dZHMinusGMinus_QED2 + coupl(nGC_74)*dZHMinusGMinus_QED2&
                        /2d0
      coupl(nGC_3803) = coupl(nGC_2974) + coupl(nGC_58)*dZHaG0_QED2 + coupl(   &
                        nGC_59)*dZG0Ha_QED2 + coupl(nGC_73)*dZHa_QED2
      coupl(nGC_3802) = coupl(nGC_73)*dZG0
      coupl(nGC_3801) = -coupl(nGC_380)*dZG0/2d0
      coupl(nGC_3800) = -coupl(nGC_3110) - coupl(nGC_377)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_380)*dZtauMinusL_QED2/2d0 - coupl(nGC_380)*  &
                        dZtauMinusR_QED2/2d0
      coupl(nGC_3807) = coupl(nGC_3056) + coupl(nGC_346)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_349)*dZdR_QED2/2d0 + coupl(nGC_349)*   &
                        dZuL_QED2/2d0
      coupl(nGC_3806) = coupl(nGC_245)*dZG0/2d0
      coupl(nGC_3804) = coupl(nGC_28)*dZHMinus_QED2 + coupl(nGC_2958)
      coupl(nGC_2720) = -coupl(nGC_13)**2d0*coupl(nGC_821)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2722) = -coupl(nGC_13)**2d0*coupl(nGC_347)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2727) = -coupl(nGC_13)**2d0*coupl(nGC_363)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2726) = -coupl(nGC_13)**2d0*coupl(nGC_368)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3417) = coupl(nGC_3028) + coupl(nGC_328)*dZHl_QED2/2d0 + coupl(&
                        nGC_331)*dZHhHl_QED2/2d0
      coupl(nGC_3968) = coupl(nGC_199)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/  &
                        2d0 + coupl(nGC_3)*dZWMinus_QED2 + coupl(nGC_3153)
      coupl(nGC_3361) = coupl(nGC_3081) + coupl(nGC_368)*dZsL_QCD2/2d0 + coupl(&
                        nGC_368)*dZsR_QCD2/2d0
      coupl(nGC_3964) = -4d0*coupl(nGC_15)*dZg_QCD2 - 2d0*coupl(nGC_3052)
      coupl(nGC_3965) = coupl(nGC_11)*dZg_QCD2/4d0 + coupl(nGC_3053)/2d0
      coupl(nGC_3967) = coupl(nGC_3000) + coupl(nGC_39)*dZHa_QED2/2d0 + coupl( &
                        nGC_39)*dZHh_QED2 + coupl(nGC_43)*dZG0Ha_QED2/2d0 +    &
                        coupl(nGC_47)*dZHlHh_QED2 + coupl(nGC_48)*dZHaG0_QED2/ &
                        2d0
      coupl(nGC_3961) = -2d0*coupl(nGC_15)*dZg_QCD2 - coupl(nGC_3052)
      coupl(nGC_3962) = 4d0*coupl(nGC_15)*dZg_QCD2 + 2d0*coupl(nGC_3052)
      coupl(nGC_TS_GC_252_Hl) = -coupl(nGC_252)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2793) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_343&
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(&
                        nGC_346)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206 &
                        )*coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_207)*coupl(nGC_334)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_207)*coupl(nGC_370)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_382)**2d0 - 8d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_334)**2d0&
                         - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(      &
                        nGC_370)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209 &
                        )*coupl(nGC_382)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_210)*coupl(nGC_343)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_210)*coupl(nGC_346)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_364)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_343)**2d0&
                         + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_206)*coupl(      &
                        nGC_346)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_206 &
                        )*coupl(nGC_364)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_207)*coupl(nGC_334)**2d0 - 8d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_207)*coupl(nGC_370)**2d0 - 8d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_382)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_334)**2d0&
                         + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(      &
                        nGC_370)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209 &
                        )*coupl(nGC_382)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_210)*coupl(nGC_343)**2d0 - 8d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_210)*coupl(nGC_346)**2d0 - 8d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_364)**2d0 + 6d0* &
                        cima*coupl(nGC_100)*coupl(nGC_205) - 8d0*cima*coupl(   &
                        nGC_208)*coupl(nGC_352)**2d0*coupl(nGC_4) - 8d0*cima*  &
                        coupl(nGC_208)*coupl(nGC_358)**2d0*coupl(nGC_4) - 8d0* &
                        cima*coupl(nGC_208)*coupl(nGC_376)**2d0*coupl(nGC_4) + &
                        5d0*cima*coupl(nGC_212)*coupl(nGC_352)**2d0*coupl(nGC_4&
                        ) + 5d0*cima*coupl(nGC_212)*coupl(nGC_358)**2d0*coupl( &
                        nGC_4) + 5d0*cima*coupl(nGC_212)*coupl(nGC_376)**2d0*  &
                        coupl(nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_199)*coupl(&
                        nGC_3) + 6d0*coupl(nGC_100)*coupl(nGC_805)*coupl(      &
                        nGC_893))/(48d0*pi**2d0)
      coupl(nGC_3338) = coupl(nGC_260)*dZHl_QED2/2d0 + coupl(nGC_271)*         &
                        dZHhHl_QED2/2d0 + coupl(nGC_3041)
      coupl(nGC_3335) = coupl(nGC_3009) + coupl(nGC_76)*dZHh_QED2
      coupl(nGC_2418) = cME*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_3331) = coupl(nGC_53)*dZGMinus/2d0
      coupl(nGC_3333) = coupl(nGC_204)*dZWMinus_QED2 + coupl(nGC_3160)
      coupl(nGC_3963) = 2d0*coupl(nGC_15)*dZg_QCD2 + coupl(nGC_3052)
      coupl(nGC_3447) = coupl(nGC_2956) + coupl(nGC_31)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_31)*dZHa_QED2/2d0
      coupl(nGC_3445) = coupl(nGC_203)*dZZA_QED2/2d0 + coupl(nGC_3144) + coupl(&
                        nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2/2d0
      coupl(nGC_3444) = coupl(nGC_3003) + coupl(nGC_55)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_67)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_70)* &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_72)*dZHaG0_QED2
      coupl(nGC_3449) = coupl(nGC_3001) + coupl(nGC_38)*dZHa_QED2/2d0 + coupl( &
                        nGC_38)*dZHl_QED2 + coupl(nGC_41)*dZHaG0_QED2/2d0 +    &
                        coupl(nGC_47)*dZHhHl_QED2 + coupl(nGC_49)*dZG0Ha_QED2/ &
                        2d0
      coupl(nGC_2835) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_344)*coupl(&
                        nGC_921) - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(      &
                        nGC_347)*coupl(nGC_821) - 8d0*Nc*cima*coupl(nGC_206)** &
                        2d0*coupl(nGC_365)*coupl(nGC_879) + 10d0*Nc*cima*coupl(&
                        nGC_206)*coupl(nGC_209)*coupl(nGC_344)*coupl(nGC_921   &
                        ) + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(  &
                        nGC_347)*coupl(nGC_821) + 10d0*Nc*cima*coupl(nGC_206)* &
                        coupl(nGC_209)*coupl(nGC_365)*coupl(nGC_879) - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_335)*coupl(nGC_873  &
                        ) - 8d0*Nc*cima*coupl(nGC_207)**2d0*coupl(nGC_371)*    &
                        coupl(nGC_831) - 8d0*Nc*cima*coupl(nGC_207)**2d0*coupl(&
                        nGC_383)*coupl(nGC_829) + 10d0*Nc*cima*coupl(nGC_207)* &
                        coupl(nGC_210)*coupl(nGC_335)*coupl(nGC_873) + 10d0*Nc*&
                        cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_371)*coupl&
                        (nGC_831) + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*&
                        coupl(nGC_383)*coupl(nGC_829) - 8d0*Nc*cima*coupl(     &
                        nGC_209)**2d0*coupl(nGC_344)*coupl(nGC_921) - 8d0*Nc*  &
                        cima*coupl(nGC_209)**2d0*coupl(nGC_347)*coupl(nGC_821  &
                        ) - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_365)*    &
                        coupl(nGC_879) - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(&
                        nGC_335)*coupl(nGC_873) - 8d0*Nc*cima*coupl(nGC_210)** &
                        2d0*coupl(nGC_371)*coupl(nGC_831) - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_383)*coupl(nGC_829) + 3d0*cima*&
                        coupl(nGC_100)*coupl(nGC_195) - 8d0*cima*coupl(nGC_208 &
                        )**2d0*coupl(nGC_353)*coupl(nGC_843) - 8d0*cima*coupl( &
                        nGC_208)**2d0*coupl(nGC_359)*coupl(nGC_865) - 8d0*cima*&
                        coupl(nGC_208)**2d0*coupl(nGC_377)*coupl(nGC_853) +    &
                        10d0*cima*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_353)*&
                        coupl(nGC_843) + 10d0*cima*coupl(nGC_208)*coupl(nGC_211&
                        )*coupl(nGC_359)*coupl(nGC_865) + 10d0*cima*coupl(     &
                        nGC_208)*coupl(nGC_211)*coupl(nGC_377)*coupl(nGC_853   &
                        ) - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_353)*coupl( &
                        nGC_843) - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_359)*&
                        coupl(nGC_865) - 8d0*cima*coupl(nGC_211)**2d0*coupl(   &
                        nGC_377)*coupl(nGC_853) + 3d0*coupl(nGC_100)*coupl(    &
                        nGC_199)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_805)**2d0 &
                        )/(24d0*pi**2d0)
      coupl(nGC_2834) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_339)*coupl(nGC_340) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_366)*coupl&
                        (nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_372)*coupl(nGC_373   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_384)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_336)*coupl(nGC_337) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl&
                        (nGC_340) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_366)*coupl(nGC_367   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_384)*coupl(nGC_385) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_336)*coupl&
                        (nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_348)*coupl(nGC_349   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_366)*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_384)*coupl&
                        (nGC_385) + 6d0*cima*coupl(nGC_180)*coupl(nGC_799) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_354)*coupl(nGC_355   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_360)*coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_354)*coupl(    &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_354)*coupl(   &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_378)*coupl(nGC_379) + 6d0*    &
                        coupl(nGC_180)*coupl(nGC_199)*coupl(nGC_893) + 6d0*    &
                        coupl(nGC_199)*coupl(nGC_23)*coupl(nGC_805))/(48d0*pi**&
                        2d0)
      coupl(nGC_2836) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_206)*coupl(      &
                        nGC_340)*coupl(nGC_921) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_349)*coupl(nGC_821) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_367)*coupl(nGC_879) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_335)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_371)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_383)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_335)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_340)*coupl(nGC_921) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_349)*coupl(nGC_821) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_367)*coupl(nGC_879) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_371)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_383)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_335)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_340)*coupl(nGC_921) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_349)*coupl(nGC_821) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_367)*coupl(nGC_879) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_371)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_383)*coupl(nGC_385) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_355)*coupl(nGC_843) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_361)*coupl(nGC_865) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_379)*coupl(nGC_853) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_355)*coupl(nGC_843) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_361)*coupl(nGC_865) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_379)*coupl(nGC_853) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_355)*coupl(nGC_843) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_361)*coupl(nGC_865) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_379)*coupl(nGC_853))/(48d0*pi**2d0)
      coupl(nGC_3528) = coupl(nGC_2998) + coupl(nGC_34)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_34)*dZHl_QED2 + coupl(nGC_40)*               &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_45)*               &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_46)*dZHhHl_QED2
      coupl(nGC_2830) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_342)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_345)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_363)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(   &
                        nGC_342)**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(     &
                        nGC_209)*coupl(nGC_345)**2d0 + 10d0*Nc*cima*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_363)**2d0 - 8d0*Nc*  &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_333)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_369)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_333)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl(   &
                        nGC_369)**2d0 + 10d0*Nc*cima*coupl(nGC_207)*coupl(     &
                        nGC_210)*coupl(nGC_381)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_209)**2d0*coupl(nGC_342)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_345)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_363)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_333)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_369)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_381)**2d0 + 3d0*cima*coupl(    &
                        nGC_195)*coupl(nGC_77) - 8d0*cima*coupl(nGC_208)**2d0* &
                        coupl(nGC_351)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_357)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_375)**2d0 + 10d0*cima*coupl(nGC_208)*coupl(  &
                        nGC_211)*coupl(nGC_351)**2d0 + 10d0*cima*coupl(nGC_208 &
                        )*coupl(nGC_211)*coupl(nGC_357)**2d0 + 10d0*cima*coupl(&
                        nGC_208)*coupl(nGC_211)*coupl(nGC_375)**2d0 - 8d0*cima*&
                        coupl(nGC_211)**2d0*coupl(nGC_351)**2d0 - 8d0*cima*    &
                        coupl(nGC_211)**2d0*coupl(nGC_357)**2d0 - 8d0*cima*    &
                        coupl(nGC_211)**2d0*coupl(nGC_375)**2d0 + 3d0*coupl(   &
                        nGC_199)**2d0*coupl(nGC_77) + 3d0*coupl(nGC_77)*coupl( &
                        nGC_805)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2833) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_340)*coupl(nGC_342) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_349) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_337) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_373   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_337) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl&
                        (nGC_342) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_367   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_385) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_349   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(nGC_799) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_21) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_355   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_379) + 6d0*    &
                        coupl(nGC_174)*coupl(nGC_199)*coupl(nGC_893) + 6d0*    &
                        coupl(nGC_199)*coupl(nGC_21)*coupl(nGC_805))/(48d0*pi**&
                        2d0)
      coupl(nGC_3682) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3524) = coupl(nGC_3097) + coupl(nGC_347)*dZdL_QCD2/2d0 + coupl(&
                        nGC_347)*dZdR_QCD2/2d0
      coupl(nGC_3526) = -coupl(nGC_3097) - coupl(nGC_347)*dZdL_QCD2/2d0 - coupl&
                        (nGC_347)*dZdR_QCD2/2d0
      coupl(nGC_3527) = coupl(nGC_34)*dZGMinus/2d0
      coupl(nGC_2839) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_339)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_348) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*coupl&
                        (nGC_366) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_334)*coupl(nGC_336) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_372   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_382)*coupl(nGC_384) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_336) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl&
                        (nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_366   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_384) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334)*coupl&
                        (nGC_336) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_348   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_364)*coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382)*coupl&
                        (nGC_384) + 6d0*cima*coupl(nGC_175)*coupl(nGC_799) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_22) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_354   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_358)*coupl(nGC_360) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352)*coupl(    &
                        nGC_354) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(   &
                        nGC_354) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_378) + 6d0*    &
                        coupl(nGC_175)*coupl(nGC_199)*coupl(nGC_893) + 6d0*    &
                        coupl(nGC_199)*coupl(nGC_22)*coupl(nGC_805))/(48d0*pi**&
                        2d0)
      coupl(nGC_3688) = -coupl(nGC_172)*dZHMinus_QED2/2d0 - coupl(nGC_172)*    &
                        dZHh_QED2/2d0 - coupl(nGC_172)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_178)*dZGMinusHMinus_QED2/2d0 - coupl(nGC_179 &
                        )*dZHlHh_QED2/2d0 - coupl(nGC_3155)
      coupl(nGC_3685) = coupl(nGC_3002) + coupl(nGC_59)*dZHa_QED2/2d0 + coupl( &
                        nGC_69)*dZG0Ha_QED2/2d0 + 3d0*coupl(nGC_73)*dZHaG0_QED2&
                        /2d0
      coupl(nGC_2781) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima*  &
                        coupl(nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_210)**2d0 + cima*coupl(nGC_195)* &
                        coupl(nGC_9) - 2d0*cima*coupl(nGC_199)**2d0*coupl(nGC_3&
                        )**2d0 + cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 +  &
                        cima*coupl(nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0*cima* &
                        coupl(nGC_805)**2d0*coupl(nGC_893)**2d0 + coupl(nGC_195&
                        )*coupl(nGC_3)**2d0 + coupl(nGC_195)*coupl(nGC_893)**  &
                        2d0 + coupl(nGC_199)**2d0*coupl(nGC_9) + coupl(nGC_805 &
                        )**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_3898) = coupl(nGC_3133) + coupl(nGC_381)*dZuL_QCD2/2d0 + coupl(&
                        nGC_381)*dZuR_QCD2/2d0
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
