!******************************************************************************!
!                                                                              !
!    ctparameter157.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter157.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter157
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter157()
  if (dMD_QED2_scheme .eq. 0) then
    dMD_QED2 = cima*(coupl(nGC_345)*dtHl_QED1/cMHL**2d0 + coupl(nGC_348)*      &
               dtHh_QED1/cMHH**2d0) + (2d0*Ten518*cMD*coupl(nGC_1)**2d0 +      &
               Ten519*cMD*(-coupl(nGC_206)**2d0 + 4d0*coupl(nGC_206)*coupl(    &
               nGC_209) - coupl(nGC_209)**2d0) - Ten520*(2d0*cMD*coupl(nGC_197 &
               )**2d0 + cMD*coupl(nGC_349)**2d0 + cMD*coupl(nGC_385)**2d0 + 2d0&
               *cMU*coupl(nGC_349)*coupl(nGC_385))/2d0 - Ten521*cMD*coupl(     &
               nGC_347)**2d0 + Ten522*cMD*coupl(nGC_345)**2d0 + Ten523*cMD*    &
               coupl(nGC_348)**2d0 - 2d0*Ten524*cMD*coupl(nGC_1)**2d0 + Ten525*&
               cMD*(-coupl(nGC_206)**2d0 - coupl(nGC_209)**2d0 + coupl(nGC_350 &
               )**2d0) - Ten526*cMD*(2d0*coupl(nGC_197)**2d0 + coupl(nGC_349)**&
               2d0 + coupl(nGC_385)**2d0)/2d0 + Ten527*cMD*(coupl(nGC_346)**2d0&
                + coupl(nGC_382)**2d0)/2d0 - Ten528*cMD*coupl(nGC_347)**2d0 -  &
               Ten529*cMD*coupl(nGC_345)**2d0 - Ten530*cMD*coupl(nGC_348)**2d0 &
                - Ten531*cMU*coupl(nGC_346)*coupl(nGC_382) + cMD*(-2d0*coupl(  &
               nGC_1)**2d0 + coupl(nGC_197)**2d0 + coupl(nGC_206)**2d0 - 4d0*  &
               coupl(nGC_206)*coupl(nGC_209) + coupl(nGC_209)**2d0)/2d0)/(16d0*&
               pi**2d0)
    dMD_QED2 = cone*real(dMD_QED2,kind=dp)
  end if 
end subroutine set_ctparameter157
end module ctparameter157
