!******************************************************************************!
!                                                                              !
!    ctparameter61.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter61.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter61
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter61()
  if (dZuL_QED2_scheme .eq. 1) then
    dZuL_QED2 = (2d0*Ten482*coupl(nGC_2)**2d0 + 2d0*Ten483*coupl(nGC_210)**2d0 &
                 + 2d0*Ten484*coupl(nGC_197)**2d0 + 2d0*Ten488*coupl(nGC_2)**  &
                2d0 + 2d0*Ten489*coupl(nGC_210)**2d0 + 2d0*Ten490*coupl(nGC_197&
                )**2d0 - 4d0*Ten499*cMU_reg**2d0*coupl(nGC_2)**2d0 + 4d0*Ten506&
                *cMU_reg**2d0*coupl(nGC_2)**2d0 - coupl(nGC_197)**2d0 - coupl( &
                nGC_2)**2d0 - coupl(nGC_210)**2d0)/(16d0*pi**2d0)
    dZuL_QED2 = cone*real(dZuL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter61
end module ctparameter61
