!******************************************************************************!
!                                                                              !
!    ctparameter134.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter134.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter134
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter134()
  if (dMS_QED2_scheme .eq. 0) then
    dMS_QED2 = cima*(coupl(nGC_363)*dtHl_QED1/cMHL**2d0 + coupl(nGC_366)*      &
               dtHh_QED1/cMHH**2d0) + (2d0*Ten610*cMS*coupl(nGC_1)**2d0 +      &
               Ten611*cMS*(-coupl(nGC_206)**2d0 + 4d0*coupl(nGC_206)*coupl(    &
               nGC_209) - coupl(nGC_209)**2d0) - Ten612*(2d0*cMC*coupl(nGC_337 &
               )*coupl(nGC_367) + 2d0*cMS*coupl(nGC_197)**2d0 + cMS*coupl(     &
               nGC_337)**2d0 + cMS*coupl(nGC_367)**2d0)/2d0 - Ten613*cMS*coupl(&
               nGC_365)**2d0 + Ten614*cMS*coupl(nGC_366)**2d0 + Ten615*cMS*    &
               coupl(nGC_363)**2d0 - 2d0*Ten616*cMS*coupl(nGC_1)**2d0 + Ten617*&
               cMS*(-coupl(nGC_206)**2d0 - coupl(nGC_209)**2d0 + coupl(nGC_368 &
               )**2d0) - Ten618*cMS*(2d0*coupl(nGC_197)**2d0 + coupl(nGC_337)**&
               2d0 + coupl(nGC_367)**2d0)/2d0 + Ten619*cMS*(coupl(nGC_334)**2d0&
                + coupl(nGC_364)**2d0)/2d0 - Ten620*cMS*coupl(nGC_365)**2d0 -  &
               Ten621*cMS*coupl(nGC_366)**2d0 - Ten622*cMS*coupl(nGC_363)**2d0 &
                - Ten623*cMC*coupl(nGC_334)*coupl(nGC_364) + cMS*(-2d0*coupl(  &
               nGC_1)**2d0 + coupl(nGC_197)**2d0 + coupl(nGC_206)**2d0 - 4d0*  &
               coupl(nGC_206)*coupl(nGC_209) + coupl(nGC_209)**2d0)/2d0)/(16d0*&
               pi**2d0)
    dMS_QED2 = cone*real(dMS_QED2,kind=dp)
  end if 
end subroutine set_ctparameter134
end module ctparameter134
