!******************************************************************************!
!                                                                              !
!    ctparameter67.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter67.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter67
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter67()
  dalZ_QED2 = (16d0*pi*aEW*(11d0*Nc + 27d0)/81d0 + 16d0*pi*aEW*(Nc*Ten1027*(2d0&
              *MD**2d0 + rMZ**2d0) + Nc*Ten1028*(2d0*MS**2d0 + rMZ**2d0) + 4d0*&
              Nc*Ten1029*(2d0*MU**2d0 + rMZ**2d0) + Nc*Ten731*(2d0*MB**2d0 +   &
              rMZ**2d0) + 4d0*Nc*Ten732*(2d0*MC**2d0 + rMZ**2d0) - 4d0*Nc*     &
              Ten896*(2d0*MU**2d0 + rMZ**2d0) - 4d0*Nc*Ten897*(2d0*MC**2d0 +   &
              rMZ**2d0) - Nc*Ten899*(2d0*MD**2d0 + rMZ**2d0) - Nc*Ten900*(2d0* &
              MS**2d0 + rMZ**2d0) - Nc*Ten901*(2d0*MB**2d0 + rMZ**2d0) + 9d0*  &
              Ten1024*(2d0*ME**2d0 + rMZ**2d0) + 9d0*Ten1025*(2d0*MM**2d0 + rMZ&
              **2d0) + 9d0*Ten1026*(2d0*MTA**2d0 + rMZ**2d0) - 9d0*Ten893*(2d0*&
              ME**2d0 + rMZ**2d0) - 9d0*Ten894*(2d0*MM**2d0 + rMZ**2d0) - 9d0* &
              Ten895*(2d0*MTA**2d0 + rMZ**2d0))/(27d0*rMZ**2d0))/(16d0*pi**2d0)
  dalZ_QED2 = cone*real(dalZ_QED2,kind=dp)
end subroutine set_ctparameter67
end module ctparameter67
