!******************************************************************************!
!                                                                              !
!    vertices_info23.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info23.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info23
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl23()
      allocate(vertices(1653)%branchR2(0:0))
      call avR2(1653, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2531/))

      allocate(vertices(7583)%branchR2(0:0))
      call avR2(7583, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(6412)%branchR2(0:0))
      call avR2(6412, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4064/))

      allocate(vertices(3598)%branchR2(0:1))
      call avR2(3598, 0, 28, 1, 0, VFFa1, (/0, 3/), (/nGC_2481, nGC_2482/))

      call avR2(3598, 1, 28, 1, 0, VFFa1, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(8925)%branchR2(0:0))
      call avR2(8925, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(3519)%branchR2(0:0))
      call avR2(3519, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2591/))

      allocate(vertices(3406)%branchR2(0:0))
      call avR2(3406, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(5763)%branchR2(0:0))
      call avR2(5763, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(6125)%branchR2(0:0))
      call avR2(6125, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(6662)%branchR2(0:0))
      call avR2(6662, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2935/))

      allocate(vertices(10659)%branchR2(0:0))
      call avR2(10659, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(2617)%branchR2(0:1))
      call avR2(2617, 0, 28, 1, 0, VFFa1, (/0, 3/), (/nGC_2476, nGC_2477/))

      call avR2(2617, 1, 28, 1, 0, VFFa1, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(5749)%branchR2(0:0))
      call avR2(5749, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(4629)%branchR2(0:0))
      call avR2(4629, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2553/))

      allocate(vertices(5522)%branchR2(0:0))
      call avR2(5522, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(10660)%branchR2(0:5))
      call avR2(10660, 0, 158, 1, 0, VVVV0, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10660, 1, 155, 1, 0, VVVV0, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      call avR2(10660, 2, 154, 1, 0, VVVV0, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      call avR2(10660, 3, 157, 1, 0, VVVV0, (/3, 1/), (/nGC_2866, nGC_2866,    &
      nGC_2866/))

      call avR2(10660, 4, 156, 1, 0, VVVV0, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10660, 5, 153, 1, 0, VVVV0, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      allocate(vertices(4687)%branchR2(0:0))
      call avR2(4687, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2591/))

      allocate(vertices(6773)%branchR2(0:0))
      call avR2(6773, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(3203)%branchR2(0:0))
      call avR2(3203, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(10661)%branchR2(0:0))
      call avR2(10661, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2942/))

      allocate(vertices(4452)%branchR2(0:0))
      call avR2(4452, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(8503)%branchR2(0:0))
      call avR2(8503, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(10662)%branchR2(0:1))
      call avR2(10662, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2875/))

      call avR2(10662, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2876/))

      allocate(vertices(6387)%branchR2(0:0))
      call avR2(6387, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(5032)%branchR2(0:0))
      call avR2(5032, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(7830)%branchR2(0:0))
      call avR2(7830, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10021)%branchR2(0:0))
      call avR2(10021, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(1063)%branchR2(0:0))
      call avR2(1063, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(679)%branchR2(0:0))
      call avR2(679, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(769)%branchR2(0:1))
      call avR2(769, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2695, nGC_2693/))

      call avR2(769, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2696, nGC_2694/))

      allocate(vertices(752)%branchR2(0:0))
      call avR2(752, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2587/))

      allocate(vertices(8123)%branchR2(0:0))
      call avR2(8123, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(1187)%branchR2(0:0))
      call avR2(1187, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2763/))

      allocate(vertices(9872)%branchR2(0:0))
      call avR2(9872, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(8086)%branchR2(0:0))
      call avR2(8086, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2589/))

      allocate(vertices(8673)%branchR2(0:0))
      call avR2(8673, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(675)%branchR2(0:0))
      call avR2(675, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(9524)%branchR2(0:0))
      call avR2(9524, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(7724)%branchR2(0:0))
      call avR2(7724, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(3881)%branchR2(0:0))
      call avR2(3881, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(1356)%branchR2(0:0))
      call avR2(1356, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2603, nGC_2602/))

      allocate(vertices(3639)%branchR2(0:1))
      call avR2(3639, 0, 30, 1, 0, FVFa0, (/0, 3/), (/nGC_2479, nGC_2480/))

      call avR2(3639, 1, 30, 1, 0, FVFa0, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(4168)%branchR2(0:1))
      call avR2(4168, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2732, nGC_2731/))

      call avR2(4168, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2730, nGC_2730/))

      allocate(vertices(10663)%branchR2(0:0))
      call avR2(10663, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2782, nGC_2782,      &
      nGC_2781/))

      allocate(vertices(2270)%branchR2(0:0))
      call avR2(2270, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(9176)%branchR2(0:0))
      call avR2(9176, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(5213)%branchR2(0:0))
      call avR2(5213, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2751/))

      allocate(vertices(8531)%branchR2(0:0))
      call avR2(8531, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(9181)%branchR2(0:0))
      call avR2(9181, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(10415)%branchR2(0:0))
      call avR2(10415, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(6582)%branchR2(0:0))
      call avR2(6582, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2593, nGC_2592/))

      allocate(vertices(4604)%branchR2(0:0))
      call avR2(4604, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(6808)%branchR2(0:0))
      call avR2(6808, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(6482)%branchR2(0:0))
      call avR2(6482, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(2614)%branchR2(0:0))
      call avR2(2614, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(2754)%branchR2(0:0))
      call avR2(2754, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2590/))

      allocate(vertices(9158)%branchR2(0:0))
      call avR2(9158, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(4857)%branchR2(0:0))
      call avR2(4857, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(755)%branchR2(0:0))
      call avR2(755, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(1875)%branchR2(0:0))
      call avR2(1875, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2933/))

      allocate(vertices(8091)%branchR2(0:1))
      call avR2(8091, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2645, nGC_2647/))

      call avR2(8091, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2646, nGC_2648/))

      allocate(vertices(10311)%branchR2(0:0))
      call avR2(10311, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(2432)%branchR2(0:1))
      call avR2(2432, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2711, nGC_2709/))

      call avR2(2432, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2712, nGC_2710/))

      allocate(vertices(1527)%branchR2(0:0))
      call avR2(1527, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(6892)%branchR2(0:1))
      call avR2(6892, 0, 30, 1, 0, FVFa0, (/0, 3/), (/nGC_2522, nGC_2523/))

      call avR2(6892, 1, 30, 1, 0, FVFa0, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(8639)%branchR2(0:0))
      call avR2(8639, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2922/))

      allocate(vertices(2230)%branchR2(0:0))
      call avR2(2230, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(3250)%branchR2(0:1))
      call avR2(3250, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_2522, nGC_2523/))

      call avR2(3250, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(1178)%branchR2(0:0))
      call avR2(1178, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(7044)%branchR2(0:0))
      call avR2(7044, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(7389)%branchR2(0:0))
      call avR2(7389, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(1273)%branchR2(0:0))
      call avR2(1273, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2589/))

      allocate(vertices(9870)%branchR2(0:0))
      call avR2(9870, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(3115)%branchR2(0:0))
      call avR2(3115, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2588/))

      allocate(vertices(1376)%branchR2(0:3))
      call avR2(1376, 0, 19, 1, 0, FaFV0, (/1, 2/), (/nGC_2570, nGC_2571/))

      call avR2(1376, 1, 19, 1, 0, FaFV0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(1376, 2, 20, 1, 0, FaFV0, (/1, 2/), (/nGC_2568, nGC_2569/))

      call avR2(1376, 3, 20, 1, 0, FaFV0, (/3, 0/), (/nGC_2558, nGC_2558/))

      allocate(vertices(2130)%branchR2(0:0))
      call avR2(2130, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(10272)%branchR2(0:0))
      call avR2(10272, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(3696)%branchR2(0:0))
      call avR2(3696, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2545/))

      allocate(vertices(8409)%branchR2(0:0))
      call avR2(8409, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(9332)%branchR2(0:0))
      call avR2(9332, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(356)%branchR2(0:0))
      call avR2(356, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(8349)%branchR2(0:1))
      call avR2(8349, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2641, nGC_2643/))

      call avR2(8349, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2642, nGC_2644/))

      allocate(vertices(5364)%branchR2(0:0))
      call avR2(5364, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(8867)%branchR2(0:0))
      call avR2(8867, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4036/))

      allocate(vertices(9031)%branchR2(0:0))
      call avR2(9031, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10664)%branchR2(0:0))
      call avR2(10664, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(5261)%branchR2(0:0))
      call avR2(5261, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(7410)%branchR2(0:0))
      call avR2(7410, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(230)%branchR2(0:0))
      call avR2(230, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2767/))

      allocate(vertices(7046)%branchR2(0:0))
      call avR2(7046, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(10665)%branchR2(0:1))
      call avR2(10665, 0, 136, 1, 0, VVVV0, (/2, 2/), (/nGC_2795, nGC_2795,    &
      nGC_2795/))

      call avR2(10665, 1, 135, 1, 0, VVVV0, (/2, 2/), (/nGC_2794, nGC_2794,    &
      nGC_2794/))

      allocate(vertices(3759)%branchR2(0:1))
      call avR2(3759, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2691, nGC_2689/))

      call avR2(3759, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2692, nGC_2690/))

      allocate(vertices(794)%branchR2(0:0))
      call avR2(794, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(5238)%branchR2(0:0))
      call avR2(5238, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2928/))

      allocate(vertices(4314)%branchR2(0:0))
      call avR2(4314, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2766/))

      allocate(vertices(8988)%branchR2(0:0))
      call avR2(8988, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(6763)%branchR2(0:0))
      call avR2(6763, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4054/))

      allocate(vertices(3501)%branchR2(0:0))
      call avR2(3501, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(3461)%branchR2(0:0))
      call avR2(3461, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(5398)%branchR2(0:1))
      call avR2(5398, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(5398, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2485, nGC_2485/))

      allocate(vertices(10666)%branchR2(0:1))
      call avR2(10666, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2868/))

      call avR2(10666, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2867/))

      allocate(vertices(7234)%branchR2(0:1))
      call avR2(7234, 0, 30, 1, 0, FVFa0, (/0, 3/), (/nGC_2510, nGC_2512/))

      call avR2(7234, 1, 30, 1, 0, FVFa0, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(10210)%branchR2(0:0))
      call avR2(10210, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(4443)%branchR2(0:0))
      call avR2(4443, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2762/))

      allocate(vertices(10226)%branchR2(0:0))
      call avR2(10226, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2805/))

      allocate(vertices(6859)%branchR2(0:1))
      call avR2(6859, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2669, nGC_2667/))

      call avR2(6859, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2670, nGC_2668/))

      allocate(vertices(11)%branchR2(0:0))
      call avR2(11, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(2761)%branchR2(0:0))
      call avR2(2761, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(3125)%branchR2(0:0))
      call avR2(3125, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10153)%branchR2(0:0))
      call avR2(10153, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(10667)%branchR2(0:0))
      call avR2(10667, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(94)%branchR2(0:1))
      call avR2(94, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2746, nGC_2745/))

      call avR2(94, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2744, nGC_2744/))

      allocate(vertices(7804)%branchR2(0:0))
      call avR2(7804, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(10668)%branchR2(0:1))
      call avR2(10668, 0, 137, 1, 0, VVVV0, (/2, 2/), (/nGC_2842, nGC_2842,    &
      nGC_2842/))

      call avR2(10668, 1, 138, 1, 0, VVVV0, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      allocate(vertices(10453)%branchR2(0:0))
      call avR2(10453, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(6052)%branchR2(0:0))
      call avR2(6052, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(984)%branchR2(0:0))
      call avR2(984, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2588/))

      allocate(vertices(9042)%branchR2(0:0))
      call avR2(9042, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(1591)%branchR2(0:0))
      call avR2(1591, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(6438)%branchR2(0:0))
      call avR2(6438, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2784, nGC_2786,       &
      nGC_2785/))

      allocate(vertices(10669)%branchR2(0:0))
      call avR2(10669, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(7030)%branchR2(0:0))
      call avR2(7030, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(6037)%branchR2(0:0))
      call avR2(6037, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2940/))

      allocate(vertices(355)%branchR2(0:0))
      call avR2(355, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(7177)%branchR2(0:1))
      call avR2(7177, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2699, nGC_2697/))

      call avR2(7177, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2700, nGC_2698/))

      allocate(vertices(7661)%branchR2(0:0))
      call avR2(7661, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(7346)%branchR2(0:0))
      call avR2(7346, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10406)%branchR2(0:0))
      call avR2(10406, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(10473)%branchR2(0:0))
      call avR2(10473, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(8512)%branchR2(0:1))
      call avR2(8512, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2655, nGC_2654/))

      call avR2(8512, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2653, nGC_2653/))

      allocate(vertices(233)%branchR2(0:1))
      call avR2(233, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_2481, nGC_2482/))

      call avR2(233, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(5293)%branchR2(0:0))
      call avR2(5293, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(9083)%branchR2(0:0))
      call avR2(9083, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(5743)%branchR2(0:0))
      call avR2(5743, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(10670)%branchR2(0:0))
      call avR2(10670, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(5038)%branchR2(0:1))
      call avR2(5038, 0, 29, 1, 0, VFaF1, (/0, 3/), (/nGC_2640/))

      call avR2(5038, 1, 29, 1, 0, VFaF1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(916)%branchR2(0:0))
      call avR2(916, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(3990)%branchR2(0:0))
      call avR2(3990, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(10671)%branchR2(0:1))
      call avR2(10671, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2872/))

      call avR2(10671, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2871/))

      allocate(vertices(7215)%branchR2(0:1))
      call avR2(7215, 0, 30, 1, 0, FVFa1, (/0, 3/), (/nGC_2640/))

      call avR2(7215, 1, 30, 1, 0, FVFa1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(4645)%branchR2(0:0))
      call avR2(4645, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(10481)%branchR2(0:0))
      call avR2(10481, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(1850)%branchR2(0:0))
      call avR2(1850, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10672)%branchR2(0:1))
      call avR2(10672, 0, 128, 1, 0, SVV0, (/2, 1/), (/nGC_2555/))

      call avR2(10672, 1, 127, 1, 0, SVV0, (/2, 1/), (/nGC_2554/))

      allocate(vertices(6937)%branchR2(0:0))
      call avR2(6937, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(2928)%branchR2(0:0))
      call avR2(2928, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(10673)%branchR2(0:1))
      call avR2(10673, 0, 137, 1, 0, VVVV0, (/2, 2/), (/nGC_2795, nGC_2795,    &
      nGC_2795/))

      call avR2(10673, 1, 138, 1, 0, VVVV0, (/2, 2/), (/nGC_2794, nGC_2794,    &
      nGC_2794/))

      allocate(vertices(7299)%branchR2(0:0))
      call avR2(7299, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(7610)%branchR2(0:0))
      call avR2(7610, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(3705)%branchR2(0:1))
      call avR2(3705, 0, 29, 1, 0, VFaF0, (/0, 3/), (/nGC_2524, nGC_2525/))

      call avR2(3705, 1, 29, 1, 0, VFaF0, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(1208)%branchR2(0:0))
      call avR2(1208, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(4921)%branchR2(0:1))
      call avR2(4921, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2749, nGC_2747/))

      call avR2(4921, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2750, nGC_2748/))

      allocate(vertices(10674)%branchR2(0:0))
      call avR2(10674, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(338)%branchR2(0:0))
      call avR2(338, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2930/))

      allocate(vertices(10276)%branchR2(0:0))
      call avR2(10276, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(4335)%branchR2(0:0))
      call avR2(4335, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2474, nGC_2475/))

      allocate(vertices(3294)%branchR2(0:1))
      call avR2(3294, 0, 29, 1, 0, VFaF0, (/0, 3/), (/nGC_2518, nGC_2520/))

      call avR2(3294, 1, 29, 1, 0, VFaF0, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(3113)%branchR2(0:0))
      call avR2(3113, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2822, nGC_2823,       &
      nGC_2821/))

      allocate(vertices(10675)%branchR2(0:0))
      call avR2(10675, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(6811)%branchR2(0:1))
      call avR2(6811, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2732, nGC_2731/))

      call avR2(6811, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2730, nGC_2730/))

      allocate(vertices(1459)%branchR2(0:1))
      call avR2(1459, 0, 30, 1, 0, FVFa1, (/0, 3/), (/nGC_2630/))

      call avR2(1459, 1, 30, 1, 0, FVFa1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(1564)%branchR2(0:0))
      call avR2(1564, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(3365)%branchR2(0:0))
      call avR2(3365, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(9456)%branchR2(0:0))
      call avR2(9456, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2492/))

      allocate(vertices(3550)%branchR2(0:0))
      call avR2(3550, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2599, nGC_2598/))

      allocate(vertices(5204)%branchR2(0:0))
      call avR2(5204, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(1506)%branchR2(0:3))
      call avR2(1506, 0, 19, 1, 0, FaFV0, (/1, 2/), (/nGC_2576, nGC_2577/))

      call avR2(1506, 1, 19, 1, 0, FaFV0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(1506, 2, 20, 1, 0, FaFV0, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(1506, 3, 20, 1, 0, FaFV0, (/1, 2/), (/nGC_2574, nGC_2575/))

      allocate(vertices(7544)%branchR2(0:0))
      call avR2(7544, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(7445)%branchR2(0:3))
      call avR2(7445, 0, 25, 1, 0, VFaF0, (/1, 2/), (/nGC_2584, nGC_2585/))

      call avR2(7445, 1, 25, 1, 0, VFaF0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(7445, 2, 26, 1, 0, VFaF0, (/1, 2/), (/nGC_2582, nGC_2583/))

      call avR2(7445, 3, 26, 1, 0, VFaF0, (/3, 0/), (/nGC_2558, nGC_2558/))

      allocate(vertices(7676)%branchR2(0:0))
      call avR2(7676, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(8059)%branchR2(0:0))
      call avR2(8059, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2548/))

      allocate(vertices(10091)%branchR2(0:0))
      call avR2(10091, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(10083)%branchR2(0:0))
      call avR2(10083, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(8546)%branchR2(0:1))
      call avR2(8546, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2651, nGC_2649/))

      call avR2(8546, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2652, nGC_2650/))

      allocate(vertices(9761)%branchR2(0:0))
      call avR2(9761, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(5267)%branchR2(0:0))
      call avR2(5267, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(2724)%branchR2(0:1))
      call avR2(2724, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2665, nGC_2663/))

      call avR2(2724, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2666, nGC_2664/))

      allocate(vertices(9612)%branchR2(0:0))
      call avR2(9612, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(4239)%branchR2(0:0))
      call avR2(4239, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(10676)%branchR2(0:1))
      call avR2(10676, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2888/))

      call avR2(10676, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2887/))

      allocate(vertices(4123)%branchR2(0:0))
      call avR2(4123, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(10677)%branchR2(0:1))
      call avR2(10677, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2874/))

      call avR2(10677, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2873/))

      allocate(vertices(3395)%branchR2(0:0))
      call avR2(3395, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(8930)%branchR2(0:0))
      call avR2(8930, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(9095)%branchR2(0:0))
      call avR2(9095, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(6557)%branchR2(0:0))
      call avR2(6557, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(5060)%branchR2(0:0))
      call avR2(5060, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(9999)%branchR2(0:0))
      call avR2(9999, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2469/))

      allocate(vertices(2568)%branchR2(0:0))
      call avR2(2568, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(581)%branchR2(0:0))
      call avR2(581, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2767/))

      allocate(vertices(6843)%branchR2(0:3))
      call avR2(6843, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2566, nGC_2567/))

      call avR2(6843, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(6843, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(6843, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2564, nGC_2565/))

      allocate(vertices(1922)%branchR2(0:0))
      call avR2(1922, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(804)%branchR2(0:0))
      call avR2(804, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2461/))

      allocate(vertices(10201)%branchR2(0:0))
      call avR2(10201, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(10678)%branchR2(0:0))
      call avR2(10678, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(8057)%branchR2(0:0))
      call avR2(8057, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(7584)%branchR2(0:0))
      call avR2(7584, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(1142)%branchR2(0:0))
      call avR2(1142, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(9695)%branchR2(0:0))
      call avR2(9695, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(5237)%branchR2(0:1))
      call avR2(5237, 0, 29, 1, 0, VFaF0, (/0, 3/), (/nGC_2522, nGC_2523/))

      call avR2(5237, 1, 29, 1, 0, VFaF0, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(9234)%branchR2(0:0))
      call avR2(9234, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10679)%branchR2(0:0))
      call avR2(10679, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(6084)%branchR2(0:0))
      call avR2(6084, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(6670)%branchR2(0:0))
      call avR2(6670, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(3310)%branchR2(0:0))
      call avR2(3310, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(9275)%branchR2(0:0))
      call avR2(9275, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(2879)%branchR2(0:0))
      call avR2(2879, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(8380)%branchR2(0:0))
      call avR2(8380, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(2501)%branchR2(0:0))
      call avR2(2501, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2538/))

      allocate(vertices(10680)%branchR2(0:1))
      call avR2(10680, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2887/))

      call avR2(10680, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2888/))

      allocate(vertices(2749)%branchR2(0:1))
      call avR2(2749, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2705, nGC_2707/))

      call avR2(2749, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2706, nGC_2708/))

      allocate(vertices(4772)%branchR2(0:0))
      call avR2(4772, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(5390)%branchR2(0:0))
      call avR2(5390, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(8429)%branchR2(0:0))
      call avR2(8429, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(3257)%branchR2(0:1))
      call avR2(3257, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_2516, nGC_2517/))

      call avR2(3257, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(471)%branchR2(0:1))
      call avR2(471, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2732, nGC_2731/))

      call avR2(471, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2730, nGC_2730/))

      allocate(vertices(6875)%branchR2(0:0))
      call avR2(6875, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(468)%branchR2(0:3))
      call avR2(468, 0, 19, 1, 0, FaFV0, (/1, 2/), (/nGC_2584, nGC_2585/))

      call avR2(468, 1, 19, 1, 0, FaFV0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(468, 2, 20, 1, 0, FaFV0, (/1, 2/), (/nGC_2582, nGC_2583/))

      call avR2(468, 3, 20, 1, 0, FaFV0, (/3, 0/), (/nGC_2558, nGC_2558/))

      allocate(vertices(2302)%branchR2(0:0))
      call avR2(2302, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(10072)%branchR2(0:0))
      call avR2(10072, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(6049)%branchR2(0:0))
      call avR2(6049, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2933/))

      allocate(vertices(1851)%branchR2(0:0))
      call avR2(1851, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2757/))

      allocate(vertices(10681)%branchR2(0:5))
      call avR2(10681, 0, 149, 1, 0, VVVV0, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      call avR2(10681, 1, 148, 1, 0, VVVV0, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      call avR2(10681, 2, 151, 1, 0, VVVV0, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      call avR2(10681, 3, 152, 1, 0, VVVV0, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10681, 4, 150, 1, 0, VVVV0, (/3, 1/), (/nGC_2866, nGC_2866,    &
      nGC_2866/))

      call avR2(10681, 5, 147, 1, 0, VVVV0, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      allocate(vertices(10682)%branchR2(0:1))
      call avR2(10682, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2876/))

      call avR2(10682, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2875/))

      allocate(vertices(997)%branchR2(0:0))
      call avR2(997, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(2637)%branchR2(0:0))
      call avR2(2637, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(6566)%branchR2(0:0))
      call avR2(6566, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(6523)%branchR2(0:0))
      call avR2(6523, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2536/))

      allocate(vertices(9048)%branchR2(0:0))
      call avR2(9048, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(116)%branchR2(0:0))
      call avR2(116, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2755/))

      allocate(vertices(7992)%branchR2(0:0))
      call avR2(7992, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(9776)%branchR2(0:0))
      call avR2(9776, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2405, nGC_2403,        &
      nGC_2404/))

      allocate(vertices(6823)%branchR2(0:0))
      call avR2(6823, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2928/))

      allocate(vertices(5946)%branchR2(0:0))
      call avR2(5946, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2937/))

      allocate(vertices(2220)%branchR2(0:0))
      call avR2(2220, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(5230)%branchR2(0:1))
      call avR2(5230, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2725, nGC_2723/))

      call avR2(5230, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2726, nGC_2724/))

      allocate(vertices(1555)%branchR2(0:0))
      call avR2(1555, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2823, nGC_2821,       &
      nGC_2822/))

      allocate(vertices(3234)%branchR2(0:0))
      call avR2(3234, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(7124)%branchR2(0:0))
      call avR2(7124, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(1406)%branchR2(0:1))
      call avR2(1406, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_2518, nGC_2520/))

      call avR2(1406, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(9553)%branchR2(0:0))
      call avR2(9553, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(6370)%branchR2(0:0))
      call avR2(6370, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(7632)%branchR2(0:0))
      call avR2(7632, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(3943)%branchR2(0:0))
      call avR2(3943, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(3189)%branchR2(0:0))
      call avR2(3189, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(9996)%branchR2(0:0))
      call avR2(9996, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(3748)%branchR2(0:0))
      call avR2(3748, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(10291)%branchR2(0:0))
      call avR2(10291, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4053/))

      allocate(vertices(8352)%branchR2(0:0))
      call avR2(8352, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2761/))

      allocate(vertices(6316)%branchR2(0:0))
      call avR2(6316, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(5944)%branchR2(0:0))
      call avR2(5944, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(7297)%branchR2(0:0))
      call avR2(7297, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(3514)%branchR2(0:0))
      call avR2(3514, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2504, nGC_2505/))

      allocate(vertices(2767)%branchR2(0:0))
      call avR2(2767, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(827)%branchR2(0:0))
      call avR2(827, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2762/))

      allocate(vertices(9361)%branchR2(0:0))
      call avR2(9361, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(10683)%branchR2(0:1))
      call avR2(10683, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2872/))

      call avR2(10683, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2871/))

      allocate(vertices(3541)%branchR2(0:0))
      call avR2(3541, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2458/))

      allocate(vertices(4989)%branchR2(0:1))
      call avR2(4989, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2628, nGC_2626/))

      call avR2(4989, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2629, nGC_2627/))

      allocate(vertices(7746)%branchR2(0:0))
      call avR2(7746, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(8463)%branchR2(0:1))
      call avR2(8463, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2671, nGC_2673/))

      call avR2(8463, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2672, nGC_2674/))

      allocate(vertices(8033)%branchR2(0:0))
      call avR2(8033, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2940/))

      allocate(vertices(10684)%branchR2(0:1))
      call avR2(10684, 0, 136, 1, 0, VVVV0, (/2, 2/), (/nGC_2818, nGC_2818,    &
      nGC_2818/))

      call avR2(10684, 1, 135, 1, 0, VVVV0, (/2, 2/), (/nGC_2817, nGC_2817,    &
      nGC_2817/))

      allocate(vertices(2145)%branchR2(0:0))
      call avR2(2145, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4057/))

      allocate(vertices(8058)%branchR2(0:0))
      call avR2(8058, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(10376)%branchR2(0:0))
      call avR2(10376, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(10685)%branchR2(0:0))
      call avR2(10685, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(685)%branchR2(0:0))
      call avR2(685, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2786, nGC_2785,        &
      nGC_2784/))

      allocate(vertices(9038)%branchR2(0:0))
      call avR2(9038, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(8047)%branchR2(0:0))
      call avR2(8047, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(6833)%branchR2(0:1))
      call avR2(6833, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2645, nGC_2647/))

      call avR2(6833, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2646, nGC_2648/))

      allocate(vertices(2741)%branchR2(0:0))
      call avR2(2741, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(4565)%branchR2(0:0))
      call avR2(4565, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(5010)%branchR2(0:0))
      call avR2(5010, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2595, nGC_2594/))

      allocate(vertices(4884)%branchR2(0:0))
      call avR2(4884, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2756/))

      allocate(vertices(5319)%branchR2(0:0))
      call avR2(5319, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(7757)%branchR2(0:0))
      call avR2(7757, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(3518)%branchR2(0:0))
      call avR2(3518, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(9325)%branchR2(0:1))
      call avR2(9325, 0, 16, 1, 0, VV0, (/2, 0/), (/nGC_2411, nGC_2409,        &
      nGC_2410/))

      call avR2(9325, 1, 15, 1, 0, VV0, (/2, 0/), (/nGC_2408, nGC_2406,        &
      nGC_2407/))

      allocate(vertices(362)%branchR2(0:0))
      call avR2(362, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2472, nGC_2473/))

      allocate(vertices(2226)%branchR2(0:0))
      call avR2(2226, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(732)%branchR2(0:0))
      call avR2(732, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(7271)%branchR2(0:0))
      call avR2(7271, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2615, nGC_2614/))

      allocate(vertices(4458)%branchR2(0:0))
      call avR2(4458, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2496/))

      allocate(vertices(10686)%branchR2(0:5))
      call avR2(10686, 0, 149, 1, 0, VVVV0, (/3, 1/), (/nGC_2904, nGC_2904,    &
      nGC_2904/))

      call avR2(10686, 1, 148, 1, 0, VVVV0, (/3, 1/), (/nGC_2904, nGC_2904,    &
      nGC_2904/))

      call avR2(10686, 2, 151, 1, 0, VVVV0, (/3, 1/), (/nGC_2904, nGC_2904,    &
      nGC_2904/))

      call avR2(10686, 3, 152, 1, 0, VVVV0, (/3, 1/), (/nGC_2903, nGC_2903,    &
      nGC_2903/))

      call avR2(10686, 4, 150, 1, 0, VVVV0, (/3, 1/), (/nGC_2905, nGC_2905,    &
      nGC_2905/))

      call avR2(10686, 5, 147, 1, 0, VVVV0, (/3, 1/), (/nGC_2903, nGC_2903,    &
      nGC_2903/))

      allocate(vertices(8792)%branchR2(0:0))
      call avR2(8792, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(2844)%branchR2(0:0))
      call avR2(2844, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2591/))

      allocate(vertices(304)%branchR2(0:0))
      call avR2(304, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2601, nGC_2600/))

      allocate(vertices(689)%branchR2(0:0))
      call avR2(689, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(5379)%branchR2(0:0))
      call avR2(5379, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2535/))

      allocate(vertices(8069)%branchR2(0:0))
      call avR2(8069, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(8027)%branchR2(0:0))
      call avR2(8027, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(10)%branchR2(0:0))
      call avR2(10, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(10687)%branchR2(0:1))
      call avR2(10687, 0, 139, 1, 0, VVVV0, (/2, 2/), (/nGC_2795, nGC_2795,    &
      nGC_2795/))

      call avR2(10687, 1, 140, 1, 0, VVVV0, (/2, 2/), (/nGC_2794, nGC_2794,    &
      nGC_2794/))

      allocate(vertices(4051)%branchR2(0:0))
      call avR2(4051, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(868)%branchR2(0:0))
      call avR2(868, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(713)%branchR2(0:1))
      call avR2(713, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2628, nGC_2626/))

      call avR2(713, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2629, nGC_2627/))

      allocate(vertices(9133)%branchR2(0:0))
      call avR2(9133, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(1634)%branchR2(0:0))
      call avR2(1634, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(1159)%branchR2(0:0))
      call avR2(1159, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(4150)%branchR2(0:0))
      call avR2(4150, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(7696)%branchR2(0:0))
      call avR2(7696, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2615, nGC_2614/))

      allocate(vertices(3389)%branchR2(0:0))
      call avR2(3389, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(8354)%branchR2(0:0))
      call avR2(8354, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2774, nGC_2773,       &
      nGC_2772/))

      allocate(vertices(1144)%branchR2(0:0))
      call avR2(1144, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(9105)%branchR2(0:0))
      call avR2(9105, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(3910)%branchR2(0:0))
      call avR2(3910, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(4234)%branchR2(0:0))
      call avR2(4234, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2754/))

      allocate(vertices(2374)%branchR2(0:0))
      call avR2(2374, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2754/))

      allocate(vertices(4167)%branchR2(0:0))
      call avR2(4167, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(9527)%branchR2(0:0))
      call avR2(9527, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(2298)%branchR2(0:1))
      call avR2(2298, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2711, nGC_2709/))

      call avR2(2298, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2712, nGC_2710/))

      allocate(vertices(4206)%branchR2(0:1))
      call avR2(4206, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2739, nGC_2737/))

      call avR2(4206, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2740, nGC_2738/))

      allocate(vertices(2267)%branchR2(0:0))
      call avR2(2267, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(1210)%branchR2(0:0))
      call avR2(1210, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2459/))

      allocate(vertices(4104)%branchR2(0:1))
      call avR2(4104, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2645, nGC_2647/))

      call avR2(4104, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2646, nGC_2648/))

      allocate(vertices(2215)%branchR2(0:0))
      call avR2(2215, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(5544)%branchR2(0:0))
      call avR2(5544, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2536/))

      allocate(vertices(6484)%branchR2(0:0))
      call avR2(6484, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2502/))

      allocate(vertices(10688)%branchR2(0:0))
      call avR2(10688, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(8219)%branchR2(0:1))
      call avR2(8219, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2705, nGC_2707/))

      call avR2(8219, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2706, nGC_2708/))

      allocate(vertices(10305)%branchR2(0:0))
      call avR2(10305, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(6251)%branchR2(0:0))
      call avR2(6251, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2501/))

      allocate(vertices(10065)%branchR2(0:0))
      call avR2(10065, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(331)%branchR2(0:1))
      call avR2(331, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2691, nGC_2689/))

      call avR2(331, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2692, nGC_2690/))

      allocate(vertices(10689)%branchR2(0:0))
      call avR2(10689, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2936/))

      allocate(vertices(3575)%branchR2(0:0))
      call avR2(3575, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(8808)%branchR2(0:0))
      call avR2(8808, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(2382)%branchR2(0:0))
      call avR2(2382, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2470, nGC_2471/))

      allocate(vertices(4752)%branchR2(0:0))
      call avR2(4752, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(8884)%branchR2(0:0))
      call avR2(8884, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(2465)%branchR2(0:0))
      call avR2(2465, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(9963)%branchR2(0:0))
      call avR2(9963, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(1795)%branchR2(0:1))
      call avR2(1795, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2651, nGC_2649/))

      call avR2(1795, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2652, nGC_2650/))

      allocate(vertices(9777)%branchR2(0:0))
      call avR2(9777, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(4676)%branchR2(0:0))
      call avR2(4676, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2753/))

      allocate(vertices(110)%branchR2(0:0))
      call avR2(110, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2504, nGC_2505/))

      allocate(vertices(10690)%branchR2(0:1))
      call avR2(10690, 0, 144, 1, 0, VVVV0, (/2, 2/), (/nGC_2853, nGC_2853,    &
      nGC_2853/))

      call avR2(10690, 1, 143, 1, 0, VVVV0, (/2, 2/), (/nGC_2854, nGC_2854,    &
      nGC_2854/))

      allocate(vertices(10125)%branchR2(0:0))
      call avR2(10125, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_2399/))

      allocate(vertices(2062)%branchR2(0:0))
      call avR2(2062, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(1350)%branchR2(0:0))
      call avR2(1350, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2498/))

      allocate(vertices(10303)%branchR2(0:0))
      call avR2(10303, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(7175)%branchR2(0:0))
      call avR2(7175, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(5691)%branchR2(0:0))
      call avR2(5691, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(5467)%branchR2(0:0))
      call avR2(5467, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(5911)%branchR2(0:0))
      call avR2(5911, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(55)%branchR2(0:1))
      call avR2(55, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2638, nGC_2636/))

      call avR2(55, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2639, nGC_2637/))

      allocate(vertices(3557)%branchR2(0:0))
      call avR2(3557, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2458/))

      allocate(vertices(10691)%branchR2(0:0))
      call avR2(10691, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(7964)%branchR2(0:0))
      call avR2(7964, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(10441)%branchR2(0:0))
      call avR2(10441, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4061/))

      allocate(vertices(2254)%branchR2(0:0))
      call avR2(2254, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(8327)%branchR2(0:0))
      call avR2(8327, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2607, nGC_2606/))

      allocate(vertices(6491)%branchR2(0:0))
      call avR2(6491, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(228)%branchR2(0:0))
      call avR2(228, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(6771)%branchR2(0:0))
      call avR2(6771, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(7713)%branchR2(0:0))
      call avR2(7713, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(3857)%branchR2(0:0))
      call avR2(3857, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(10692)%branchR2(0:1))
      call avR2(10692, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2872/))

      call avR2(10692, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2871/))

      allocate(vertices(8112)%branchR2(0:0))
      call avR2(8112, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(3030)%branchR2(0:0))
      call avR2(3030, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2762/))

      allocate(vertices(6212)%branchR2(0:0))
      call avR2(6212, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2535/))

      allocate(vertices(10693)%branchR2(0:0))
      call avR2(10693, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(3903)%branchR2(0:0))
      call avR2(3903, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(6905)%branchR2(0:0))
      call avR2(6905, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10694)%branchR2(0:1))
      call avR2(10694, 0, 145, 1, 0, VVVV0, (/2, 2/), (/nGC_2854, nGC_2854,    &
      nGC_2854/))

      call avR2(10694, 1, 146, 1, 0, VVVV0, (/2, 2/), (/nGC_2853, nGC_2853,    &
      nGC_2853/))

      allocate(vertices(2866)%branchR2(0:0))
      call avR2(2866, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4043/))

      allocate(vertices(5752)%branchR2(0:0))
      call avR2(5752, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(3013)%branchR2(0:0))
      call avR2(3013, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(1219)%branchR2(0:0))
      call avR2(1219, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(1558)%branchR2(0:0))
      call avR2(1558, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(2010)%branchR2(0:1))
      call avR2(2010, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2628, nGC_2626/))

      call avR2(2010, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2629, nGC_2627/))

      allocate(vertices(1363)%branchR2(0:0))
      call avR2(1363, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2772, nGC_2774,       &
      nGC_2773/))

      allocate(vertices(3915)%branchR2(0:0))
      call avR2(3915, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(10695)%branchR2(0:1))
      call avR2(10695, 0, 136, 1, 0, VVVV0, (/2, 2/), (/nGC_2854, nGC_2854,    &
      nGC_2854/))

      call avR2(10695, 1, 135, 1, 0, VVVV0, (/2, 2/), (/nGC_2853, nGC_2853,    &
      nGC_2853/))

      allocate(vertices(4181)%branchR2(0:0))
      call avR2(4181, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4055/))

      allocate(vertices(10696)%branchR2(0:5))
      call avR2(10696, 0, 158, 1, 0, VVVV0, (/3, 1/), (/nGC_2903, nGC_2903,    &
      nGC_2903/))

      call avR2(10696, 1, 155, 1, 0, VVVV0, (/3, 1/), (/nGC_2904, nGC_2904,    &
      nGC_2904/))

      call avR2(10696, 2, 154, 1, 0, VVVV0, (/3, 1/), (/nGC_2904, nGC_2904,    &
      nGC_2904/))

      call avR2(10696, 3, 157, 1, 0, VVVV0, (/3, 1/), (/nGC_2905, nGC_2905,    &
      nGC_2905/))

      call avR2(10696, 4, 156, 1, 0, VVVV0, (/3, 1/), (/nGC_2903, nGC_2903,    &
      nGC_2903/))

      call avR2(10696, 5, 153, 1, 0, VVVV0, (/3, 1/), (/nGC_2904, nGC_2904,    &
      nGC_2904/))

      allocate(vertices(10074)%branchR2(0:0))
      call avR2(10074, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2443, nGC_2442/))

      allocate(vertices(4139)%branchR2(0:0))
      call avR2(4139, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(10147)%branchR2(0:0))
      call avR2(10147, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(2090)%branchR2(0:1))
      call avR2(2090, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2681, nGC_2679/))

      call avR2(2090, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2682, nGC_2680/))

      allocate(vertices(3568)%branchR2(0:0))
      call avR2(3568, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(6729)%branchR2(0:0))
      call avR2(6729, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(10697)%branchR2(0:0))
      call avR2(10697, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(6092)%branchR2(0:0))
      call avR2(6092, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(3463)%branchR2(0:1))
      call avR2(3463, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_2510, nGC_2512/))

      call avR2(3463, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(1842)%branchR2(0:0))
      call avR2(1842, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(120)%branchR2(0:0))
      call avR2(120, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2756/))

      allocate(vertices(6889)%branchR2(0:0))
      call avR2(6889, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(1461)%branchR2(0:0))
      call avR2(1461, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(1790)%branchR2(0:1))
      call avR2(1790, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2729, nGC_2728/))

      call avR2(1790, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2727, nGC_2727/))

      allocate(vertices(7955)%branchR2(0:1))
      call avR2(7955, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2618, nGC_2616/))

      call avR2(7955, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2619, nGC_2617/))

      allocate(vertices(10014)%branchR2(0:0))
      call avR2(10014, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(5681)%branchR2(0:1))
      call avR2(5681, 0, 28, 1, 0, VFFa0, (/0, 3/), (/nGC_2640/))

      call avR2(5681, 1, 28, 1, 0, VFFa0, (/2, 1/), (/nGC_2631/))

      allocate(vertices(963)%branchR2(0:0))
      call avR2(963, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(5178)%branchR2(0:0))
      call avR2(5178, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(6266)%branchR2(0:1))
      call avR2(6266, 0, 30, 1, 0, FVFa0, (/0, 3/), (/nGC_2516, nGC_2517/))

      call avR2(6266, 1, 30, 1, 0, FVFa0, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(8180)%branchR2(0:0))
      call avR2(8180, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(7038)%branchR2(0:1))
      call avR2(7038, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2739, nGC_2737/))

      call avR2(7038, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2740, nGC_2738/))

      allocate(vertices(1027)%branchR2(0:1))
      call avR2(1027, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(1027, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_2485, nGC_2485/))

      allocate(vertices(4013)%branchR2(0:0))
      call avR2(4013, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(7047)%branchR2(0:0))
      call avR2(7047, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(6983)%branchR2(0:0))
      call avR2(6983, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2923/))

      allocate(vertices(7605)%branchR2(0:0))
      call avR2(7605, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2754/))

      allocate(vertices(1619)%branchR2(0:0))
      call avR2(1619, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(8281)%branchR2(0:0))
      call avR2(8281, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2821, nGC_2822,       &
      nGC_2823/))

      allocate(vertices(2511)%branchR2(0:0))
      call avR2(2511, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(7057)%branchR2(0:0))
      call avR2(7057, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2589/))

      allocate(vertices(10698)%branchR2(0:0))
      call avR2(10698, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(2909)%branchR2(0:0))
      call avR2(2909, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(3145)%branchR2(0:0))
      call avR2(3145, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2533/))

      allocate(vertices(10699)%branchR2(0:0))
      call avR2(10699, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(584)%branchR2(0:0))
      call avR2(584, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4056/))

      allocate(vertices(9132)%branchR2(0:0))
      call avR2(9132, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(8432)%branchR2(0:0))
      call avR2(8432, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(9106)%branchR2(0:0))
      call avR2(9106, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2468/))

      allocate(vertices(10102)%branchR2(0:0))
      call avR2(10102, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(2191)%branchR2(0:1))
      call avR2(2191, 0, 28, 1, 0, VFFa0, (/0, 3/), (/nGC_2630/))

      call avR2(2191, 1, 28, 1, 0, VFFa0, (/2, 1/), (/nGC_2631/))

      allocate(vertices(9414)%branchR2(0:0))
      call avR2(9414, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2399/))

      allocate(vertices(6258)%branchR2(0:0))
      call avR2(6258, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(5121)%branchR2(0:0))
      call avR2(5121, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2930/))

      allocate(vertices(6827)%branchR2(0:0))
      call avR2(6827, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(3959)%branchR2(0:0))
      call avR2(3959, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2458/))

      allocate(vertices(10700)%branchR2(0:0))
      call avR2(10700, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(7172)%branchR2(0:0))
      call avR2(7172, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(3710)%branchR2(0:1))
      call avR2(3710, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2749, nGC_2747/))

      call avR2(3710, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2750, nGC_2748/))

      allocate(vertices(9373)%branchR2(0:0))
      call avR2(9373, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(4773)%branchR2(0:0))
      call avR2(4773, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2474, nGC_2475/))

      allocate(vertices(10701)%branchR2(0:1))
      call avR2(10701, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2876/))

      call avR2(10701, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2875/))

      allocate(vertices(7095)%branchR2(0:0))
      call avR2(7095, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2531/))

      allocate(vertices(10702)%branchR2(0:1))
      call avR2(10702, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2885/))

      call avR2(10702, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2886/))

      allocate(vertices(6183)%branchR2(0:0))
      call avR2(6183, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(9227)%branchR2(0:0))
      call avR2(9227, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4058/))

      allocate(vertices(3472)%branchR2(0:0))
      call avR2(3472, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(1576)%branchR2(0:0))
      call avR2(1576, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(9347)%branchR2(0:0))
      call avR2(9347, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(9182)%branchR2(0:0))
      call avR2(9182, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2469/))

      allocate(vertices(8556)%branchR2(0:0))
      call avR2(8556, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(6307)%branchR2(0:1))
      call avR2(6307, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2675, nGC_2677/))

      call avR2(6307, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2676, nGC_2678/))

      allocate(vertices(962)%branchR2(0:0))
      call avR2(962, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(4974)%branchR2(0:0))
      call avR2(4974, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(9104)%branchR2(0:0))
      call avR2(9104, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(5611)%branchR2(0:0))
      call avR2(5611, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2773, nGC_2772,       &
      nGC_2774/))

      allocate(vertices(733)%branchR2(0:0))
      call avR2(733, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2458/))

      allocate(vertices(170)%branchR2(0:0))
      call avR2(170, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(1956)%branchR2(0:0))
      call avR2(1956, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4044/))

      allocate(vertices(7352)%branchR2(0:0))
      call avR2(7352, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(7852)%branchR2(0:0))
      call avR2(7852, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2545/))

      allocate(vertices(9978)%branchR2(0:0))
      call avR2(9978, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(2419)%branchR2(0:0))
      call avR2(2419, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(6168)%branchR2(0:0))
      call avR2(6168, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(8425)%branchR2(0:0))
      call avR2(8425, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(5878)%branchR2(0:0))
      call avR2(5878, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(993)%branchR2(0:1))
      call avR2(993, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2675, nGC_2677/))

      call avR2(993, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2676, nGC_2678/))

      allocate(vertices(9668)%branchR2(0:0))
      call avR2(9668, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(10135)%branchR2(0:0))
      call avR2(10135, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(9422)%branchR2(0:0))
      call avR2(9422, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2467/))

      allocate(vertices(9895)%branchR2(0:0))
      call avR2(9895, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(2709)%branchR2(0:0))
      call avR2(2709, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(2282)%branchR2(0:0))
      call avR2(2282, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2508, nGC_2509/))

      allocate(vertices(9892)%branchR2(0:0))
      call avR2(9892, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(914)%branchR2(0:1))
      call avR2(914, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2618, nGC_2616/))

      call avR2(914, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2619, nGC_2617/))

      allocate(vertices(4779)%branchR2(0:0))
      call avR2(4779, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(10703)%branchR2(0:0))
      call avR2(10703, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(4128)%branchR2(0:0))
      call avR2(4128, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4035/))

      allocate(vertices(8962)%branchR2(0:0))
      call avR2(8962, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2417, nGC_2415,        &
      nGC_2416/))

      allocate(vertices(10468)%branchR2(0:0))
      call avR2(10468, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(10416)%branchR2(0:0))
      call avR2(10416, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(9164)%branchR2(0:0))
      call avR2(9164, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(10704)%branchR2(0:1))
      call avR2(10704, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2868/))

      call avR2(10704, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2867/))

      allocate(vertices(5347)%branchR2(0:3))
      call avR2(5347, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2570, nGC_2571/))

      call avR2(5347, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(5347, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2568, nGC_2569/))

      call avR2(5347, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2558, nGC_2558/))

      allocate(vertices(10705)%branchR2(0:0))
      call avR2(10705, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(2997)%branchR2(0:1))
      call avR2(2997, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2695, nGC_2693/))

      call avR2(2997, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2696, nGC_2694/))

      allocate(vertices(2619)%branchR2(0:0))
      call avR2(2619, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2855, nGC_2856,       &
      nGC_2856/))

      allocate(vertices(3247)%branchR2(0:1))
      call avR2(3247, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2641, nGC_2643/))

      call avR2(3247, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2642, nGC_2644/))

      allocate(vertices(4946)%branchR2(0:0))
      call avR2(4946, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(5142)%branchR2(0:0))
      call avR2(5142, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2506, nGC_2507/))

      allocate(vertices(2394)%branchR2(0:0))
      call avR2(2394, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(6743)%branchR2(0:0))
      call avR2(6743, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2591/))

      allocate(vertices(7528)%branchR2(0:0))
      call avR2(7528, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(2100)%branchR2(0:0))
      call avR2(2100, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4039/))

      allocate(vertices(7448)%branchR2(0:0))
      call avR2(7448, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(10706)%branchR2(0:0))
      call avR2(10706, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2924/))

      allocate(vertices(10360)%branchR2(0:0))
      call avR2(10360, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(4700)%branchR2(0:0))
      call avR2(4700, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(7237)%branchR2(0:0))
      call avR2(7237, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2588/))

      allocate(vertices(4993)%branchR2(0:0))
      call avR2(4993, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(1775)%branchR2(0:0))
      call avR2(1775, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5874)%branchR2(0:1))
      call avR2(5874, 0, 28, 1, 0, VFFa1, (/0, 3/), (/nGC_2510, nGC_2512/))

      call avR2(5874, 1, 28, 1, 0, VFFa1, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(5391)%branchR2(0:0))
      call avR2(5391, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(9514)%branchR2(0:0))
      call avR2(9514, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(6160)%branchR2(0:0))
      call avR2(6160, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(5550)%branchR2(0:1))
      call avR2(5550, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2685, nGC_2684/))

      call avR2(5550, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(453)%branchR2(0:0))
      call avR2(453, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2785, nGC_2786,        &
      nGC_2784/))

      allocate(vertices(542)%branchR2(0:0))
      call avR2(542, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2751/))

      allocate(vertices(7838)%branchR2(0:0))
      call avR2(7838, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(2026)%branchR2(0:0))
      call avR2(2026, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(10707)%branchR2(0:1))
      call avR2(10707, 0, 139, 1, 0, VVVV0, (/2, 2/), (/nGC_2818, nGC_2818,    &
      nGC_2818/))

      call avR2(10707, 1, 140, 1, 0, VVVV0, (/2, 2/), (/nGC_2817, nGC_2817,    &
      nGC_2817/))

      allocate(vertices(486)%branchR2(0:0))
      call avR2(486, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(4846)%branchR2(0:0))
      call avR2(4846, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(9685)%branchR2(0:0))
      call avR2(9685, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(3277)%branchR2(0:1))
      call avR2(3277, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_2479, nGC_2480/))

      call avR2(3277, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(216)%branchR2(0:0))
      call avR2(216, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2544/))

      allocate(vertices(6933)%branchR2(0:0))
      call avR2(6933, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(4551)%branchR2(0:0))
      call avR2(4551, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(10708)%branchR2(0:1))
      call avR2(10708, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2899/))

      call avR2(10708, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2898/))

      allocate(vertices(10044)%branchR2(0:0))
      call avR2(10044, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(2538)%branchR2(0:0))
      call avR2(2538, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(7951)%branchR2(0:1))
      call avR2(7951, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2725, nGC_2723/))

      call avR2(7951, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2726, nGC_2724/))

      allocate(vertices(10709)%branchR2(0:0))
      call avR2(10709, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2779, nGC_2779,      &
      nGC_2779/))

      allocate(vertices(9947)%branchR2(0:0))
      call avR2(9947, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2468/))

      allocate(vertices(8876)%branchR2(0:0))
      call avR2(8876, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(1339)%branchR2(0:0))
      call avR2(1339, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2590/))

      allocate(vertices(1601)%branchR2(0:0))
      call avR2(1601, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(4583)%branchR2(0:1))
      call avR2(4583, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2743, nGC_2742/))

      call avR2(4583, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2741, nGC_2741/))

      allocate(vertices(2308)%branchR2(0:1))
      call avR2(2308, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2651, nGC_2649/))

      call avR2(2308, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2652, nGC_2650/))

      allocate(vertices(10710)%branchR2(0:1))
      call avR2(10710, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2871/))

      call avR2(10710, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2872/))

      allocate(vertices(4820)%branchR2(0:1))
      call avR2(4820, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2749, nGC_2747/))

      call avR2(4820, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2750, nGC_2748/))

      allocate(vertices(9260)%branchR2(0:0))
      call avR2(9260, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2550/))

      allocate(vertices(2855)%branchR2(0:0))
      call avR2(2855, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(5035)%branchR2(0:0))
      call avR2(5035, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(1704)%branchR2(0:3))
      call avR2(1704, 0, 25, 1, 0, VFaF0, (/1, 2/), (/nGC_2566, nGC_2567/))

      call avR2(1704, 1, 25, 1, 0, VFaF0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(1704, 2, 26, 1, 0, VFaF0, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(1704, 3, 26, 1, 0, VFaF0, (/1, 2/), (/nGC_2564, nGC_2565/))

      allocate(vertices(9299)%branchR2(0:0))
      call avR2(9299, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(2158)%branchR2(0:1))
      call avR2(2158, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2658, nGC_2657/))

      call avR2(2158, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2656, nGC_2656/))

      allocate(vertices(3024)%branchR2(0:0))
      call avR2(3024, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2472, nGC_2473/))

      allocate(vertices(3908)%branchR2(0:1))
      call avR2(3908, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2705, nGC_2707/))

      call avR2(3908, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2706, nGC_2708/))

      allocate(vertices(8755)%branchR2(0:0))
      call avR2(8755, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(10186)%branchR2(0:0))
      call avR2(10186, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2550/))

      allocate(vertices(10711)%branchR2(0:0))
      call avR2(10711, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(6077)%branchR2(0:0))
      call avR2(6077, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2832/))

      allocate(vertices(9206)%branchR2(0:0))
      call avR2(9206, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10018)%branchR2(0:0))
      call avR2(10018, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2527/))

      allocate(vertices(10712)%branchR2(0:1))
      call avR2(10712, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2870/))

      call avR2(10712, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(5582)%branchR2(0:0))
      call avR2(5582, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4063/))

      allocate(vertices(2335)%branchR2(0:0))
      call avR2(2335, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(5324)%branchR2(0:0))
      call avR2(5324, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2932/))

      allocate(vertices(10337)%branchR2(0:0))
      call avR2(10337, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(7738)%branchR2(0:0))
      call avR2(7738, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(3739)%branchR2(0:0))
      call avR2(3739, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(3918)%branchR2(0:0))
      call avR2(3918, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(1446)%branchR2(0:0))
      call avR2(1446, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2769/))

      allocate(vertices(4718)%branchR2(0:0))
      call avR2(4718, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(1982)%branchR2(0:0))
      call avR2(1982, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2603, nGC_2602/))

      allocate(vertices(6277)%branchR2(0:0))
      call avR2(6277, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(3371)%branchR2(0:0))
      call avR2(3371, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(3351)%branchR2(0:0))
      call avR2(3351, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(287)%branchR2(0:0))
      call avR2(287, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(2245)%branchR2(0:1))
      call avR2(2245, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2661, nGC_2659/))

      call avR2(2245, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2662, nGC_2660/))

      allocate(vertices(624)%branchR2(0:0))
      call avR2(624, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2832/))

      allocate(vertices(1215)%branchR2(0:0))
      call avR2(1215, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(5350)%branchR2(0:0))
      call avR2(5350, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6806)%branchR2(0:0))
      call avR2(6806, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4062/))

      allocate(vertices(7298)%branchR2(0:0))
      call avR2(7298, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4052/))

      allocate(vertices(7051)%branchR2(0:0))
      call avR2(7051, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(10035)%branchR2(0:0))
      call avR2(10035, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2527/))

      allocate(vertices(4853)%branchR2(0:0))
      call avR2(4853, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(4415)%branchR2(0:0))
      call avR2(4415, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2822, nGC_2823,       &
      nGC_2821/))

      allocate(vertices(4750)%branchR2(0:0))
      call avR2(4750, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(5422)%branchR2(0:0))
      call avR2(5422, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(5714)%branchR2(0:0))
      call avR2(5714, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(7372)%branchR2(0:0))
      call avR2(7372, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(7633)%branchR2(0:0))
      call avR2(7633, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(1392)%branchR2(0:0))
      call avR2(1392, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(10484)%branchR2(0:0))
      call avR2(10484, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(9125)%branchR2(0:0))
      call avR2(9125, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(9595)%branchR2(0:0))
      call avR2(9595, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(2644)%branchR2(0:0))
      call avR2(2644, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(5707)%branchR2(0:0))
      call avR2(5707, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2501/))

      allocate(vertices(1799)%branchR2(0:0))
      call avR2(1799, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(6142)%branchR2(0:0))
      call avR2(6142, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(1892)%branchR2(0:0))
      call avR2(1892, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(7957)%branchR2(0:0))
      call avR2(7957, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(7686)%branchR2(0:1))
      call avR2(7686, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_2630/))

      call avR2(7686, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(7121)%branchR2(0:0))
      call avR2(7121, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(6909)%branchR2(0:0))
      call avR2(6909, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(5520)%branchR2(0:1))
      call avR2(5520, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2729, nGC_2728/))

      call avR2(5520, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2727, nGC_2727/))

      allocate(vertices(5729)%branchR2(0:0))
      call avR2(5729, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(4325)%branchR2(0:0))
      call avR2(4325, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4055/))

      allocate(vertices(6914)%branchR2(0:0))
      call avR2(6914, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(9508)%branchR2(0:0))
      call avR2(9508, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(19)%branchR2(0:0))
      call avR2(19, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2768/))

      allocate(vertices(2451)%branchR2(0:0))
      call avR2(2451, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2929/))

      allocate(vertices(10216)%branchR2(0:0))
      call avR2(10216, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4051/))

      allocate(vertices(1398)%branchR2(0:0))
      call avR2(1398, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(10203)%branchR2(0:0))
      call avR2(10203, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(8421)%branchR2(0:0))
      call avR2(8421, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(7998)%branchR2(0:1))
      call avR2(7998, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2721, nGC_2719/))

      call avR2(7998, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2722, nGC_2720/))

      allocate(vertices(1657)%branchR2(0:0))
      call avR2(1657, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(10076)%branchR2(0:0))
      call avR2(10076, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(8850)%branchR2(0:0))
      call avR2(8850, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4060/))

      allocate(vertices(4017)%branchR2(0:0))
      call avR2(4017, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(700)%branchR2(0:0))
      call avR2(700, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2588/))

      allocate(vertices(3845)%branchR2(0:0))
      call avR2(3845, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(5205)%branchR2(0:0))
      call avR2(5205, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4038/))

      allocate(vertices(9652)%branchR2(0:0))
      call avR2(9652, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(10713)%branchR2(0:0))
      call avR2(10713, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(63)%branchR2(0:0))
      call avR2(63, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(7332)%branchR2(0:0))
      call avR2(7332, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(8927)%branchR2(0:0))
      call avR2(8927, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(4913)%branchR2(0:0))
      call avR2(4913, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(9235)%branchR2(0:0))
      call avR2(9235, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(8026)%branchR2(0:0))
      call avR2(8026, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(7198)%branchR2(0:0))
      call avR2(7198, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(3034)%branchR2(0:0))
      call avR2(3034, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(3005)%branchR2(0:0))
      call avR2(3005, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(10714)%branchR2(0:0))
      call avR2(10714, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(6519)%branchR2(0:0))
      call avR2(6519, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(9582)%branchR2(0:0))
      call avR2(9582, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(2818)%branchR2(0:0))
      call avR2(2818, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2552/))

      allocate(vertices(9306)%branchR2(0:0))
      call avR2(9306, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(6722)%branchR2(0:0))
      call avR2(6722, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(3359)%branchR2(0:0))
      call avR2(3359, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2925/))

      allocate(vertices(9423)%branchR2(0:0))
      call avR2(9423, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(258)%branchR2(0:0))
      call avR2(258, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(5009)%branchR2(0:0))
      call avR2(5009, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(8506)%branchR2(0:0))
      call avR2(8506, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2607, nGC_2606/))

      allocate(vertices(2773)%branchR2(0:0))
      call avR2(2773, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(9601)%branchR2(0:0))
      call avR2(9601, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(8094)%branchR2(0:0))
      call avR2(8094, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(9880)%branchR2(0:0))
      call avR2(9880, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(10715)%branchR2(0:0))
      call avR2(10715, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(1551)%branchR2(0:1))
      call avR2(1551, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2675, nGC_2677/))

      call avR2(1551, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2676, nGC_2678/))

      allocate(vertices(7097)%branchR2(0:0))
      call avR2(7097, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2529/))

      allocate(vertices(7811)%branchR2(0:0))
      call avR2(7811, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(603)%branchR2(0:1))
      call avR2(603, 0, 30, 1, 0, FVFa1, (/0, 3/), (/nGC_2630/))

      call avR2(603, 1, 30, 1, 0, FVFa1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(5281)%branchR2(0:0))
      call avR2(5281, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(4305)%branchR2(0:0))
      call avR2(4305, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2933/))

      allocate(vertices(2629)%branchR2(0:0))
      call avR2(2629, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(3176)%branchR2(0:0))
      call avR2(3176, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(6373)%branchR2(0:0))
      call avR2(6373, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(6159)%branchR2(0:0))
      call avR2(6159, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(496)%branchR2(0:1))
      call avR2(496, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2685, nGC_2684/))

      call avR2(496, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(10716)%branchR2(0:1))
      call avR2(10716, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2876/))

      call avR2(10716, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2875/))

      allocate(vertices(1918)%branchR2(0:0))
      call avR2(1918, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(5711)%branchR2(0:0))
      call avR2(5711, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2925/))

      allocate(vertices(10309)%branchR2(0:0))
      call avR2(10309, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2449, nGC_2448/))

      allocate(vertices(8642)%branchR2(0:0))
      call avR2(8642, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(784)%branchR2(0:0))
      call avR2(784, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2938/))

      allocate(vertices(2)%branchR2(0:0))
      call avR2(2, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(6476)%branchR2(0:1))
      call avR2(6476, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2655, nGC_2654/))

      call avR2(6476, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2653, nGC_2653/))

      allocate(vertices(3313)%branchR2(0:0))
      call avR2(3313, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(8632)%branchR2(0:0))
      call avR2(8632, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(9470)%branchR2(0:0))
      call avR2(9470, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(10717)%branchR2(0:0))
      call avR2(10717, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2924/))

      allocate(vertices(10081)%branchR2(0:0))
      call avR2(10081, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4061/))

      allocate(vertices(4824)%branchR2(0:0))
      call avR2(4824, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(739)%branchR2(0:0))
      call avR2(739, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2587/))

      allocate(vertices(10718)%branchR2(0:0))
      call avR2(10718, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(8767)%branchR2(0:1))
      call avR2(8767, 0, 29, 1, 0, VFaF0, (/0, 3/), (/nGC_2476, nGC_2477/))

      call avR2(8767, 1, 29, 1, 0, VFaF0, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(8368)%branchR2(0:0))
      call avR2(8368, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(3648)%branchR2(0:0))
      call avR2(3648, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2611, nGC_2610/))

      allocate(vertices(6219)%branchR2(0:0))
      call avR2(6219, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(7147)%branchR2(0:0))
      call avR2(7147, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2756/))

      allocate(vertices(10241)%branchR2(0:0))
      call avR2(10241, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(7580)%branchR2(0:0))
      call avR2(7580, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(10071)%branchR2(0:0))
      call avR2(10071, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2447, nGC_2446/))

      allocate(vertices(6531)%branchR2(0:0))
      call avR2(6531, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(2793)%branchR2(0:0))
      call avR2(2793, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(10719)%branchR2(0:1))
      call avR2(10719, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2874/))

      call avR2(10719, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2873/))

      allocate(vertices(1131)%branchR2(0:0))
      call avR2(1131, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(4081)%branchR2(0:0))
      call avR2(4081, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(10296)%branchR2(0:0))
      call avR2(10296, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(5468)%branchR2(0:0))
      call avR2(5468, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(60)%branchR2(0:0))
      call avR2(60, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(8795)%branchR2(0:3))
      call avR2(8795, 0, 25, 1, 0, VFaF0, (/1, 2/), (/nGC_2576, nGC_2577/))

      call avR2(8795, 1, 25, 1, 0, VFaF0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(8795, 2, 26, 1, 0, VFaF0, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(8795, 3, 26, 1, 0, VFaF0, (/1, 2/), (/nGC_2574, nGC_2575/))

      allocate(vertices(10070)%branchR2(0:0))
      call avR2(10070, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(8812)%branchR2(0:0))
      call avR2(8812, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(5841)%branchR2(0:0))
      call avR2(5841, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(1194)%branchR2(0:0))
      call avR2(1194, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2786, nGC_2785,       &
      nGC_2784/))

      allocate(vertices(43)%branchR2(0:3))
      call avR2(43, 0, 21, 1, 0, FaVF0, (/1, 2/), (/nGC_2584, nGC_2585/))

      call avR2(43, 1, 21, 1, 0, FaVF0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(43, 2, 22, 1, 0, FaVF0, (/1, 2/), (/nGC_2582, nGC_2583/))

      call avR2(43, 3, 22, 1, 0, FaVF0, (/3, 0/), (/nGC_2558, nGC_2558/))

      allocate(vertices(9544)%branchR2(0:0))
      call avR2(9544, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(1454)%branchR2(0:1))
      call avR2(1454, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2675, nGC_2677/))

      call avR2(1454, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2676, nGC_2678/))

      allocate(vertices(9942)%branchR2(0:0))
      call avR2(9942, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(3546)%branchR2(0:1))
      call avR2(3546, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2701, nGC_2703/))

      call avR2(3546, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2702, nGC_2704/))

      allocate(vertices(10720)%branchR2(0:1))
      call avR2(10720, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2872/))

      call avR2(10720, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2871/))

      allocate(vertices(2030)%branchR2(0:0))
      call avR2(2030, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(6156)%branchR2(0:0))
      call avR2(6156, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(8694)%branchR2(0:0))
      call avR2(8694, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2856, nGC_2855,       &
      nGC_2856/))

      allocate(vertices(5888)%branchR2(0:0))
      call avR2(5888, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2922/))

      allocate(vertices(8578)%branchR2(0:1))
      call avR2(8578, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2743, nGC_2742/))

      call avR2(8578, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2741, nGC_2741/))

      allocate(vertices(8485)%branchR2(0:0))
      call avR2(8485, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2751/))

      allocate(vertices(716)%branchR2(0:0))
      call avR2(716, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(8868)%branchR2(0:0))
      call avR2(8868, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(5296)%branchR2(0:1))
      call avR2(5296, 0, 30, 1, 0, FVFa1, (/0, 3/), (/nGC_2640/))

      call avR2(5296, 1, 30, 1, 0, FVFa1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(3797)%branchR2(0:0))
      call avR2(3797, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(9577)%branchR2(0:0))
      call avR2(9577, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(1444)%branchR2(0:0))
      call avR2(1444, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2757/))

      allocate(vertices(1302)%branchR2(0:0))
      call avR2(1302, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2760/))

      allocate(vertices(7369)%branchR2(0:0))
      call avR2(7369, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2923/))

      allocate(vertices(5785)%branchR2(0:0))
      call avR2(5785, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2930/))

      allocate(vertices(6754)%branchR2(0:0))
      call avR2(6754, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(1047)%branchR2(0:0))
      call avR2(1047, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(2979)%branchR2(0:0))
      call avR2(2979, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(10721)%branchR2(0:1))
      call avR2(10721, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2883/))

      call avR2(10721, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2882/))

      allocate(vertices(10722)%branchR2(0:1))
      call avR2(10722, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2876/))

      call avR2(10722, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2875/))

      allocate(vertices(6215)%branchR2(0:0))
      call avR2(6215, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4041/))

      allocate(vertices(9620)%branchR2(0:0))
      call avR2(9620, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(5363)%branchR2(0:0))
      call avR2(5363, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(2258)%branchR2(0:0))
      call avR2(2258, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2548/))

      allocate(vertices(6539)%branchR2(0:0))
      call avR2(6539, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(4655)%branchR2(0:1))
      call avR2(4655, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2699, nGC_2697/))

      call avR2(4655, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2700, nGC_2698/))

      allocate(vertices(2833)%branchR2(0:0))
      call avR2(2833, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(1266)%branchR2(0:0))
      call avR2(1266, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(4119)%branchR2(0:0))
      call avR2(4119, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(2862)%branchR2(0:0))
      call avR2(2862, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(3172)%branchR2(0:0))
      call avR2(3172, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2508, nGC_2509/))

      allocate(vertices(9479)%branchR2(0:0))
      call avR2(9479, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(8563)%branchR2(0:1))
      call avR2(8563, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2675, nGC_2677/))

      call avR2(8563, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2676, nGC_2678/))

      allocate(vertices(8817)%branchR2(0:0))
      call avR2(8817, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2938/))

      allocate(vertices(9858)%branchR2(0:0))
      call avR2(9858, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2399/))

      allocate(vertices(8093)%branchR2(0:0))
      call avR2(8093, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(2739)%branchR2(0:0))
      call avR2(2739, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2536/))

      allocate(vertices(10723)%branchR2(0:0))
      call avR2(10723, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(4217)%branchR2(0:0))
      call avR2(4217, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(2553)%branchR2(0:0))
      call avR2(2553, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(10724)%branchR2(0:1))
      call avR2(10724, 0, 129, 1, 0, VSV0, (/2, 1/), (/nGC_2562/))

      call avR2(10724, 1, 130, 1, 0, VSV0, (/2, 1/), (/nGC_2563/))

      allocate(vertices(3046)%branchR2(0:0))
      call avR2(3046, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(10725)%branchR2(0:1))
      call avR2(10725, 0, 145, 1, 0, VVVV0, (/2, 2/), (/nGC_2818, nGC_2818,    &
      nGC_2818/))

      call avR2(10725, 1, 146, 1, 0, VVVV0, (/2, 2/), (/nGC_2817, nGC_2817,    &
      nGC_2817/))

      allocate(vertices(7413)%branchR2(0:0))
      call avR2(7413, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(2290)%branchR2(0:0))
      call avR2(2290, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(8996)%branchR2(0:0))
      call avR2(8996, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(9390)%branchR2(0:0))
      call avR2(9390, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(1617)%branchR2(0:0))
      call avR2(1617, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2546/))

      allocate(vertices(6444)%branchR2(0:0))
      call avR2(6444, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2534/))

      allocate(vertices(1430)%branchR2(0:1))
      call avR2(1430, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_2630/))

      call avR2(1430, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(2816)%branchR2(0:0))
      call avR2(2816, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2823, nGC_2822,       &
      nGC_2821/))

      allocate(vertices(9348)%branchR2(0:0))
      call avR2(9348, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(9774)%branchR2(0:0))
      call avR2(9774, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4060/))

      allocate(vertices(7326)%branchR2(0:0))
      call avR2(7326, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2586/))

      allocate(vertices(7919)%branchR2(0:0))
      call avR2(7919, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(6687)%branchR2(0:0))
      call avR2(6687, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2613, nGC_2612/))

      allocate(vertices(2060)%branchR2(0:0))
      call avR2(2060, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(5517)%branchR2(0:0))
      call avR2(5517, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(8594)%branchR2(0:0))
      call avR2(8594, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(4379)%branchR2(0:0))
      call avR2(4379, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2770/))

      allocate(vertices(607)%branchR2(0:0))
      call avR2(607, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(3011)%branchR2(0:0))
      call avR2(3011, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(4020)%branchR2(0:0))
      call avR2(4020, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2756/))

      allocate(vertices(7792)%branchR2(0:0))
      call avR2(7792, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2764/))

      allocate(vertices(5942)%branchR2(0:0))
      call avR2(5942, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2923/))

      allocate(vertices(59)%branchR2(0:0))
      call avR2(59, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(8220)%branchR2(0:0))
      call avR2(8220, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(994)%branchR2(0:0))
      call avR2(994, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(9201)%branchR2(0:0))
      call avR2(9201, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2420, nGC_2421,       &
      nGC_2421, nGC_2419/))

      allocate(vertices(2719)%branchR2(0:0))
      call avR2(2719, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(2636)%branchR2(0:0))
      call avR2(2636, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(3669)%branchR2(0:0))
      call avR2(3669, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2589/))

      allocate(vertices(1909)%branchR2(0:0))
      call avR2(1909, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(7619)%branchR2(0:0))
      call avR2(7619, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(8955)%branchR2(0:0))
      call avR2(8955, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4037/))

      allocate(vertices(5644)%branchR2(0:0))
      call avR2(5644, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(7230)%branchR2(0:0))
      call avR2(7230, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2609, nGC_2608/))

      allocate(vertices(6262)%branchR2(0:0))
      call avR2(6262, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(7898)%branchR2(0:0))
      call avR2(7898, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(7939)%branchR2(0:0))
      call avR2(7939, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(9509)%branchR2(0:0))
      call avR2(9509, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(6622)%branchR2(0:0))
      call avR2(6622, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4063/))

      allocate(vertices(5510)%branchR2(0:0))
      call avR2(5510, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2940/))

      allocate(vertices(463)%branchR2(0:0))
      call avR2(463, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(1818)%branchR2(0:0))
      call avR2(1818, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2605, nGC_2604/))

      allocate(vertices(5359)%branchR2(0:0))
      call avR2(5359, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(8643)%branchR2(0:1))
      call avR2(8643, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2735, nGC_2733/))

      call avR2(8643, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2736, nGC_2734/))

      allocate(vertices(7788)%branchR2(0:0))
      call avR2(7788, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2933/))

      allocate(vertices(7106)%branchR2(0:0))
      call avR2(7106, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2601, nGC_2600/))

      allocate(vertices(10726)%branchR2(0:0))
      call avR2(10726, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(4281)%branchR2(0:0))
      call avR2(4281, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(5502)%branchR2(0:0))
      call avR2(5502, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(10727)%branchR2(0:1))
      call avR2(10727, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2870/))

      call avR2(10727, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(4315)%branchR2(0:0))
      call avR2(4315, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2925/))

      allocate(vertices(491)%branchR2(0:0))
      call avR2(491, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(1014)%branchR2(0:1))
      call avR2(1014, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_2522, nGC_2523/))

      call avR2(1014, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(9809)%branchR2(0:0))
      call avR2(9809, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2492/))

      allocate(vertices(9218)%branchR2(0:0))
      call avR2(9218, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(9973)%branchR2(0:0))
      call avR2(9973, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(9062)%branchR2(0:0))
      call avR2(9062, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(8625)%branchR2(0:0))
      call avR2(8625, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4040/))

      allocate(vertices(13)%branchR2(0:0))
      call avR2(13, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2470, nGC_2471/))

      allocate(vertices(9859)%branchR2(0:0))
      call avR2(9859, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(8731)%branchR2(0:0))
      call avR2(8731, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2611, nGC_2610/))

      allocate(vertices(5994)%branchR2(0:0))
      call avR2(5994, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(3106)%branchR2(0:0))
      call avR2(3106, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(1364)%branchR2(0:0))
      call avR2(1364, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(2458)%branchR2(0:0))
      call avR2(2458, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(4261)%branchR2(0:0))
      call avR2(4261, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2930/))

      allocate(vertices(5442)%branchR2(0:0))
      call avR2(5442, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2506, nGC_2507/))

      allocate(vertices(9302)%branchR2(0:0))
      call avR2(9302, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2399/))

      allocate(vertices(10728)%branchR2(0:1))
      call avR2(10728, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2869/))

      call avR2(10728, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2870/))

      allocate(vertices(3666)%branchR2(0:3))
      call avR2(3666, 0, 17, 1, 0, FVFa0, (/1, 2/), (/nGC_2566, nGC_2567/))

      call avR2(3666, 1, 17, 1, 0, FVFa0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(3666, 2, 18, 1, 0, FVFa0, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(3666, 3, 18, 1, 0, FVFa0, (/1, 2/), (/nGC_2564, nGC_2565/))

      allocate(vertices(10729)%branchR2(0:0))
      call avR2(10729, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(3157)%branchR2(0:0))
      call avR2(3157, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2586/))

      allocate(vertices(8413)%branchR2(0:0))
      call avR2(8413, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(4759)%branchR2(0:0))
      call avR2(4759, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(9932)%branchR2(0:1))
      call avR2(9932, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2435, nGC_2432,      &
      nGC_2432, nGC_2434/))

      call avR2(9932, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2425, nGC_2433,      &
      nGC_2433, nGC_2425/))

      allocate(vertices(6034)%branchR2(0:0))
      call avR2(6034, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4041/))

      allocate(vertices(3647)%branchR2(0:0))
      call avR2(3647, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2925/))

      allocate(vertices(3249)%branchR2(0:0))
      call avR2(3249, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(393)%branchR2(0:0))
      call avR2(393, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(4329)%branchR2(0:0))
      call avR2(4329, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(7881)%branchR2(0:1))
      call avR2(7881, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2618, nGC_2616/))

      call avR2(7881, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2619, nGC_2617/))

      allocate(vertices(3432)%branchR2(0:0))
      call avR2(3432, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2819/))

    end subroutine fill_vertices_mdl23
end module vertices_info23
